dolphin (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:38:30 +0100

dolphin (4:25.08.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 00:10:16 +0100

dolphin (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:52 +0100

dolphin (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:48:27 +0100

dolphin (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)
  * Refresh patches.

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:27:26 +0100

dolphin (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update patches.
  * Build depend on qt6-multimedia-dev
  * Update install files.
  * Drop phonon build depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:02:24 +0100

dolphin (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)
  * Refresh relax-baloo-widgets-version.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:28 +0100

dolphin (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.
    - Build depend on libbaloowidgets-dev (>= 4:25.04.2~)

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jun 2025 11:19:11 +0100

dolphin (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Promote dolphin-plugins to Recommends.
  * Also recommend kdenetwork-filesharing.
  * Suggest kio-admin.
  * New upstream release (25.04.1):
    -  DolphinStatusbar: Fix background and margins for non-Breeze styles.
    - DolphinView: If contextmenu is requested, abort twoClicksRenaming.
    (kde#503185)
    - Dolphinui: Set view_mode action to low priority. (kde#501498)
    - Use dolphin icon for dolphin windows.
    - KStandardItemList: have emblem when hovering.
    - Fix session restore. (kde#502770).
  * New upstream release (25.04.2):
    - Translation fixes.
  * Drop patch applied upstream.
  * Relax required baloo widgets version to fix missing side information
    panel. (Closes: #1104977)
  * Make baloo widgets a required dependency so we don’t silently break
    the side information panel again.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jun 2025 07:51:00 +0200

dolphin (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:37:08 +0100

dolphin (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:10 +0100

dolphin (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:00 +0200

dolphin (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Install files for new kconf update.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:40:58 +0100

dolphin (4:25.03.90-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Backport patch to fix the session restore (Closes: #1103258).

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Apr 2025 18:04:38 +0200

dolphin (4:25.03.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport commit to fix count of items in folders not updated on file
    creation. (Closes: #1102996)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Apr 2025 11:20:14 +0200

dolphin (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Bump minimal required version of baloo-widgets.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:14:46 +0200

dolphin (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:40 -0500

dolphin (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:35:21 +0000

dolphin (4:24.12.2-2ubuntu1) plucky; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 13:30:28 +0000

dolphin (4:24.12.2-2) unstable; urgency=medium

  * Team upload.
  * Move the AppStream XML metainfo from dolphin-data to dolphin, together
    with the executable it represents
    - add proper breaks/replaces
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Feb 2025 11:44:44 +0100

dolphin (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Feb 2025 18:19:15 +0100

dolphin (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 15:19:34 +0000

dolphin (4:24.12.1-2) unstable; urgency=medium

  * Bump libbaloowidgets-dev minimum version
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 25 Jan 2025 13:57:51 +0100

dolphin (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 22:59:13 +0100

dolphin (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:02:19 -0600

dolphin (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:24:31 +0000

dolphin (4:24.12.0.1-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix epoch of the baloo-widgets build dependency, fixes the missing info
    panel for real…

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 19:27:55 +0100

dolphin (4:24.12.0.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump minimal version of baloo-widgets to fix missing info panel.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 18:36:57 +0100

dolphin (4:24.12.0.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 08:53:52 +0100

dolphin (4:24.12.0.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0.1).

 -- Rik Mills <rikmills@kde.org>  Thu, 19 Dec 2024 23:55:58 +0000

dolphin (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:02:10 +0000

dolphin (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:19:14 -0600

dolphin (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:01:39 +0000

dolphin (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 18:15:56 +0000

dolphin (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:36:47 +0000

dolphin (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:16:53 +0000

dolphin (4:24.08.1-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:05:25 +0100

dolphin (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:36 +0100

dolphin (4:24.08.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update dev package dependencies.
  * Update the list of installed files.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 22:50:39 +0100

dolphin (4:24.08.0-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Switch kimageformat-plugins dependency to kimageformat6-plugins.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 09:11:20 +0200

dolphin (4:24.08.0-3ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 07 Sep 2024 02:02:26 -0700

dolphin (4:24.08.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Recommend Qt 6-based version of kio-extras.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 23:32:19 +0200

dolphin (4:24.08.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix arch:all build.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 14:40:24 +0200

dolphin (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks against older version of dolphin-plugins.
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 12:11:01 +0200

dolphin (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * B-D on pkgconf instead of pkg-config.
  * Bump libdolphinvcs5 soname to 6.
  * Update list of installed files from build system.
  * B-D on dh-sequence-kf6 and update d/rules to match.
  * Generate new libdolphinvcs6.symbols.
  * Update lintian overrides.
  * Enable optional baloo-widgets support.
  * Update copyright info.
  * Override lintian W: no-manual-page for dolphin and
    servicemenuinstaller.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Split arch-indep files into dolphin-data and dolphin-doc.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 23:01:13 +0200

dolphin (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:22 +0200

dolphin (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:50 +0000

dolphin (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:15:09 +0000

dolphin (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:29:05 -0700

dolphin (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:06 +0000

dolphin (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:11 +0000

dolphin (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:34 +0100

dolphin (4:23.08.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (23.08.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Oct 2023 23:33:43 +0200

dolphin (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:48 +0100

dolphin (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:35 +0100

dolphin (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:42 +0100

dolphin (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:48 +0100

dolphin (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libqt5x11extras5-dev to Build-Depends
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:28 +0100

dolphin (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:49 +0000

dolphin (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:10 +0100

dolphin (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:58 -0600

dolphin (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically, removing pkg-kde-tools
    - drop the manually specified pkgkde_symbolshelper addon for dh

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 07:50:11 +0100

dolphin (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Drop patch upstream_c8aed8ac_Revert-portalize-drag-urls.patch
    applied upstream.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:58:42 +0100

dolphin (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:04 +0000

dolphin (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on libkf5baloowidgets-dev (>= 4:22.12.0~)
    - Disable acc test.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 08:50:29 +0000

dolphin (4:22.12.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream patch to fix various copy/paste issues. (Closes:
    #1025943)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Dec 2022 22:06:28 +0100

dolphin (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Update the list of installed files from build logs.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:19 +0100

dolphin (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:40 +0000

dolphin (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:06 +0000

dolphin (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:20 +0000

dolphin (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:46 +0000

dolphin (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:13:55 +0100

dolphin (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:26 +0100

dolphin (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:50 +0100

dolphin (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 09:52:03 +0100

dolphin (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jul 2022 06:47:56 +0200

dolphin (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:02 +0100

dolphin (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:37 +0100

dolphin (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 May 2022 08:01:51 +0200

dolphin (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:25 +0100

dolphin (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:14 +0100

dolphin (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:07:52 +0100

dolphin (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:57 +0000

dolphin (4:21.12.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.83.0
  * Update the patches:
    - upstream-27bfcde4-dolphin-kinit.patch: drop, backported from upstream
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 10:27:22 +0100

dolphin (4:21.12.2.1-0ubuntu1) jammy; urgency=medium

  * New upstream hotfix release (21.12.2.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 14:11:20 +0000

dolphin (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:12:26 +0000

dolphin (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:20 +0000

dolphin (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:06 +0000

dolphin (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:34 +0000

dolphin (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:42 +0000

dolphin (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Drop included upstream-27bfcde4-dolphin-kinit.patch
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:23 +0000

dolphin (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:55 +0000

dolphin (4:21.08.2-1) unstable; urgency=medium

  [ Rik Mills ]
  * Fix mismatched and obsolete lintian overrides.

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:51:45 +0900

dolphin (4:21.08.1-1ubuntu1) impish; urgency=medium

  * Fix lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Sep 2021 19:33:50 +0100

dolphin (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 12:31:10 +0900

dolphin (4:21.08.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for starting a console when kinit is not running.

 -- Norbert Preining <norbert@preining.info>  Thu, 02 Sep 2021 07:30:42 +0900

dolphin (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * Let dolphin recommend ffmpegthumbs, kdegraphics-thumbnailers.
  * Cherry-pick upstream MR for stable sort size order.
  * New upstream release (21.08.0).
  * Drop upstream patch.
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:30:08 +0900

dolphin (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:07:43 +0900

dolphin (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:22:20 +0900

dolphin (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 07:57:22 +0900

dolphin (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update frameworks dependency to 5.77.
  * Update list of installed files.
  * Update symbols file.
  * Conflict with old dolphin-plugins.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 09:43:29 +0900

dolphin (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 4:4.1.96-0ubuntu2, 4:3.5.8-2ubuntu18,
    4:3.5.6-0ubuntu9, 4:3.5.5-0ubuntu3, 4:3.5.4-0ubuntu8, 4:3.5.2-0ubuntu23,
    4:3.5.0-1, 4:2.2.1.0-3, 1:980225-1.
  * Update the patches:
    - upstream-b1cadeba-compat-frameworks-578: drop, fixed upstream
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 12:29:09 +0100

dolphin (4:20.12.1-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Add myself to uploaders.
  * Use Debian Qt/KDE Maintainers as maintainer
  * Backport of upstream compatibility fix for frameworks 5.78.

 -- Norbert Preining <norbert@preining.info>  Mon, 18 Jan 2021 11:10:49 +0900

dolphin (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 22:09:21 +0100

dolphin (4:20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Update project homepage URL.
  * Refresh copyright information.
  * Activate KUserFeedback by adding kuserfeedback-dev to build dependencies.
  * Refresh upstream metadata: drop Contact an Name fiels already present in
    machine readable copyright.

  [ Norbert Preining ]
  * New upstream release (20.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.1 (no change required).
  * Revert upstream patch ac234a9c55ae to fix crashes when large directories
    are quickly unfolded/folded.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Dec 2020 18:01:09 +0100

dolphin (4:20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
    - add libpackagekitqt5-dev
  * servicemenu.knsrc moved from /etc/xdg to /usr/share/knsrcfiles, handle
    config file removal.
  * Refresh copyright information.
  * Borrow minimal upstream signing key from k3b.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.
  * Bump the debhelper compatibility to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Oct 2020 16:31:27 +0100

dolphin (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 07:22:56 +0200

dolphin (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.67.0
    - bump libkf5baloowidgets-dev to 4:20.04.0
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks,
      and the strict shlibs handling
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 16:12:32 +0200

dolphin (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump almost all the KF5 packages to 5.57.0
    - bump libkf5baloowidgets-dev to 4:19.07.70
    - explicitly add the gettext build dependency
    - drop libkf5kdelibs4support-dev
    - update dependencies in -dev packages too
  * Remove dolphin breaks/replaces on a version older than oldstable.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from dolphin-dbg, no more needed after two Debian
    stable releases.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Stop recommending ruby, as the ruby script was replaced by a C++ tool.
  * Update install files.
  * Add Build-Depends-Package in the symbols file.
  * Update lintian overrides.
  * Stop breaking the older versions of dolphin-plugins, it should be no more
    needed now.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2019 08:05:23 +0200

dolphin (4:18.08.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

  [ Pino Toscano ]
  * New upstream release.
  * Bump the libkf5baloowidgets-dev build dependency to >= 18.08.0, as
    indicated by the upstream build system
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Sep 2018 07:56:14 +0200

dolphin (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies:
    - bump the Qt packages to >= 5.8.0~
    - bump almost all the Frameworks packages to >= 5.43.0~
    - remove libkf5texteditor-dev, as it is not used
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.1.4, no changes required.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Apr 2018 10:38:27 +0200

dolphin (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add recommends for kimageformat-plugins (Closes: 875259)
    Thanks to Ignacio R. Morelle for reporting.

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch dolphin-dev as Multi-Arch: same.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 09:50:35 +0100

dolphin (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Move libdolphinvcs5 to section libs, as it contains a shared library.
  * Fix typo in an old changelog entry.
  * Drop not-installed file, no more needed.
  * Switch kio-dev dependency to libkf5kio-dev in libdolphinvcs-dev.
  * Drop unused ${shlibs:Depends} substvar from dolphin-dev, and
    libdolphinvcs-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 10:26:06 +0100

dolphin (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:48 +0200

dolphin (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:11 +0000

dolphin (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:25 +0000

dolphin (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:52 +0000

dolphin (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:09:21 +0000

dolphin (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:30 +0000

dolphin (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:12 +0000

dolphin (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:06 +0000

dolphin (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:46 +0000

dolphin (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:10 +0000

dolphin (4:16.08.3-3) unstable; urgency=medium

  * Re-enable baloo support with the baloo-kf5 runtime dependency, now that
    the baloo file indexer is disabled by default this doesn't impose a
    resource toll anymore.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Dec 2016 14:48:30 +0100

dolphin (4:16.08.3-2) unstable; urgency=medium

  * Drop baloo support
  * Add kinit runtime dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Dec 2016 22:32:27 +0100

dolphin (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:50:06 +0100

dolphin (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:43 +0000

dolphin (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:03:56 +0200

dolphin (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:47 +0000

dolphin (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:55 +0000

dolphin (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:05 +0000

dolphin (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:35 +0000

dolphin (4:16.04.2-2) unstable; urgency=medium

  * Team upload.
  * Fix Vcs-* fields. (Closes: #805611)
  * Disable, only on hurd, the baloo-kf5-dev and libkf5baloowidgets-dev build
    dependencies, to let dolphin build there.
  * Recommend kio-extras, used for thumbnails and not only. (Closes: #803582)

 -- Pino Toscano <pino@debian.org>  Wed, 29 Jun 2016 20:23:08 +0200

dolphin (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 10:23:17 +0200

dolphin (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:46:02 +0000

dolphin (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Hacky use of xephyr
  * No curly brackets in the trap call
  * First kill kdeinit, then the X
  * Run kinit under the same dbus connection
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update testsuite script

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 18:54:43 +0200

dolphin (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 20 May 2016 14:20:10 +0000

dolphin (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 May 2016 18:11:16 +0200

dolphin (4:16.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 09 May 2016 14:26:42 +0000

dolphin (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:02 +0100

dolphin (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:48 +0100

dolphin (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:35 +0200

dolphin (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 02:45:11 +0200

dolphin (4:15.08.0-2) experimental; urgency=medium

  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 15:37:03 +0200

dolphin (4:15.08.0-1) experimental; urgency=medium

  * Prepare plasma 5 version of dolphin.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 20:44:48 +0200

dolphin (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:57:40 +0100

dolphin (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Non-maintainer upload.
  * Update symbols files, mark as optional a few symbols gone with GCC
    5.

  [ Jonathan Riddell ]
  * Split out dolphin and build with frameworks 5
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:24:49 +0100

kde-baseapps (4:15.04.2-0ubuntu1) wily; urgency=medium

  * New upstream release
  * wrap-and-sort
  * Remove patch applied upstream:
    upstream_Use-user-places.xbel-instead-of-bookmarks.xml-in-pla.patch
  * Add missing files.
  * Fix install file.
  * Add missing usr/lib/libdolphinprivate.so
  * Force rebuild with new kdelibs.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 09 Jun 2015 18:47:48 +0200

kde-baseapps (4:14.12.3-0ubuntu3.1) vivid; urgency=medium

  * Fix dolphin losing places bookmarks.
    + Add patch
      upstream_Use-user-places.xbel-instead-of-bookmarks.xml-in-pla.patch to
      force dolphin to only use the new user-places.xbel file rather than the
      legacy kfileplaces bookmarks file.  LP: #1422469

 -- Harald Sitter <sitter@kde.org>  Mon, 04 May 2015 11:04:31 +0200

kde-baseapps (4:14.12.3-0ubuntu3) vivid; urgency=medium

  * Drop unused kf5 packages (they have been split). Affects konsole and
    kwrite and kate.
  * Dolphin recommends konsole4-kpart for the embedded terminal

 -- Harald Sitter <sitter@kde.org>  Tue, 24 Mar 2015 12:41:53 +0100

kde-baseapps (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * Add kubuntu_disable-failing-test.diff to disable test failing due to
    test environment favicontest

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Mar 2015 13:11:37 +0100

kde-baseapps (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:16:56 -0700

kde-baseapps (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:11:24 -0800

kde-baseapps (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:53:18 +0100

kde-baseapps (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - lower the konqueror priority to 30 as it's not our default.
    - Add kubuntu_folderview_livecd_directory.diff,
      kubuntu_folderwidget_drawing.diff and kubuntu_install_flash.diff.
  * New upstream release candidate.
    - install appdata files for kfind and konqueror
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Update the maintainer.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 21:36:11 +0100

kde-baseapps (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 13:40:39 -0700

kde-baseapps (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:41:02 +0200

kde-baseapps (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:42:32 +0200

kde-baseapps (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:27:30 +0200

kde-baseapps (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:58:17 +0200

kde-baseapps (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add appdata to dolphin.install
  * Add build-dep on libbaloowidgets-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:54:47 +0200

kde-baseapps (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, remaining changes:
   - Make konqueror.postinst install with alternates score 30 not 100
   - Add kubuntu_folderview_livecd_directory.diff,
     kubuntu_folderwidget_drawing.diff, kubuntu_install_flash.diff

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:47:37 +0100

kde-baseapps (4:4.13.1-1) experimental; urgency=medium

  [ Adrien Grellier ]
  * typo in package's description (Closes: #747152)

  [ Maximiliano Curia ]
  * New upstream release.
  * Update build dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 May 2014 10:12:41 +0200

kde-baseapps (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:45:43 +0100

kde-baseapps (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:16:08 +0200

kde-baseapps (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:04:20 +0100

kde-baseapps (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Drop nepomuk-core-dev and libnepomukwidgets-dev from build-depends,
    obsolete

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Mar 2014 14:11:24 +0100

kde-baseapps (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * new upstream alpha release
  * bump version of konqueror replaces kde-baseapps-data to fix upgrade
    from precise
  * New upstream beta release

  [ Philip Muškovac ]
  * Add new useragent services to kde-baseapps-data.install
  * Build-depend on
    libkfilemetadata-dev, baloo-dev, libaloowidgets-dev >= 4:4.12.80

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:44:23 +0000

kde-baseapps (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:49 +0200

kde-baseapps (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 4:4.11.5-2.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:34 +0100

kde-baseapps (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * Dropped kubuntu_konq_scans_nsplugins_at_startup.diff
    - Harald says : Not useful for us, should be upstreamed
  * Dep-3'ify patches
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:38:26 +0100

kde-baseapps (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:32 +0100

kde-baseapps (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:48:32 +0000

kde-baseapps (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:06:49 +0000

kde-baseapps (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:40:26 +0000

kde-baseapps (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:44:31 +0000

kde-baseapps (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:53:38 +0100

kde-baseapps (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:34:16 +0100

kde-baseapps (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 17:55:49 +0100

kde-baseapps (4:4.11.5-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make konqueror recommend kpart-webkit. Upstream recommends using the
    webkit based backend and it seems that, if available, it's the default
    one. So adding it as recommend will make most users use it while allowing
    to only install khtml for those who want it (Closes: #735057).

  [ Maximiliano Curia ]
  * Enable build failures on missing symbols.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jan 2014 13:17:34 -0300

kde-baseapps (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 14:07:15 +0100

kde-baseapps (4:4.11.2-2) experimental; urgency=low

  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 13:21:52 +0200

kde-baseapps (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update build-dependencies.
  * Update install files.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Oct 2013 13:20:12 +0200

kde-baseapps (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:03:56 +0100

kde-baseapps (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:09:34 +0100

kde-baseapps (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:04:24 +0100

kde-baseapps (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:12:09 +0100

kde-baseapps (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release
    - refresh enable_debianabimanager.diff and enable_dlrestrictions.diff
    - remove docbooks from konqueror.install there were removed upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 19 Jul 2013 12:32:06 +0000

kde-baseapps (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:03:40 +0100

kde-baseapps (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Refresh enable_debianabimanager.diff, enable_dlrestrictions.diff
    - Update install file
    - Update symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:19:40 +0100

kde-baseapps (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 00:15:50 +0200

kde-baseapps (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 09:31:51 +0200

kde-baseapps (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:40:55 +0100

kde-baseapps (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - kde-baseapps-data replace/breaks old dolphin/konqueror
   - Make konqueror.postinst install with alternates score 30 not 100

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:08:50 +0000

kde-baseapps (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update patches to make them apply without any offset.
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Bump kdelibs5-dev build dependency to version 4:4.10.
  * Add libkactivities-dev, nepomuk-core-dev and libnepomukwidgets-dev to
    Build-Depends.
  * Update installed files.
  * Add lintian overrides for hardening-no-fortify-functions.

  [ Josep Febrer ]
  * Refresh patches:
    - enable_debianabimanager.diff.
    - enable_dlrestrictions.diff.
  * Update installed files.

  [ Sune Vuorela ]
  * Update uploaders
  * Update my email address

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 18:55:57 +0000

kde-baseapps (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:40:14 +0200

kde-baseapps (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Add new doc picture in dolphin.install
  * Move kdebase-bin transitional package to oldlibs/extra to make lintian
    happy

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:24:08 +0000

kde-baseapps (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:35:18 +0000

kde-baseapps (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:03:07 +0000

kde-baseapps (4:4.9.97-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * Add build-dep on libnepomukwidgets-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:27:33 +0100

kde-baseapps (4:4.9.95-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Michal Zajac ]
  * Fixed install files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:20:34 +0000

kde-baseapps (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:42:49 +0000

kde-baseapps (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release
  * Remove kubuntu_fix_systemsettings_about_me.diff fixed upstream

  [ Scott Kitterman ]
  * Add pkg-config, libkactivities-dev and nepomuk-core-dev to build-depends
  * Adjust debian/libkonq5abi1.install to only fail to match on soname changes
    and not soversion changes

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 14:33:18 -0500

kde-baseapps (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:25:13 +0100

kde-baseapps (4:4.9.2-0ubuntu4) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:37:46 -0400

kde-baseapps (4:4.9.2-0ubuntu3) quantal-proposed; urgency=low

  * Remove build-dep on kdelibs5-data now headers in correct -dev package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Oct 2012 10:21:10 +0100

kde-baseapps (4:4.9.2-0ubuntu2) quantal-proposed; urgency=low

  * Build depend on kdelibs5-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Oct 2012 00:24:05 +0100

kde-baseapps (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:13:31 +0100

kde-baseapps (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release
  * Update kubuntu_install_flash.diff to apply properly

  [ Philip Muškovac ]
  * Change sonames from 4.9.0/5.9.0 to 4.9.*/5.9.*

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:18:36 +0530

kde-baseapps (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:48 +0100

kde-baseapps (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:04:39 +0100

kde-baseapps (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:08:00 +0200

kde-baseapps (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Merge with debian git, remainging changes:
    - keep breaks/replaces
    - keep symbol files
    - keep kubuntu patches
    - dolphin suggests and not recommends ruby
    - add kfind, konsole and kompare to dolphin suggests
  * konq-plugins breaks/replaces kde-baseapps-data << 4:4.8.80

  * Drop squence numbers from kubuntu patches

  * New upstream beta release
    - refresh kubuntu_fix_systemsettings_about_me.diff
    - add new doc images to {konqueror,dolphin}.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 25 May 2012 17:26:17 +0200

kde-baseapps (4:4.8.4-2) unstable; urgency=low

  [ Pino Toscano ]
  * Add breaks/replaces in konqueror against kdebase-data << 4.7.2.
    (Closes: #679789)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Oct 2012 18:04:13 -0300

kde-baseapps (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Update installed files.

  [ Pino Toscano ]
  * Move files of the konqueror documentation from kde-baseapps-data to
    konqueror itself.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 22:18:08 +0300

kde-baseapps (4:4.8.3-1) experimental; urgency=low

  * New upstream release:
    - fixes support for SOCKS proxy in konqueror. (Closes: #575885)
  * Team upload.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 May 2012 03:09:23 +0300

kde-baseapps (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - drop patches applied upstream:
      + Reduce-the-timeout-in-KItemListKeyboardSearchManager.patch
      + Fix-drag-drop-cursor-issue.patch
      + Revert-the-2.0-decision-to-always-use-KB-for-file-si.patch

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 19:15:13 +0200

kde-baseapps (4:4.8.3-0r1) raring; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3. No further changes.
  * Remove obsolete libkonq5a breaks/replaces.
  * Update symbols files.

 -- Eshat Cakar <info@eshat.de>  Thu, 08 Mar 2012 18:30:33 +0100

kde-baseapps (4:4.8.2-0ubuntu2) precise; urgency=low

  * Cherry-pick fixes from the 4.8 branch:
    - Reduce-the-timeout-in-KItemListKeyboardSearchManager.patch
    - Fix-drag-drop-cursor-issue.patch
    - Revert-the-2.0-decision-to-always-use-KB-for-file-si.patch

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 10 Apr 2012 10:45:55 +0200

kde-baseapps (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release
    - add new symbol to libkonq5abi1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 23:14:40 +0200

kde-baseapps (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release
    - update dolphin.install and kde-baseapps-data.install
  * Don't hide kfind by default now that it's not installed by default
    anymore (LP: #942324)
  * Drop kubuntu_25_dolphin_keys.diff, now upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 18:21:52 +0100

kde-baseapps (4:4.8.0-0ubuntu2) precise; urgency=low

  * Add kubuntu_26_folderwidget_drawing.diff from upstream, fix
    rendering of box on folderwidget

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Feb 2012 13:38:52 +0000

kde-baseapps (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Add kubuntu_25_dolphin_keys.diff from branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:22 +0000

kde-baseapps (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 14:55:21 +0000

kde-baseapps (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 14:47:46 +0100

kde-baseapps (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release
  * Remove kubuntu_25_folderview_rename.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 14:39:37 +0000

kde-baseapps (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ José Manuel Santamaría Lema ]
  * The following dummy transitional packages have now priority "extra":
    - kdebase-apps
    - kdebase-bin

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 11:31:48 +0100

kde-baseapps (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add myself to uploaders.
  * Bump kde-sc-dev-latest dependency to 4.7.4.

  [ José Manuel Santamaría Lema ]
  * Bump shared-desktop-ontologies build dependency to 0.8.
  * The following dummy transitional packages are now in section "oldlibs":
    - kdebase-apps
    - kdebase-bin
    - kdebase-dbg
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:09:26 +0100

kde-baseapps (4:4.7.3-0ubuntu2) precise; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Keep bumped replace/conflicts versions where necessary
    - Suggest instead of recommend kfind, ruby in dolphin also suggests
      konsole, kompare
    - Reduce the x-www-browser priority for konqueror to 30 as rekonq is the
      default Kubuntu browser.
    - Rename folderview_rename.diff to kubuntu_25_folderview_rename.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 14:27:58 +0000

kde-baseapps (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to version 4:4.7.
  * Rename source package from kdebase to kdebase-apps in order to match
    upstream naming.
  * Rename the following binary packages:
    - kde-baseapps -> kdebase-apps
    - kdebase-bin -> kde-baseapps-bin
    - kdebase-data -> kde-baseapps-data
    - kdebase-dbg -> kde-baseapps-dbg
  * Add the following dummy packages:
    - kdebase-apps
    - kdebase-apps-bin
    - kdebase-dbg
  * Update Vcs-* fields.
  * Konsole isn't shipped in kdebase source package anymore:
    - Disable debian-T-addition.diff (which only changes Konsole).
    - Comment out konsole binary package in debian/control.
  * Remove kwrite package, it was moved to source package kate.
  * Add konq-plugins package.
  * Add libtidy-dev build depend.
  * Update installed files.
  * Update lintian overrides.

  [ Felix Geyer ]
  * dolphin doesn't recommend kfind anymore since it uses nepomuk for searching.
  * konqueror still uses kfind so make it recommend kfind.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:14 -0300

kde-baseapps (4:4.7.2-0r2) raring; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to version 4:4.7.
  * Rename source package from kdebase to kdebase-apps in order to match
    upstream naming.
  * Rename the following binary packages:
    - kde-baseapps -> kdebase-apps
    - kdebase-bin -> kde-baseapps-bin
    - kdebase-data -> kde-baseapps-data
    - kdebase-dbg -> kde-baseapps-dbg
  * Add the following dummy packages:
    - kdebase-apps
    - kdebase-apps-bin
    - kdebase-dbg
  * Update Vcs-* fields.
  * Konsole isn't shipped in kdebase source package anymore:
    - Disable debian-T-addition.diff (which only changes Konsole).
    - Comment out konsole binary package in debian/control.
  * Remove kwrite package, it was moved to source package kate.
  * Add konq-plugins package.
  * Add libtidy-dev build depend.
  * Update installed files.
  * Update lintian overrides.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 Sep 2011 19:44:23 +0200

kdebase (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.5.
  * Update symbols files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:53:54 +0300

kde-baseapps (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 29 Oct 2011 10:41:09 +0200

kde-baseapps (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream release (LP: #872506)
    - refresh folderview_rename.diff

  [ Harald Sitter ]
  * Dolphin doesn't recommend kfind anymore (it is not used for search
    these days, but nepomuk is)
  * Dolphin suggests konsole (LP: #593324)
    - Used in the Tools menu. This is suggests and not kompare because:
      a user might already have a terminal app making konsole and the
      konsole kpart not particularly necessary and installing them by default
      via recommends might be considered bad behavior. At the same time
      user friendly package mangers such as the Muon Software Center offer
      the installation of suggests along with the application in a very
      accessible manner, making it easy for users to install if they wish to.
  * Dolphin suggests kompare
    - Used in the Tools menu

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 12 Oct 2011 15:20:00 +0200

kde-baseapps (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Cherrypick 1a284bb79e547f0789f02b202fa309823e6198b5 from KDE git (where it
    made a brief appearance) as debian/patches/folderview_rename.diff

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Sep 2011 14:21:02 -0400

kde-baseapps (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 15 Sep 2011 23:14:09 +0200

kde-baseapps (4:4.7.1-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Bump kde-sc-dev-latest to 4:4.7.1

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Sep 2011 12:00:56 -0400

kde-baseapps (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Bump various breaks/replaces to catch 4.6.5 packages

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 28 Jul 2011 17:58:34 +0200

kde-baseapps (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Philip Muškovac ]
  * New upstrem release
  * Add libtidy-dev to build-deps so the Konqueror validators plugin
    can validate HTML

  [ Felix Geyer ]
  * Fix dependency of arch-any packages to kde-baseapps-data.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 21:49:53 +0200

kde-baseapps (4:4.6.90-0ubuntu3) oneiric; urgency=low

  * Add transitional package for kdebase-bin since many packages
    still depend on it

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 13 Jul 2011 10:02:41 +0200

kde-baseapps (4:4.6.90-0ubuntu2) oneiric; urgency=low

  * debian/copyright:
    - add MIT section for kdepasswd/passwd.h

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 09 Jul 2011 02:04:40 +0200

kde-baseapps (4:4.6.90-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - update packaging for renamed source.
    - update install files
    - remove konsole and kwrite packages, moved to konsole and kate.
    - add konq-plugins package.
    - drop debian-T-addition.diff since konsole was removed.
    - update copyright information
    - update Vcs links for new location

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 18:55:27 +0200

kdebase (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Merge with Debian Unstable, remaining changes:
    - Keep bumped replace/conflicts versions where necessary
    - Do not re-add optional, unsatisfiable kdesktop dependency for libkonq5a
    - Suggest instead of recommend ruby in dolphin
    - Reduce the x-www-browser priority for konqueror to 30 as rekonq is the
      default Kubuntu browser.

  [ Michał Zając ]
  * New upstream release
   - Bump on kde-sc-dev-latest

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 30 May 2011 16:52:59 -0400

kdebase (4:4.6.3-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.3.
  * Bump Standards-Version to 3.9.2; no changes needed.

  [ Modestas Vainius ]
  * Enable DLRestrictions for libraries in this package. Requires
    libdlrestrictions-dev 0.14 and kdelibs5-dev 4:4.6.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:53:50 +0300

kdebase (4:4.6.2-1) experimental; urgency=low

  * New upstream release:
    - fixes broken keyboard navigation in "column view" mode in dolphin
      (Closes: #582023)
    - waits for the screen saver lock before suspending (Closes: #580370)
    - fixes faulty deletion of cookie policies when the policy list is filtered
      (Closes: #602140)
    - fixes WebDAV PUT requests not being issued (Closes: #602939)
    - fixes first-letter search in konqueror details mode (Closes: #354874)
    - places are now added below the currently selected place (Closes: #547559)
    - better handling of whitespace in man: urls (Closes: #283472)
    - adds metadata to the file properties dialog (Closes: #532411)
    - adds context menu for Konsole tabs (Closes: #532412)
    - Konqueror now detects duplicate web shortcuts (Closes: #479965)
  * Update installed files.
  * Update libkonq symbols file.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Remove the kinfocenter package (moved to kdebase-workspace).
  * Remove the kappfinder package (removed upstream).
  * Refresh patches.
  * Remove unused build dependencies:
    - libsmbclient-dev
    - libusb-dev
    - libraw1394-dev
    - libglu1-mesa-dev
    - libpci-dev
    - libxext-dev
  * Fix some lintian warnings related to package descriptions.
  * Make dolphin suggest kdesdk-dolphin-plugins.
  * Bump kdelibs5-dev build dependency to version 4:4.6.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
  * Bump S-V to 3.9.1; update Replaces/Breaks/Conflicts.
  * Refresh debian-T-addition.diff.
  * Make Konsole long description smaller than 80 columns.
  * Add lintian overrides.
  * Add myself to Uploaders.

  [ Pino Toscano ]
  * Modify the descriptions of few packages:
    - improve konqueror-nsplugins. (Closes: #614947)
    - fix typo in kwrite. (Closes: #618041)
  * Clean up Replaces/Breaks from the pre-squeeze era whenever possible.

  [ Modestas Vainius ]
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Do not run testsuite.
  * Enable DebianABIManager:
    - libkonq5abi1 - ABI-1;
    - libkonqsidebarplugin4a - ABI-0.
  * Remove libkonq from kdebase-apps Depends. It's pretty pointless to have a
    library in there (and it's an indirect dependency anyway).
  * Remove redudant links to common-licenses/BSD. Verbatim text was already
    there.
  * Override all libkonsoleprivate.so shlibs related lintian reports.
  * Add libkonq5a to libkonq-common breaks/conflicts.
  * Stop caring about shlibs, no longer pass -V to dh_makeshlibs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:39 +0300

kdebase (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Romain Perier <romain.perier@gmail.com>  Mon, 04 Apr 2011 20:06:33 +0200

kdebase (4:4.6.1-0ubuntu1~ppa1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Update kde-sc-dev-latest version

  [ Felix Geyer ]
  * Reduce the x-www-browser priority for konqueror to 30 as rekonq is the
    default Kubuntu browser.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 11:40:33 +0000

kdebase (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jan 2011 15:58:41 +0000

kdebase (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream RC release
   - Bump on kde-sc-dev-latest

 -- Michał Zając <quintasan@kubuntu.org>  Wed, 05 Jan 2011 17:06:17 +0100

kdebase (4:4.5.90-0ubuntu1) natty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Dec 2010 18:51:01 +0000

kdebase (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Dec 2010 12:42:37 +0000

kdebase (4:4.5.80-0ubuntu2) natty; urgency=low

  * konqueror replaces libkonqsidebarplugin4a (<< 4:4.5.80)

 -- Philip Muskovac <yofel@gmx.net>  Wed, 01 Dec 2010 16:53:09 +0100

kdebase (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Drop kubuntu_06_simple_aboutpage.diff, didn't apply and no point
    keeping a distro patch to an app we don't ship by default
  * Drop kubuntu_23_konqueror_spinner_in_toolbar.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 16:00:47 +0000

kdebase (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Nov 2010 16:10:59 +0000

kdebase (4:4.5.2-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release

  [ Felix Geyer ]
  * Merge with Debian git, remaining changes:
    - Do not add unsatisfiable kdesktop dependency for libkonq5a
    - Suggest instead of recommend ruby in dolphin.
    - kubuntu_04_hide_kfind.diff
    - kubuntu_06_simple_aboutpage.diff
    - kubuntu_10_konq_scans_nsplugins_at_startup.diff
    - kubuntu_19_install_flash.diff
    - kubuntu_18_fix_systemsettings_about_me.diff
    - kubuntu_23_konqueror_spinner_in_toolbar.diff
    - kubuntu_24_folderview_livecd_directory.diff

  [ Alessandro Ghersi ]
  * Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition
  * konqueror replaces libkonqsidebarplugin4a (<< 4:4.5.1-0ubuntu2)
  * Remove XS-Debian-Vcs-Browser and git

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 18 Oct 2010 18:21:10 +0200

kdebase (4:4.5.1-0r2) raring; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Remove the kinfocenter package (moved to kdebase-workspace).
  * Remove the kappfinder package (removed upstream).
  * Refresh patches.
  * Update installed files.
  * Remove unused build dependencies:
    - libsmbclient-dev
    - libusb-dev
    - libraw1394-dev
    - libglu1-mesa-dev
    - libpci-dev
    - libxext-dev
  * Rename libkonq5 to libkonq5a because BC was broken.
  * Update libkonq5a.symbols.
  * Fix some lintian warnings related to package descriptions.
  * Make dolphin suggest kdesdk-dolphin-plugins.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 01 Aug 2010 00:07:45 +0300

kdebase (4:4.5.1-0ubuntu4) maverick; urgency=low

  * Enable kubuntu_18_fix_systemsettings_about_me was removed
    in 4:4.4.80-0ubuntu1 (LP: #390396)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 06:56:08 +0200

kdebase (4:4.5.1-0ubuntu3) maverick; urgency=low

  * Add kubuntu_07_fix_filename_abbreviations.diff
    (http://bugs.kde.org/show_bug.cgi?id=251121)
  * Add kubuntu_08_update_title_of_the_tab.diff
    (http://websvn.kde.org/?view=revision&revision=1177954)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Sep 2010 23:13:06 +0200

kdebase (4:4.5.1-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_fix_preview_in_tooltip.diff
    (http://bugs.kde.org/show_bug.cgi?id=250000)
  * Add kubuntu_02_fix_konqueror_malformed_error.diff to fix
    malformed url error when when reloading the initial about:konqueror page
  * Add kubuntu_03_fix_konsole_tab_width.diff
    (http://bugs.kde.org/show_bug.cgi?id=166573
     http://bugs.kde.org/show_bug.cgi?id=189847
     http://bugs.kde.org/show_bug.cgi?id=157201)
  * Add kubuntu_05_folderview_triggered_by_click_or_hover.diff
    (http://websvn.kde.org/?view=revision&revision=1171793)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 10 Sep 2010 21:47:50 +0200

kdebase (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Update install files.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 30 Aug 2010 18:54:22 +0200

kdebase (4:4.5.0b-0ubuntu4) maverick; urgency=low

  * Add kubuntu_24_folderview_livecd_directory.diff to set folderview to
    point at Desktop folder if running from a live CD.  Closes LP: #613834

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Aug 2010 23:53:42 +0100

kdebase (4:4.5.0b-0ubuntu3) maverick; urgency=low

  [ Jonathan Riddell ]
  * Add kubuntu_23_konqueror_spinner_in_toolbar.diff from Aurelien Gateau
    needed to make Konqueror support external menu bar Plasmoid
   - http://reviewboard.kde.org/r/4743

  [ Harald Sitter ]
  * Drop kubuntu_22_dolphin_previews.diff since it makes every folder
    default to preview, which is dragging down performance big time.
    Additionally turning it off by default will not work recursive. Meaning
    if the user turns off the previews for a in a/b/c/ and enters b they will
    be on again, leading to the user turning them off again...
    Instead an upstream solution should be implemented that only previews in
    folders where it makes sense (e.g. XDG_PICTURES_DIR)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 16 Aug 2010 12:46:54 +0200

kdebase (4:4.5.0b-0ubuntu2) maverick; urgency=low

  * Remove kubuntu_20_folderview_configchanged.diff, applied upstream

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 05 Aug 2010 10:50:18 +0200

kdebase (4:4.5.0b-0ubuntu1) maverick; urgency=low

  [ Jonathan Riddell ]
  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Aug 2010 02:52:33 +0100

kdebase (4:4.5.0-0ubuntu1) maverick; urgency=low

  [ Jonathan Riddell ]
  * Add debian/patches/kubuntu_22_dolphin_previews.diff turn on previews
    by default

  [ Michał Zając ]
  * New upstream release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 31 Jul 2010 01:15:10 +0200

kdebase (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest
    - Confirmed symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 04:39:59 +0200

kdebase (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest
    - Remove README.source no longer need
    - Update not-installed file
    - Update symbol files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 20 Jun 2010 00:17:55 +0200

kdebase (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends
    - Refrsh kubuntu_20_folderview_configchanged.diff

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 09 Jun 2010 14:20:42 +0200

kdebase (4:4.4.80-0ubuntu2) maverick; urgency=low

  * Really remove kappfinder

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 30 May 2010 21:37:27 +0000

kdebase (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * Bump on build-depends verions
  * Removed README.Source
  * Refreshed kubuntu_10_konq_scans_nsplugins_at_startup.diff
  * Modified kubuntu_18_fix_systemsettings_about_me.diff
  * Removed kubuntu_21_konsole_invalid_session_crash_fix.diff,
    implemented upstream
  * Removed kinfocenter, moved to kdebase-runtime
  * Removed kappfinder
  * Updated *.install and libkonq5.symbols
  * Added libkdeinit4_dolphin.so to dolphin.install

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 28 May 2010 23:22:07 +0200

kdebase (4:4.4.5-3) unstable; urgency=low

  * Split off support files from libkonq5 to the libkonq-common package and
    make libkonq5 depend on libkonq-common. This is needed for better
    co-installability with KDE SC 4.6.

 -- Modestas Vainius <modax@debian.org>  Tue, 29 Mar 2011 03:03:39 +0300

kdebase (4:4.4.5-2) unstable; urgency=high

  * Point debian/control Vcs fields to the new Git repository.
  * Remove '| kdestop' from libkonq5 Depends. Just confuses apt pointlessly.
  * Urgengy=high, important for squeeze release.

 -- Modestas Vainius <modax@debian.org>  Thu, 13 Jan 2011 21:38:54 +0200

kdebase (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update some descriptions.

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 01:47:18 +0200

kdebase (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:13 +0300

kdebase (4:4.4.3-1) unstable; urgency=low

  * New upstream release:
    - Konsole does not crash when closing a broken restored session.
      (Closes: #555831)
    - Konqueror does not crash when closing fast a tab. (Closes: #441298)

  [Martin Alfke]
  * Update of debian/copyright for kde 4.4

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on hurd-i386 i386 ia64 kfreebsd-amd64
    kfreebsd-i386 mips powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:50 +0300

kdebase (4:4.4.3-0ubuntu2) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Do not add unsatisfiable kdesktop dependency for libkonq5
    - kubuntu_04_hide_kfind.diff
    - kubuntu_06_simple_aboutpage.diff
    - kubuntu_10_konq_scans_nsplugins_at_startup.diff
    - kubuntu_18_fix_systemsettings_about_me.diff, LP: #390396
    - kubuntu_19_install_flash.diff
    - kubuntu_20_folderview_configchanged.diff
    - kubuntu_21_konsole_invalid_session_crash_fix.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 16 May 2010 22:19:06 -0400

kdebase (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Roderick B. Greening <roderick.greening@gmail.com>  Tue, 04 May 2010 01:37:16 -0230

kdebase (4:4.4.3-1) unstable; urgency=low

  * New upstream release:
    - Konsole does not crash when closing a broken restored session.
      (Closes: #555831)
    - Konqueror does not crash when closing fast a tab. (Closes: #441298)

  [Martin Alfke]
  * Update of debian/copyright for kde 4.4

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on hurd-i386 i386 ia64 kfreebsd-amd64
    kfreebsd-i386 mips powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:50 +0300

kdebase (4:4.4.2-1) experimental; urgency=low

  * New upstream release (Closes: #568776):
    - does no more close the window when entering a new adblock filter and
      pressing Enter. (Closes: #450774)
    - Konqueror does not hangs after first letter of autocompletion at Google
      Custom Search sites. (Closes: #565270)
    - Konqueror now displays SHA1 digest for SSL certificates.
      (Closes: #525975)
    - Fixes random crashes in dolphin caused by Nepomuk D-Bus calls.
      (Closes: #558010)
    - Konsole now uses the more readable color scheme "Linux" by default.
      (Closes: #570907)
    - The nsplugins' copy of np sdk supports the SH4 architecture.
      (Closes: 562504)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL. (Closes: #569043)
  * libkdeinit4_*.so have been moved to private directory (Closes: #553007).
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Add a symbol file for libkonq5: based on 4.3.4, update for 4.4.1 on
    amd64/i386.
  * Rename libkonqsidebarplugin4 to libkonqsidebarplugin4a, it broke API/ABI
    without bumping a soname.
  * Rename libkonqsidebarplugin4-dev to libkonqsidebarplugin-dev, adjust its
    dependencies for libkonqsidebarplugin4a.
  * Add a symbol file for libkonqsidebarplugin4a: based on 4.4.1 amd64/i386.

  [ George Kiagiadakis ]
  * Refresh patches.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Add build dependency on shared-desktop-ontologies.
  * Remove kdebase-workspace-dev build dependency as it doesn't
    seem to be used anymore.
  * Update installed files.
  * Recommend ruby in dolphin for the new get hot new stuff scripts.
  * Remove unused lintian overrides.

  [ Pino Toscano ]
  * Register the konqueror manpage as slave in the x-www-browser alternative.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:15:35 +0300

kdebase (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Add kubuntu_21_konsole_session_crash_fix.diff to fix crashes when the
    session data provided to Konsole is either corrupted or missing.
    Fixes LP: #350740

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 16 Apr 2010 11:44:43 -0400

kdebase (4:4.4.2-1) experimental; urgency=low

  * New upstream release (Closes: #568776):
    - does no more close the window when entering a new adblock filter and
      pressing Enter. (Closes: #450774)
    - Konqueror does not hangs after first letter of autocompletion at Google
      Custom Search sites. (Closes: #565270)
    - Konqueror now displays SHA1 digest for SSL certificates.
      (Closes: #525975)
    - Fixes random crashes in dolphin caused by Nepomuk D-Bus calls.
      (Closes: #558010)
    - Konsole now uses the more readable color scheme "Linux" by default.
      (Closes: #570907)
    - The nsplugins' copy of np sdk supports the SH4 architecture.
      (Closes: 562504)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL. (Closes: #569043)
  * libkdeinit4_*.so have been moved to private directory (Closes: #553007).
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Add a symbol file for libkonq5: based on 4.3.4, update for 4.4.1 on
    amd64/i386.
  * Rename libkonqsidebarplugin4 to libkonqsidebarplugin4a, it broke API/ABI
    without bumping a soname.
  * Rename libkonqsidebarplugin4-dev to libkonqsidebarplugin-dev, adjust its
    dependencies for libkonqsidebarplugin4a.
  * Add a symbol file for libkonqsidebarplugin4a: based on 4.4.1 amd64/i386.

  [ George Kiagiadakis ]
  * Refresh patches.
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Add build dependency on shared-desktop-ontologies.
  * Remove kdebase-workspace-dev build dependency as it doesn't
    seem to be used anymore.
  * Update installed files.
  * Recommend ruby in dolphin for the new get hot new stuff scripts.
  * Remove unused lintian overrides.

  [ Pino Toscano ]
  * Register the konqueror manpage as slave in the x-www-browser alternative.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:15:35 +0300

kdebase (4:4.4.2-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends
    - In kubuntu_06_simple_aboutpage.diff change query.data() to query.value()

  [ Harlad Sitter ]
  * Remove kubuntu_14_dolphin_preview_on.diff based on the fact that we are not
    smarter than upstream and on the following insantly thought up fails:
    + Running on battery, machine is constantly creating previews reducing
      the time until you run out of battery.
    + Accessing remote shares (e.g. a ftp share for a website) the patch causes
      a constant drain of bandwith. Something users might not even be aware of.
    + It exposes pictures in sub directories of dolphin's default location, which
      might be private data that becomes available to other people this way.
      For a more graphical example please poke me or Quintasan in #kubuntu-devel
    + Unable to turn off without making Dolphin's settings apply global instead
      of per-directory which is quite a trade-off

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 15:01:41 +0100

kdebase (4:4.4.1-0ubuntu3) lucid; urgency=low

  * Switch back to previous control file. konq-plugins isn't our target.

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 11 Mar 2010 00:01:28 +0100

kdebase (4:4.4.1-0ubuntu2) lucid; urgency=low

  * Konqueror recommends konq-plugins, not suggests.
    We removed konq-plugins dependancy on konqueror, since rekonq uses
    it too.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 10 Mar 2010 23:44:36 +0100

kdebase (4:4.4.1-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends
    - Update kinfocenter.install
    - Update konqueror.install

  [ Harald Sitter ]
  * Add kubuntu_20_folderview_configchanged.diff
    + Adding a configChanged() interface to folderview, which is necessary
      for plasma to trigger a reload of folderview's content (most
      importantly via kubuntu-default-settings' plasma init scripts)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Feb 2010 05:36:55 +0100

kdebase (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
   - Bump on Build-Depends

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 05 Feb 2010 00:02:39 +0100

kdebase (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Michał Zając ]
  * New upstream release
   - Bump on build-deps
   - Removed one file from kinfocenter.install

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 01 Feb 2010 21:07:45 +0100

kdebase (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-deps

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 13:05:56 +0100

kdebase (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update dolphin.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 19:29:15 -0500

kdebase (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-deps

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 19 Dec 2009 18:29:39 +0100

kdebase (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:05 +0200

kdebase (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Drop kubuntu_05_konsole_colour_scheme.diff, applied upstream
    - Drop kubuntu_15-17.diff, applied upstream
    - Bump build-depend versions
    - Add build-depend on shared-desktop-ontologies for nepomuk support
    - Update various .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 02 Dec 2009 13:28:20 -0500

kdebase (4:4.3.3-0ubuntu3) lucid; urgency=low

  * Remove transitional kdebase package, kdebase is a real package in meta-kde
    now. Fixes upload failure.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 27 Nov 2009 11:43:14 -0500

kdebase (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:46:58 +0000

kdebase (4:4.3.3-0ubuntu1) lucid; urgency=low

  * Merge with Debian testing remaining changes:
    - Keep our -kde4 replaces/conflicts
    - Do not add unsatisfiable kdesktop dependency for libkonq5
    - kubuntu_04_hide_kfind.diff
    - kubuntu_05_konsole_colour_scheme.diff
    - kubuntu_06_simple_aboutpage.diff
    - kubuntu_10_konq_scans_nsplugins_at_startup.diff
    - kubuntu_14_dolphin_preview_on.diff
    - kubuntu_15_fdo_notifications.diff
    - kubuntu_16_fdo_notifications.diff
    - kubuntu_17_abort_string.diff
    - kubuntu_18_fix_systemsettings_about_me.diff, LP: #390396
    - kubuntu_19_install_flash.diff
    - Add kdebase transitional package which depends on kdebase-apps
  * New upstream release
    - Remove kubuntu_20_fix_dolphin_terminal_crash.diff, fixed upstream
    - Remove kubuntu_13_fix_phonon_include.diff, include file now exists

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 08 Nov 2009 05:31:34 +0100

kdebase (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Use DEB_HOST_ARCH_OS rather than DEB_BUILD_ARCH_OS in debian/rules

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 17:55:14 +0200

kdebase (4:4.3.2-0ubuntu3) karmic; urgency=low

  * Drop kubuntu_12_folderview_retry.diff, fixes LP: #453874

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 20 Oct 2009 11:36:09 -0400

kdebase (4:4.3.2-0ubuntu2) karmic; urgency=low

  * Add kubuntu_20_fix_dolphin_terminal_crash.diff from upstream to revert
    a problematic commit that lead to Dolphin crashing during terminal use.
    Can be unapplied in KDE 4.3.3 (LP: #454601)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 20 Oct 2009 10:50:05 -0400

kdebase (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Use DEB_HOST_ARCH_OS rather than DEB_BUILD_ARCH_OS in debian/rules

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 17:55:14 +0200

kdebase (4:4.3.2-0ubuntu1) karmic; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-deps

  [ Harald Sitter ]
  * Make Lintian happy about the konqueror maintainer scripts
  * Add konsole maintainer scripts to register it as x-terminal-emulator
    alternative (LP: #278722)
  * Add kubuntu_19_install_flash.diff using update-notifier-kde to recommend
    installation of flash plugin

  [ Jonathan Thomas ]
  * Bump replaces for konqueror on dolphin to (<< 4:4.2.85) (LP: #421742)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 03 Oct 2009 03:45:08 +0200

kdebase (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Downgrade konqueror-nsplugins from kdebase-apps Depends to Recommends.
  * Update install files.
  * Bump KDE build dependencies to KDE 4.3.1.
  * Rewrite Linux only installation hack and use BUILD_OS rather than HOST_OS.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 30 Aug 2009 11:32:51 +0300

kdebase (4:4.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 29 Aug 2009 01:59:53 +0200

kdebase (4:4.3.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Bump shlibs each new upstream version.

  +++ Changes by Pino Toscano:

  * Remove the separate kinfocenter.install.kfreebsd and instead install
    Linux-specific stuff using rules. This way there is a .install file less
    to maintain, and it works on hurd-i386 as well.
  * Recommend kinfocenter in the kdebase-apps metapackage. (Closes: #524115)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version: 3.8.3, no changes required.
  * Rename kdebase metapackage to kdebase-apps. kdebase metapackage is moved
    to meta-kde source and will be slightly different.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Aug 2009 15:43:32 +0200

kdebase (4:4.3.0-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Didier Raboud:

  * Add dependency on install-info, thanks to Norbert Preining. (Closes: #532585)

  +++ Changes by Sune Vuorela:

  * Make konsole ignore -T. (Closes: #532029)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build depends to >= 4.3.0.
  * Update packaging copyright in debian/copyright.
  * Update to Standards-Version: 3.8.2, no changes required.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 09:05:27 +0200

kdebase (4:4.3.0-0ubuntu3) karmic; urgency=low

  * Add kubuntu_18_fix_systemsettings_about_me.diff Closes LP: 390396

 -- Achim Bohnet <allee@kubuntu.org>  Wed, 05 Aug 2009 17:34:09 +0200

kdebase (4:4.3.0-0ubuntu2) karmic; urgency=low

  * Really, this patch doesn't exist

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Aug 2009 00:05:39 +0100

kdebase (4:4.3.0-2) unstable; urgency=low

  +++ Changes by Modestas Vainius:

  * Bump shlibs each new upstream version.

  +++ Changes by Pino Toscano:

  * Remove the separate kinfocenter.install.kfreebsd and instead install
    Linux-specific stuff using rules. This way there is a .install file less
    to maintain, and it works on hurd-i386 as well.
  * Recommend kinfocenter in the kdebase-apps metapackage. (Closes: #524115)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update to Standards-Version: 3.8.3, no changes required.
  * Rename kdebase metapackage to kdebase-apps. kdebase metapackage is moved
    to meta-kde source and will be slightly different.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Aug 2009 15:43:32 +0200

kdebase (4:4.3.0-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Didier Raboud:

  * Add dependency on install-info, thanks to Norbert Preining. (Closes: #532585)

  +++ Changes by Sune Vuorela:

  * Make konsole ignore -T. (Closes: #532029)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build depends to >= 4.3.0.
  * Update packaging copyright in debian/copyright.
  * Update to Standards-Version: 3.8.2, no changes required.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 09:05:27 +0200

kdebase (4:4.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Remove kubuntu_17_startup_notification.diff, applied upstream
  * Add kubuntu_17_abort_string.diff, Closes LP: #389751

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 Jul 2009 17:52:40 +0100

kdebase (4:4.2.98-0ubuntu3) karmic; urgency=low

  * Rebuild with new pkg-kde-tools to build translation templates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Jul 2009 18:11:57 +0100

kdebase (4:4.2.98-0ubuntu2) karmic; urgency=low

  * Add kubuntu_17_startup_notification.diff to debian/patches/series,
    bzr missed it out

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Jul 2009 12:18:51 +0100

kdebase (4:4.2.98-0ubuntu1) karmic; urgency=low

  [ Michał Zając ]
  * New upstream release (KDE 4.3 RC 3)
  * Bump on Build-Depends

  [ Jonathan Riddell ]
  * Add kubuntu_17_startup_notification.diff Closes LP: #399155

 -- Michał Zając <michal.zajac@gmail.com>  Wed, 22 Jul 2009 11:39:02 +0200

kdebase (4:4.2.96-1) experimental; urgency=low

  * New upstream snapshot.

  +++ Changes by George Kiagiadakis:

  * Bump build-dependency on kdelibs5 to version 4.2.95.
  * Update installed files.
  * Add myself to uploaders.
  * Add build dependency on kdebase-workspace-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Jun 2009 19:58:54 +0300

kdebase (4:4.2.96-0ubuntu2) karmic; urgency=low

  * Backport support for freedesktop.org notifications. Makes it possible for
    GNOME and KDE applications to display notifications using the native
    desktop notification system.
   - debian/patches/kubuntu_15_fdo_notifications.diff
   - debian/patches/kubuntu_16_fdo_notifications.diff

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Fri, 17 Jul 2009 12:51:23 +0200

kdebase (4:4.2.96-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump on Build-Depends.

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 10 Jul 2009 19:14:12 +0200

kdebase (4:4.2.95-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Bump KDE versions to 4.2.95
  * Bump Standards-Version to 3.8.2, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Jun 2009 12:41:12 -0400

kdebase (4:4.2.90-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Update KDE versions to 4.2.90
    - update debian/libkonq5-dev.install

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 03 Jun 2009 23:42:46 -0400

kdebase (4:4.2.85-0ubuntu6) karmic; urgency=low

  [ Jonathan Thomas ]
  * Bump replaces version of kdebase-bin/data for dolphin (LP: #374959)

  [ Anthony Mercatante ]
  * Add kubuntu_14_dolphin_preview_on.diff:
    - turns on dolphin preview by default

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 02 Jun 2009 17:01:48 +0200

kdebase (4:4.2.85-0ubuntu5) karmic; urgency=low

  * Update replaces for kdebase-plasma in plasma-widget-folderview
  * Add transitional package for kdebase-plasma (to plasma-widget-folderview)

 -- Roderick B. Greening <roderick.greening@gmail.com>  Wed, 20 May 2009 11:29:13 -0230

kdebase (4:4.2.85-0ubuntu4) karmic; urgency=low

  * Bump replaces version of konqueror to (<< 4:4.2.85) for kdebase-data
    (LP: #377856)
  * Bump replaces version of kdebase-bin to (<< 4:4.2.85) for libkonq5

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 May 2009 10:47:32 -0400

kdebase (4:4.2.85-0ubuntu3) karmic; urgency=low

  * Remove libkonsoleprivate.so from not-installed to konsole.install,
    konsole dies without it

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 16 May 2009 21:11:26 -0400

kdebase (4:4.2.85-0ubuntu2) karmic; urgency=low

  [ Roderick B. Greening ]
  * Remove (and not just disable) kubuntu_09_trash_kcm_in_dolphin.diff and
    kubuntu_11_svn954343_dolphin_prefix.diff
  * Update libphonon-dev to libqt4-phonon-dev (>= 4.5.1)

  [ Jonathan Thomas ]
  * libkonq5-dev replaces kdebase-data (<< 4:4.2.85)
  * Bump replaces version of kdebase-data for libkonq5
  * Bump replaces version of konqueror for kdebase-bin
  * Bump replaces version of kdepasswd for kdebase-data
  * Bump replaces version of kdebase-bin for kinfocenter
  * Bump replaces version of konqueror for libkonqsidebar4
  * konqueror replaces kdebase-bin (<< 4:4.1.85)
  * konqueror-nsplugins replaces kdebase-bin (<< 4:4.2.85)

  [ Scott Kitterman ]
  * Change VCS* headers back to Kubuntu VCS from Debian's

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 May 2009 18:44:58 -0400

kdebase (4:4.2.96-1) experimental; urgency=low

  * New upstream snapshot.

  +++ Changes by George Kiagiadakis:

  * Bump build-dependency on kdelibs5 to version 4.2.95.
  * Update installed files.
  * Add myself to uploaders.
  * Add build dependency on kdebase-workspace-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Jun 2009 19:58:54 +0300

kdebase (4:4.2.85-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Remove merged/unnecessary patches
    - kubuntu_09_trash_kcm_in_dolphin.diff
    - kubuntu_11_svn954343_dolphin_prefix.diff
  * Add the following patches
    - kubuntu_13_fix_phonon_include.diff - fix FTBFS in phononwidget.cpp
  * Updated build dep to include kdebase-workspace-dev req by folderview
  * Updated various install files
    - Removed from:
      kdebase-data.install
        usr/share/kde4/services/filetypes.desktop
        usr/share/kde4/services/useragentstrings/firefox15oncurrent.desktop
        usr/share/kde4/services/useragentstrings/mozoncurrent.desktop
        usr/share/kde4/services/useragentstrings/mozoncurrent12.desktop
        usr/share/kde4/services/useragentstrings/mozonwinxp.desktop
        usr/share/kde4/services/useragentstrings/safari12.desktop
      dolphin.install
        usr/lib/kde4/kcm_dolphin.so
        usr/lib/libdolphinprivate.so.4.2.0
        usr/share/icons/hicolor/128x128/actions/preview.png
        usr/share/icons/hicolor/16x16/actions/preview.png
        usr/share/icons/hicolor/22x22/actions/preview.png
        usr/share/icons/hicolor/32x32/actions/preview.png
        usr/share/icons/hicolor/48x48/actions/preview.png
        usr/share/icons/hicolor/64x64/actions/preview.png
        usr/share/kde4/services/kcmdolphin.desktop
      konqueror.install
        usr/lib/libkonquerorprivate.so.4.2.0
        usr/lib/kde4/konq_remoteencoding.so
        usr/share/kde4/apps/dolphinpart/kpartplugins/kremoteencodingplugin.desktop
        usr/share/kde4/apps/dolphinpart/kpartplugins/kremoteencodingplugin.rc
      libkonqsidebarplugin4.install
        usr/lib/libkonqsidebarplugin.so.4.2.0
      libkonq5.install
        usr/lib/libkonq.so.5.2.0
      kdebase-bin.install
        usr/bin/keditfiletype
        usr/lib/kde4/kcm_filetypes.so
    - Added to:
      kdebase-data.install
        usr/share/kde4/services/useragentstrings/android10.desktop
        usr/share/kde4/services/useragentstrings/chrome10onwinnt51.desktop
        usr/share/kde4/services/useragentstrings/firefox30oncurrent.desktop
        usr/share/kde4/services/useragentstrings/ie70onwinnt51.desktop
        usr/share/kde4/services/useragentstrings/op962oncurrent.desktop
        usr/share/kde4/services/useragentstrings/safari30oniphone.desktop
        usr/share/kde4/services/useragentstrings/safari32.desktop
      dolphin.install
        usr/lib/kde4/kcm_dolphingeneral.so
        usr/lib/kde4/kcm_dolphinnavigation.so
        usr/lib/kde4/kcm_dolphinservices.so
        usr/lib/kde4/kcm_dolphinviewmodes.so
        usr/lib/libdolphinprivate.so.4.3.0
        usr/share/kde4/services/kcmdolphingeneral.desktop
        usr/share/kde4/services/kcmdolphinnavigation.desktop
        usr/share/kde4/services/kcmdolphinservices.desktop
        usr/share/kde4/services/kcmdolphinviewmodes.desktop
      konqueror.install
        usr/lib/libkonquerorprivate.so.4.3.0
      libkonqsidebarplugin4.install
        usr/lib/libkonqsidebarplugin.so.4.3.0
      libkonq5.install
        usr/lib/libkonq.so.5.3.0
        usr/share/kde4/servicetypes/konqdndpopupmenuplugin.desktop
  * Updated not-installed file
    - Added
      ./usr/lib/libkonsoleprivate.so

 -- Roderick B. Greening <roderick.greening@gmail.com>  Wed, 13 May 2009 12:21:39 -0230

kdebase (4:4.2.4-1) unstable; urgency=low

  * New upstream release:
    - khtml fixes. (Closes: #529851)

  +++ Changes by Josh Metzler:

  * Add Breaks: gtk-qt-engine to konqueror-nsplugins since they are
    incompatible. (Closes: #513881)
  * Add konsole as an alternative for x-terminal-emulator. (Closes: #528307)

  +++ Changes by Sune Vuorela:

  * Fix sections.
  * Add Breaks: to konsole to tell that it breaks older versions of yakuake.

  +++ Changes by Fathi Boudra:

  * Bump Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
  * Call update-alternatives without absolute path. (Closes: #510939)
  * Set an higher priority (40) on the x-terminal-emulator alternative.

  +++ Changes by Aurelien Jarno:

  * debian/control: don't build-depends on libraw1394-dev on
    GNU/kFreeBSD. Create debian/kinfocenter.install.kfreebsd.
    (Closes: #528692).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 01 May 2009 18:35:24 +0200

kdebase (4:4.2.2-1ubuntu1) karmic; urgency=low

  * Merge with Debian, reamaining changes:
    - Keep our -kde4 replaces/conflicts
    - Do not re-add optional, unsatisfiable kdesktop dependency for libkonq5
    - Add newline to the end of kwrite.lintian-overrides
    - kubuntu_04_hide_kfind.diff, access though dolphin
    - kubuntu_05_konsole_colour_scheme.diff, much easier on the eyes
    - kubuntu_06_simple_aboutpage.diff, treat konqeror as a web browser
    - kubuntu_09_trash_kcm_in_dolphin.diff, from trunk
    - kubuntu_10_konq_scans_nsplugins_at_startup.diff, scan for new plugins
    - kubuntu_11_svn954343_dolphin_prefix.diff, from trunk
    - kubuntu_12_folderview_retry.diff, fixes folderview on live CD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 May 2009 13:55:26 +0000

kdebase (4:4.2.2-1) unstable; urgency=low

  * New upstream release:
    - khtml fixes. (Closes: #290285, #359680)
    - Default konsole sessions can be deleted. (Closes: #286342)
    - Tag widget uses standard application palette. (Closes: #444800)
    - ... and surely many more but we have lost track...

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 05 Apr 2009 05:22:13 +0200

kdebase (4:4.2.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Point Debian Vcs URLs to pkg-kde/trunk (new location).
  * Rename plasma-applet-folderview to plasma-widget-folderview, add
    appropriate conflicts/replaces.
  * Replace all references to plasma "applet" with "widget".
  * Bump kdelibs5-dev build depend to 4.2.1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 28 Feb 2009 00:30:59 +0200

kdebase (4:4.2.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Drop excess kdepimlibs5-dev build dependency.
  * Use sameVersionDep for libkonq5-dev dependecy on kdelibs5-dev.
  * Bump KDE build dependencies to 4.2.0, drop implicit cmake build depend.
  * Add explicit kdelibs5-dev build depend (for upcoming symbols files).
  * Bump Standards-Version to 3.8.0: add README.source.
  * Add debian/installgen.
  * Update and reorganize install files a bit.
  * Make kappfinder, kdepasswd and konqueror depend on kdebase-data.
  * Make konqueror depend on kdebase-bin.
  * Split off konqueror sidebar library to libkonqsidebarplugin4 and
    libkonqsidebarplugin4-dev packages.
  * Kill kdebase-dev package.
  * Rename kdebase-plasma to plasma-applet-folderview, tweak description.
  * Do not build depend on libplasma-dev. Plasma headers are in kdelibs5-dev
    for now.
  * Rename debian/*.lintian to debian/*.lintian-overrides.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).
  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;
    - replace debian/cdbs/kde.mk with
      /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk in debian/rules.

  +++ Changes by Armin Berres:

  * Install konqueror as alternative for x-www-browser.
  * Make linkonq5 replace older kdebase-data and kdebase-bin.

  +++ Changes by George Kiagiadakis:

  * konqueror recommends dolphin as it needs the dolphinpart to
    do file management.
  * libkonqsidebarplugin4-dev conflicts and replaces kdebase-dev.
  * Add some replaces to fix upgrade errors, as some files were
    moved between packages.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update not-installed files.
  * Bump phonon build depend version to >= 4:4.3.0

  +++ Changes by Sune Vuorela:

  * Update copyright file. Thanks Modestas.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 26 Jan 2009 20:56:30 +0100

kdebase (4:4.1.4-1) experimental; urgency=low

  * New upstream release
  * Bump b-d

  +++ Changes by Modestas Vainius:

  * Remove kdepimlibs5-dev from kdebase-dev depends.
  * Use sameVersionDep for libkonq5-dev dependecy on kdelibs5-dev.

  +++ Changes by Armin Berres:

  * Install konqueror as alternative for x-www-browser.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Jan 2009 11:10:30 +0100

kdebase (4:4.1.3-1) experimental; urgency=low

  * New upstream release
    - bump b-d

 -- Sune Vuorela <debian@pusling.com>  Sat, 01 Nov 2008 14:21:14 +0100

kdebase (4:4.2.2-0ubuntu5) raring; urgency=low

  * Added patch kubuntu_10_konq_scans_nsplugins_at_startup.diff:
    - Closes LP: #349728

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 17 Apr 2009 11:00:21 +0200

kdebase (4:4.2.2-0ubuntu4) jaunty; urgency=low

  [ Anthony Mercatante ]
  * Added patch kubuntu_11_svn954343_dolphin_prefix.diff:
    - Closes LP: #354768

  [ Jonathan Riddell ]
  * Add kubuntu_12_folderview_retry.diff to retry loading if it fails.
    Closes LP: #362895 "on live CD folderview can show big large red X"

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 16 Apr 2009 14:08:17 +0200

kdebase (4:4.2.2-0ubuntu3) jaunty; urgency=low

  * In kubuntu_06_simple_aboutpage.diff set default search engine to Google

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Apr 2009 16:40:50 +0100

kdebase (4:4.2.2-0ubuntu2) jaunty; urgency=low

  * Add konqueror.postinst and konqueror.prerm to add konqueror to
    x-www-browser in update-alternatives. (LP: #353678)

 -- Andreas Wenning <awen@awen.dk>  Fri, 03 Apr 2009 18:42:41 +0200

kdebase (4:4.2.2-0ubuntu1) jaunty; urgency=low

  [Jonathan Thomas]
  * Add kubuntu_09_trash_kcm_in_dolphin.diff to put the Trash KCM inside
    Dolphin's Configuration page. Can be removed in KDE 4.3.

  [Steve Stalcup]
  * New upstream release
  * Bump KDE versions in debian/control
  * Remove kubuntu_07_konsole_split_svn935623.diff
  * Remove kubuntu_08_konsole_text_selection.diff

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 26 Mar 2009 21:35:49 -0400

kdebase (4:4.2.1-0ubuntu6) jaunty; urgency=low

  [ Michal Zajac ]
  * Add kubuntu_08_konsole_text_selection.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 17 Mar 2009 19:32:18 -0400

kdebase (4:4.2.1-0ubuntu5) jaunty; urgency=low

  * Reupload since the previous fix wasn't in it for real...

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 08 Mar 2009 23:01:57 +0100

kdebase (4:4.2.1-0ubuntu4) jaunty; urgency=low

  * Fixed kubuntu_06_simple_aboutpage.diff:
    - Also fixed the "name" QString for NULL, as David Faure suggested.

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 06 Mar 2009 15:01:59 +0100

kdebase (4:4.2.1-0ubuntu3) jaunty; urgency=low

  * Fixed kubuntu_06_simple_aboutpage.diff:
    - DefaultSearchEngine could be empty in some cases (no K-D-S...)
      so set "google" as default is an empty value is returned.

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 06 Mar 2009 13:26:20 +0100

kdebase (4:4.2.1-0ubuntu2) jaunty; urgency=low

  * Added kubuntu_07_konsole_split_svn935623.diff:
    - Closes KDE bug #171544

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 06 Mar 2009 12:31:29 +0100

kdebase (4:4.2.1-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Update dolphin.install and konqueror.install (replace 4.2.0 w/ 4.2.*)
  * Update build-deps (libplasma-dev, libphonon-dev and kdelibs5-dev)
  * Update deps for kdebase-dev (kdepimlibs5-dev, libphonon-dev)
  * Update deps for libkonq5-dev (kdelibs5-dev)

 -- Roderick B. Greening <roderick.greening@gmail.com>  Fri, 27 Feb 2009 10:01:24 -0330

kdebase (4:4.2.0-0ubuntu3) jaunty; urgency=low

  * Add kubuntu_06_simple_aboutpage.diff, make Konqueror intro page
    more web focused now Konq is focused on the web

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Feb 2009 16:13:42 +0000

kdebase (4:4.2.0-0ubuntu2) jaunty; urgency=low

  * Add kubuntu_05_konsole_colour_scheme.diff to use Linux scheme by
    default, must easier to view

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Feb 2009 10:39:48 +0000

kdebase (4:4.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Bump duild-deps accordingly
  * updated *.install doc path from kde4 to kde

 -- Roderick B. Greening <roderick.greening@gmail.com>  Thu, 22 Jan 2009 20:58:20 -0330

kdebase (4:4.1.96-0ubuntu2) jaunty; urgency=low

  * Rebuild against new libplasma-dev

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 14 Jan 2009 09:49:20 -0500

kdebase (4:4.1.96-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Updated various .install files:
    + dolphin.install
    + kappfinder.install
    + kfind.install
    + konqueror.install
  * Bumped build-dep versions

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 08 Jan 2009 09:49:20 -0500

kdebase (4:4.1.85-0ubuntu1) jaunty; urgency=low

  * Change Vcs-Browser to Launchpad and replace Vcs-Svn with Vcs-Bzr
  * New upstream release
  * Bump build-dep versions
  * Update:
    + konqueror.install
    + kdebase-bin.install
    + kdebase-data.install

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 03 Dec 2008 15:01:21 +0100

kdebase (4:4.1.80-0ubuntu1) jaunty; urgency=low

  [ Michael Casadevall ]
  * New upstream release
  * debian/control:
    * Dropped kdepimlibs-dev as a build-dep
    * Added kdelibs5-dev (>= 4.1.80) as a build-dep

  [ Harald Sitter ]
  * Bump phonon and libplasma-dev build-deps to 4.2.80/4.1.80
  * quilt refresh

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 25 Nov 2008 15:55:53 +0100

kdebase (4:4.1.73-0ubuntu1) jaunty; urgency=low

  * New upstream alpha snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Nov 2008 11:09:41 +0000

kdebase (4:4.1.2-1ubuntu1) jaunty; urgency=low

  * Merge with Debian, remaining changes:
    - Use our custom kde4.mk
    - Keep our -kde4 replaces/conflicts
    - Do not re-add optional, unsatisfiable kdesktop dependency for libkonq5
    - Add newline to the end of kwrite.lintian
    - Keep kubuntu_04, 05, 06, 07, 900 patches, though we can remove all but 04 next
      upstream release
  * Updated KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 Nov 2008 13:10:32 -0500

kdebase (4:4.1.2-1) experimental; urgency=low

  * New upstream release.
  * Update installed files.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 30 Sep 2008 12:20:04 +0200

kdebase (4:4.1.2-0ubuntu4) intrepid; urgency=low

  * Remove unsatisfiable kdesktop dependency from libkonq5. (LP: #283281)
  * Fix a Dolphin crash on startup with upstream patch
    kubuntu_07_fix_KDE_169103_dolphin_crash.diff. (LP: #277240)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 14 Oct 2008 16:26:00 -0400

kdebase (4:4.1.2-0ubuntu3) intrepid; urgency=low

  * Fix the cut and copy context menu actions in Konqueror with upstream patch
    kubuntu_06_fix_cut_copy_context_menu.diff. (LP: #277122)
    - Already fixed in 4.1.3, so patch can be dropped with the next new
      upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 06 Oct 2008 21:17:01 -0400

kdebase (4:4.1.2-0ubuntu2) intrepid; urgency=low

  [ Harald Sitter ]
  * quilt refresh
  * Improve kfind's startup performance using patch borrowed from upstream
    kubuntu_900_improve_kfind_performance.diff
  * Add final new line to kwrite.lintian

  [ Jonathan Riddell ]
  * Add kubuntu_05_konsole_resize.diff stop konsole resizing,
    workaround http://bugs.kde.org/show_bug.cgi?id=172042

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 04 Oct 2008 03:23:09 +0200

kdebase (4:4.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release
    - updated konqueror.install and konsole.install files

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 25 Sep 2008 20:30:58 -0400

kdebase (4:4.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Change sections.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 31 Aug 2008 20:49:19 +0200

kdebase (4:4.1.1-0ubuntu2) intrepid; urgency=low

  * Rebuild against kdelibs 4:4.1.1+really4.1.1

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Sep 2008 03:11:52 +0200

kdebase (4:4.1.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Change sections.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 31 Aug 2008 20:49:19 +0200

kdebase (4:4.1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Removed obsolete debian/cdbs dir

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 28 Aug 2008 19:32:12 -0400

kdebase (4:4.1.0-1) experimental; urgency=low

  * New upstream release.
  * Update build depends and depends to >=4.1.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 27 Jul 2008 14:25:51 +0200

kdebase (4:4.1.0-0ubuntu2) intrepid; urgency=low

  * switch to kde4.mk from cdbs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Aug 2008 15:29:37 +0000

kdebase (4:4.1.0-1) experimental; urgency=low

  * New upstream release.
  * Update build depends and depends to >=4.1.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 27 Jul 2008 14:25:51 +0200

kdebase (4:4.1.0-0ubuntu1) intrepid; urgency=low

  * New upstream release, 4.1 final release
    - updated konqueror.install
    - bumped build-deps on kdepimlibs5-dev to (>= 4:4.1.0)

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 23 Jul 2008 20:23:58 -0400

kdebase (4:4.0.98-1) experimental; urgency=low

  * New upstream release, Release Candidate 1.

  +++ Changes by Xavier Vello:

  * konqueror now suggests konq-plugins >=4:4.1~.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove patch 97_fix_target_link_libraries.
  * Add Conflicts with kcontrol to kdebase-bin. Thanks Peter!
    (Closes: #483658)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 14 Jul 2008 18:50:01 +0200

kdebase (4:4.0.98-0ubuntu4) intrepid; urgency=low

  * Add kfind as recommends for dolphin (LP: #212570)

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Thu, 17 Jul 2008 13:05:47 -0400

kdebase (4:4.0.98-0ubuntu3) intrepid; urgency=low

  * Removed filemanagement konqueror profile from konqueror.install:
    - usr/share/kde4/apps/konqueror/profiles/filemanagement
    - usr/share/kde4/apps/konqueror/konq-filemanagement.rc
  * Added KUBUNTU-DEBIAN-DIFFERENCES file for easy package sync with
    Debian

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 17 Jul 2008 14:34:30 +0200

kdebase (4:4.0.98-0ubuntu2) intrepid; urgency=low

  * Removed useless konqueror profiles from konqueror.install:
    - usr/share/kde4/apps/konqueror/profiles/kde_devel
    - usr/share/kde4/apps/konqueror/profiles/midnightcommander
    - usr/share/kde4/apps/konqueror/profiles/tabbedbrowsing

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 16 Jul 2008 11:55:18 +0200

kdebase (4:4.0.98-1) experimental; urgency=low

  * New upstream release, Release Candidate 1.

  +++ Changes by Xavier Vello:

  * konqueror now suggests konq-plugins >=4:4.1~.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove patch 97_fix_target_link_libraries.
  * Add Conflicts with kcontrol to kdebase-bin. Thanks Peter!
    (Closes: #483658)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 14 Jul 2008 18:50:01 +0200

kdebase (4:4.0.98-0ubuntu1) intrepid; urgency=low

  * New upstream release candidate release
  * Bump Standards-Version to 3.8.0

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 12 Jul 2008 00:38:24 +0200

kdebase (4:4.0.84-1) experimental; urgency=low

  * New upstream snapshot
  * Nspluginviewer needs glib

 -- Sune Vuorela <debian@pusling.com>  Sat, 28 Jun 2008 19:21:30 +0000

kdebase (4:4.0.83-0ubuntu2) intrepid; urgency=low

  * Make kdebase-data depend on kdebase-bin, because it pulls in desktop files
    which are used by kcmshell4/systemsettings and causes 'shared library not
    found' errors without the -bin package.
  * Bump Standards-Versin from 3.7.3 to 3.8.0

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 28 Jun 2008 18:23:34 +0200

kdebase (4:4.0.83-0ubuntu1) intrepid; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jun 2008 11:56:01 +0000

kdebase (4:4.0.82+svn819867-1) experimental; urgency=low

  * New upstream development snapshot.

  +++ Changes by Modestas Vainius:

  * Bump kdepimlibs5-dev to 4.0.82, libphonon-dev to 4.2~ (Closes: #483116).
  * Build depend on libplasma-dev >=4.0.82 (folderview applet).
  * Add a new binary kdebase-plasma for a Folder View applet. Add appropriate
    replaces with libplasma2.
  * Update install files.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove 01_r811027_konqcrash_on_rightclick.diff, merged upstream.
  * Add small update in 97_fix_target_link_libraries.diff.
  * Update build dependencies:
    - Bump kdepimlibs5-dev to (>= 4:4.0.81).
    - Change libphonon-dev to new versioning (>= 4:4.2~).
  * Update installed files.

  +++ Changes by Fathi Boudra:

  * Add libxext-dev build dependency.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 15 Jun 2008 15:22:53 +0200

kdebase (4:4.0.80-1ubuntu3) intrepid; urgency=low

  * Fix config install targest

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2008 16:07:19 +0100

kdebase (4:4.0.80-1ubuntu2) intrepid; urgency=low

  * Update kde.mk, use /usr/share/kde4/config for settings, mark
    packages as Kubuntu not Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2008 15:10:36 +0100

kdebase (4:4.0.80-1ubuntu1) intrepid; urgency=low

  * Merge with Debian
   - remove 97_fix_target_link_libraries.diff
   - Add replaces/conflicts on -kde4 packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 May 2008 12:09:48 +0100

kdebase (4:4.0.80-1) experimental; urgency=low

  * New upstream development milestone (KDE 4.1 Beta1).

  +++ Changes by Modestas Vainius:

  * Resync 97_ patch.
  * Update install files.
  * Backport 01_r811027_konqcrash_on_rightclick.diff patch from upstream svn
    which fixes a konqueror crash on each mouse right click.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 22 May 2008 11:55:10 +0300

kdebase (4:4.0.74-1) experimental; urgency=low

  * New upstream development snapshot.
  * Corrections to *.install files:
    - libkonq5.install: 1 file(s) removed;
    - libkonq5-dev.install: 1 file(s) removed;

  +++ Changes by Modestas Vainius:

  * Resync 97_ patch.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 10 May 2008 21:06:59 +0300

kdebase (4:4.0.72-1) experimental; urgency=low

  * New upstream development snapshot.

   +++ Changes by Modestas Vainius:

   * Add libstreamanalyzer-dev, libxrender-dev, zlib1g-dev, libglu1-mesa-dev,
     libpci-dev, libxt-dev, pkg-config (for getting strigi version) to
     build depends.
   * Add 97_fix_target_link_libraries.diff.
   * Update install files, sort them.
   * Remove AUTHORS from debian/docs.
   * Do not install README to each package. It's pointless. Install it only
     to kdebase.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 01 May 2008 08:11:05 +0200

kdebase (4:4.0.68+svn794641-1) experimental; urgency=low

  * New upstream snapshot.
  * Add versioned build depend on qimageblitz >= 1:0.0.4-2.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 04 Apr 2008 16:37:13 +0200

kdebase (4:4.0.66+svn791114-1) experimental; urgency=low

  * First KDE 4.1 snapshot packaged.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.
  * Add build depend on libraw1394-dev.

  +++ Changes by Armin Berres

  * Add conflict against kcontrol to kinfocenter (Closes: #465702).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 28 Mar 2008 16:22:10 +0100

kdebase (4:4.0.2-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Matthew Rosewarne:

  * Move dolphin, kfind, and kinfocenter to Section: utils.
  * Move kdepasswd to Section: admin.
  * Move kwrite to Section: editors.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update installed files.
  * Bump build-depends to >= 4.0.2.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Mar 2008 19:35:59 +0100

kdebase (4:4.0.1-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Armin Berres:

  * Update installed files.
  * Bump build-depends to >= 4.0.1-1.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump compat/debhelper 6.

  +++ Changes by Fathi Boudra:

  * Add Vcs-Browser and Vcs-Svn fields.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Feb 2008 14:35:21 +0100

kdebase (4:4.0.0-2) experimental; urgency=low

  +++ Changes by Armin Berres:

  * KWrite ships files which are contained in kate from KDE 3. Add
    conflict and replaces.

  +++ Changes by Matthew Rosewarne:

  * Tweak package descriptions.
  * Change KDE 4 dependency version to 4:4.0.0-1.
  * Remove unnecessary Replaces.
  * Make dependencies binNMU-friendly.
  * More specific dependencies for kdebase-dev.
  * Move libkonq.so from kdebase-dev to libkonq5-dev.
  * Use source:Version for kdebase metapackage.
  * Remove Recommends: kdm from kdebase.
  * Add Recommends: konqueror-nsplugins to konqueror.
  * Remove Recommends: xine-ui from kappfinder.
  * Change kdebase-dbg Depends to kdebase-runtime-dbg.
  * Add Suggests: kdebase to kdebase-dbg.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add lintian overrides for dolphin, kinfocenter, konqueror, konsole and
    kwrite.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Jan 2008 05:46:56 +0100

kdebase (4:4.0.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build-depends to >= 4.0.0-1.
  * Update dolphin.install.
  * Update years in copyright.

  +++ Changes by Matthew Rosewarne:

  * Add Homepage: to control.
  * Tweak package descriptions.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 10 Jan 2008 09:19:46 +0100

kdebase-kde4 (4:4.0.3-0ubuntu2) hardy; urgency=low

  * Add kfind-kde4 as dependency for dolphin-kde4 (LP: #212570)
  * Add kubuntu_04_hide_kfind.diff to hide kfind from the menu

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 12 Apr 2008 00:25:52 +0200

kdebase-kde4 (4:4.0.3-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Mar 2008 11:59:56 +0000

kdebase-kde4 (4:4.0.2-0ubuntu6) hardy; urgency=low

  * Remove konqueror's dependency on -bin and -data, it now includes, like in
    the KDE 3 package all necessary files.

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 25 Mar 2008 23:18:19 +0100

kdebase-kde4 (4:4.0.2-0ubuntu5) hardy; urgency=low

  * debian/control:
    + Don't exceed 80 characters per line, where possible
    + Add kdebase-bin-kde4 as dependency for konqueror-kde4 (LP: #196520)
    + Fix not-binnmuable-any-depends-all for kdebase-dev-kde4 and -dbg-kde4

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 23 Mar 2008 02:43:57 +0100

kdebase-kde4 (4:4.0.2-0ubuntu4) hardy; urgency=low

  * Ensure patches are unapplied before uploading

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 18:54:57 +0000

kdebase-kde4 (4:4.0.2-0ubuntu3) hardy; urgency=low

  * Add kubuntu_03_hide_home.diff, hide Konqueror Home from apps menu,
    we have a Computer menu now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 17:47:38 +0000

kdebase-kde4 (4:4.0.2-0ubuntu2) hardy; urgency=low

  * Add kubuntu_02_hide_konquerorsu.diff, hide konquerorsu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 17:21:42 +0000

kdebase-kde4 (4:4.0.2-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Mar 2008 11:37:30 +0000

kdebase-kde4 (4:4.0.1-0ubuntu2) hardy; urgency=low

  * Prevent Konqueror from exposing an issue caused by absolute paths
    in our desktop files (LP: #188498)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 06 Feb 2008 00:25:17 +0100

kdebase-kde4 (4:4.0.1-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 31 Jan 2008 17:38:27 +0000

kdebase-kde4 (4:4.0.0-0ubuntu5) hardy; urgency=low

  * set XDG_APPS_INSTALL_DIR=/usr/share/applications/kde4/ in kde.mk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jan 2008 13:30:50 +0000

kdebase-kde4 (4:4.0.0-0ubuntu4) hardy; urgency=low

  * Changed Maintainer tag to Kubuntu Developers
  * Tried to not exceed 80 characters, where possible
  * Changed descriptions to better reflect, that these are KDE 4 packages
  * Removed kdesktop as alternative dependency to libkonq5-templates in libkonq5
  * Fix installation of libkonq5-templates files
  * Fix desktop file creation to attach "KDE 4" to all Name entries

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 13 Jan 2008 17:38:08 +0100

kdebase-kde4 (4:4.0.0-0ubuntu3) hardy; urgency=low

  * Fix icon paths in desktop files

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 12 Jan 2008 19:29:16 +0100

kdebase-kde4 (4:4.0.0-0ubuntu2) hardy; urgency=low

  * Fixed dependency: -dbg depends on kdebase-kde4 not kdebase

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 12 Jan 2008 16:27:09 +0100

kdebase-kde4 (4:4.0.0-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 06 Jan 2008 18:18:35 +0000

kdebase-kde4 (4:3.98.0~svn755919-1ubuntu1) hardy; urgency=low

  * Merge with Debian, using our kde.mk, paths, extra rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 03 Jan 2008 15:45:57 +0000

kdebase (4:3.98.0~svn755919-1) experimental; urgency=low

  * New svn snapshot release to revision 755919.

  +++ Changes by Armin Berres:

  * Update installed files.
  * Raise build-dep to >= 4:3.98.0~svn755919-1.

  +++ Changes by Fathi Boudra:

  * Add libphonon-dev build dependency.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 02 Jan 2008 12:24:03 +0100

kdebase (4:3.98.0~svn753247-1) experimental; urgency=low

  * Svn snapshot of revision 753247.

  +++ Changes by Armin Berres:

  * Split some files from libkonq5 out into libkonq5-templates which conflict
    with KDE 3's kdesktop.
  * Remove extra LDFLAGS. Included via CDBS now.
  * Make kdebase-bin depend on the source and not the binary version of
    kdebase-data and add a conflict with kdesktop. Package doesn't exist
    anymore and should be removed if new kdebase gets installed.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump build-dep to >= 4:3.98.0~svn753247-1.
  * Update *.install files.
  * Add kinfocenter, it has been moved from -runtime.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 27 Dec 2007 04:37:59 +0100

kdebase-kde4 (4:3.97.0-1ubuntu6) hardy; urgency=low

  * Fix cdbs directory - removed utils.mk

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 31 Dec 2007 01:22:54 -0600

kdebase-kde4 (4:3.97.0-1ubuntu5) hardy; urgency=low

  * Merge from Debian
    - debian/cdbs the only thing merged in at this time
    - remove CMAKE_SKIP_RPATH from cdbs/kde.mk

  +++ Added by Terence Simpson

  * Really pass arguements to executibles from wrapper scripts
  * Add PATH to wrapper scripts

 -- Richard A. Johnson <nixternal@kubuntu.org>  Sun, 30 Dec 2007 23:19:00 -0600

kdebase-kde4 (4:3.97.0-1ubuntu4) hardy; urgency=low

  * Fix Exec= entry in .desktop files
  * Pass arguements to executibles from wrapper scripts

 -- Terence Simpson <stdin@stdin.me.uk>  Wed, 12 Dec 2007 16:39:43 +0000

kdebase-kde4 (4:3.97.0-1ubuntu3) hardy; urgency=low

  * Work around in debian/rules for arch-only builds

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Dec 2007 14:27:45 +0000

kdebase-kde4 (4:3.97.0-1ubuntu2) hardy; urgency=low

  * Add epoch to kdepimlibs build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2007 11:31:18 +0000

kdebase-kde4 (4:3.97.0-1ubuntu1) hardy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2007 00:42:32 +0000

kdebase (4:3.97.0-1) experimental; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * New upstream release:
    - Build depend on kdepimlibs5-dev >= 4:3.97.0.
    - Update *.install files.
  * Update Standards-Version to 3.7.3.
  * Remove README about beta packages, they are supposed to be stable now.
  * Remove empty packages knetattach and kdebase-kio-plugins.
  * Add export LDFLAGS+="-Wl,--as-needed" in rules to make dpkg-shlibdeps
    happier.

  +++ Changes by Armin Berres:

  * Remove dependency of kdebase-data on kde-icons-oxygen.
  * Depend on epoched version of kdepimlibs5-dev.
  * Correct libkonq5-dev's dependency on kdelibs5-dev.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 11 Dec 2007 21:32:04 +0100

kdebase-kde4 (4:3.96.0-1ubuntu1) hardy; urgency=low

  * Sync with Debian
  * Use Kubuntu kde.mk
  * Rename packages to be -kde4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2007 14:00:54 +0000

kdebase (4:3.96.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Bump kdepimlibs5-dev build dependency version.
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Nov 2007 20:37:18 +0100

kdebase (4:3.95.2-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Bump kdepimlibs5-dev build dependency version.
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Nov 2007 01:17:02 +0100

kdebase (4:3.95.0-1) experimental; urgency=low

  * New upstream release: KDE4 beta 4.

  +++ Changes by Fathi Boudra:

  * Add kdebase-data build dependency to kdebase-bin.
  * Add xine-ui recommends to kappfinder. See xine call in xine.desktop.

  +++ Changes by Armin Berres:

  * Remove no more needed build dependency on libxine-dev.
  * Add build dependency on libxkbfile-dev.
  * Let kdebase-dev strictly depend on the same binary version of kdebase.
  * Remove the conflict of kde-icons-oxygen with kdebase-data. It isn't
    needed and prevents co-installability with KDE3.
  * Update *.install files.
  * Remove drkonqi, kde-icons-oxygen and khelpcenter which are shipped with
    kdebase-runtime now.
  * Remove kdeprint package which has been removed upstream.
  * Remove runtime files from copyright.
  * Make kdebase-data arch-all.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 28 Oct 2007 11:51:21 +0000

kdebase (4:3.94.0-2) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Pull SVN branch to r726783.

  +++ Changes by Armin Berres:

  * Add debug package.
  * Split the Oxygen icons into a separate package kde-icons-oxygen. This way
    KDE4 applications can be used when running KDE3.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update *.install files.
  * Upload! :-)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 18 Oct 2007 23:32:51 +0200

kdebase (4:3.94.0-1) experimental; urgency=low

  * KDE4 beta3.

  +++ Changes by Armin Berres:

  * Remove listed directories in kdebase-data.install to avoid accidentally
    installed files - removes conflicting file between kdebase-data and
    kdeprint.
  * Update *.install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 17 Oct 2007 23:37:18 +0200

kdebase (4:3.93.0-1) experimental; urgency=low

  * KDE4 beta2, first upload to the Debian archive.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 01 Sep 2007 16:17:55 +0200

kdebase (4:3.92.0-1) experimental; urgency=low

  * KDE4 beta 1, first upload to the Debian archive.
  * Update *.install files.
  * Added patch 01_kdehome_kde4.diff to set kdehome directory to .kde4.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 15 Aug 2007 01:57:17 +0200

kdebase (4:3.91.0-1) alioth; urgency=low

  * New alpha release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 05 Jul 2007 19:11:19 +0200

kdebase (4:3.90.1-1) alioth; urgency=low

  * Initial release of KDE4.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 11 May 2007 16:23:33 +0100

kdebase (4:3.5.9-0ubuntu1) hardy; urgency=low

  [ Jonathan Riddell ]
  * New upstream release

  [ Terence Simpson ]
  * Fix config script for kdm to detect kdm-kde4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:06 +0000

kdebase (4:3.5.8-2ubuntu21) hardy; urgency=low

  * Add kubuntu_9921_kdm_bulletproof_x.diff, adds bulletproof X
    feature to KDM.

 -- Eugene Tretyak <etretyak@gmail.com>  Thu, 14 Feb 2008 10:40:12 +0000

kdebase (4:3.5.8-2ubuntu20) hardy; urgency=low

  * debian/ubuntu.xmodmap:
    Add Brightness Up & Down keycode -> xkeysym mapping

 -- Luka Renko <lure@ubuntu.com>  Sun, 10 Feb 2008 20:25:47 +0100

kdebase (4:3.5.8-2ubuntu19) hardy; urgency=low

  * kdebase-kio-plugins replaces old kdebase-data, closes LP: #189963
  * Remove 70_kdm_consolekit.diff replace with kubuntu_70_kdm_consolekit.diff,
    updated version from http://bugs.kde.org/show_bug.cgi?id=147790

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Feb 2008 12:32:50 +0000

kdebase (4:3.5.8-2ubuntu18) hardy; urgency=low

  * Edited debian/patches/70_kdm_consolekit.diff to fix a crash
    when attempting to connect to local kdm via XDMCP (Closes LP: #178242)
    Thanks to Paul Brook for debbuging this, and to Zoogie for reporting this

 -- Maxim Levitsky <maximlevitsky@gmail.com>  Wed, 06 Feb 2008 00:39:44 +0000

kdebase (4:3.5.8-2ubuntu17) hardy; urgency=low

  * Patch from Jan Klötzke to update LUKS support, Closes LP: #186841
   - Update kubuntu_9913_kiomedialuks.diff and icons (debian/img/medialuks)
   - Package new icons in kdebase-kio-plugins (kdebase-kio-plugins.install updated)
   - Package "media_decrypt.desktop" in konqueror (konqueror.install updated)
   - "debian/rules" updated accordingly

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Feb 2008 15:25:59 +0000

kdebase (4:3.5.8-2ubuntu17) hardy; urgency=low

  * Added kubuntu_9920_startkde_dash_stupidness.diff:
    - For some stupid reasons, env scripts are not parsed correctly
      due dash. Hard to believe, but this patch fixes the issue...
    - Closes LP: #189144

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 06 Feb 2008 11:52:05 +0100

kdebase (4:3.5.8-2ubuntu16) hardy; urgency=low

  * Move kde-applications-merged/kde-essential.menu to
    applications-merged/, apparantly the prefix doesn't get used for merge
    directories
  * Make kdesktop depend on xdg-user-dirs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jan 2008 18:29:54 +0000

kdebase (4:3.5.8-2ubuntu15) hardy; urgency=low

  * Update kubuntu_9917_flash_xembed.diff:
    - Fix from KDE svn
    - Partially fixes flash 9 breaking in konqueror. May not
      always work...

 -- Anthony Mercatante <tonio@kubuntu.org>  Tue, 22 Jan 2008 13:21:45 +0100

kdebase (4:3.5.8-2ubuntu14) hardy; urgency=low

  * Removed trash.desktop from .kdebase-kio-plugins.install:

 -- Anthony Mercatante <tonio@kubuntu.org>  Tue, 08 Jan 2008 09:53:46 +0100

kdebase (4:3.5.8-2ubuntu13) hardy; urgency=low

  * Added kubuntu_9919_kdm_preferuser.diff, uses the kubuntu-default-
    settings's settings for facesource if any

 -- Anthony Mercatante <tonio@kubuntu.org>  Fri, 04 Jan 2008 15:50:02 +0100

kdebase (4:3.5.8-2ubuntu12) hardy; urgency=low

  * Really fix kubuntu_9918_kdm_systemlocale.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Jan 2008 11:11:38 +0000

kdebase (4:3.5.8-2ubuntu11) hardy; urgency=low

  * Previous patch was added twice, causing the build to fail.
    My fault.

 -- Anthony Mercatante <tonio@kubuntu.org>  Thu, 03 Jan 2008 16:17:25 +0100

kdebase (4:3.5.8-2ubuntu10) hardy; urgency=low

  * Added kubuntu_9918_kdm_systemlocale.diff:
    - KDM uses the system locale

 -- Anthony Mercatante <tonio@kubuntu.org>  Wed, 02 Jan 2008 12:56:51 +0100

kdebase (4:3.5.8-2ubuntu9) hardy; urgency=low

  * Edit kubuntu_9915_userdiskmount.diff
  Fixes for NTFS user hard disk mounting
  Closes LP: #178351

 -- Eugene Tretyak <etretyak@gmail.com>  Sun, 23 Dec 2007 22:00:03 +0200

kdebase (4:3.5.8-2ubuntu8) hardy; urgency=low

  * debian/patches/kubuntu_95_kurl_not-so-pretty.diff:
    - removed since is a patch for kdelibs (LP: #178233)
  * debian/control, debian/control.in:
    - bumped Standars-Version to 3.7.3

 -- Mario Bonino <mariobonino@ubuntu-it.org>  Sun, 23 Dec 2007 11:25:53 +0100

kdebase (4:3.5.8-2ubuntu7) hardy; urgency=low

  * Add kubuntu_9917_flash_xembed.diff from KDE SVN, adds support
    for latest Adobe Flash plugin with xembed.  Needs testing.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Dec 2007 22:11:44 +0000

kdebase (4:3.5.8-2ubuntu6) hardy; urgency=low

  * Add kubuntu_9915_userdiskmount.diff from Eugene Tretyak
    Adds user hard disk mounting
    Closes LP: #177036
  * Add kubuntu_9916_konsole_mc_shell.diff from Daniel Hahler
    Closes LP: #93063

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Dec 2007 14:03:58 +0000

kdebase (4:3.5.8-2ubuntu5) hardy; urgency=low

  * Add kubuntu_9914_kdm_user_image_check.diff from upstream
    fixes potential KDM local DoS if users set an invalid image
    Closes LP: #176347

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Dec 2007 12:24:17 +0000

kdebase (4:3.5.8-2ubuntu4) hardy; urgency=low

  * Rebuild for libopenexr transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Dec 2007 15:12:48 +0000

kdebase (4:3.5.8-2ubuntu3) hardy; urgency=low

  * Created binary-install/kdebase-kio-plugins to install new desktop files for
    LUKS support.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Fri, 30 Nov 2007 19:06:10 +0100

kdebase (4:3.5.8-2ubuntu2) hardy; urgency=low

  * Fix version of kdebase-bin-kde3 Replaces: kdebase-bin
    Closes LP: #173053

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 Nov 2007 14:39:31 +0000

kdebase (4:3.5.8-2ubuntu1) hardy; urgency=low

  [ Jonathan Riddell ]
  * Merge with Debian for consolekit patch, closes LP: #172281

  [ Jonathan Patrick Davies ]
  * Dropped kubuntu_9912_enable_crypto.diff replaced by below.
  * Added kubuntu_9913_kiomedialuks.diff, adds support for LUKS directly into
    media KIO, thanks to Jan Klötzke. (LP: #128863)
  * Added icons for LUKS devices (debian/img/medialuks/) and added rules to make
    and remove them in debian/rules.
  * Added dependency of cryptsetup to kdebase-kio-plugins.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 Nov 2007 15:23:12 +0000

kdebase (4:3.5.8.dfsg.1-2) unstable; urgency=low

  +++ Changes by Fathi Boudra:

  * Remove /usr/bin/X11 from KDM's default session path. (Closes: 441392)
  * Add support for ConsoleKit. Thanks to Michael Biebl, William Jon McCann and
    Kevin Kofler. (Closes: #450603)

  +++ Changes by Armin Berres:

  * Split off kdebase-bin-kde3 which contains executables which can be provided by
    KDE3 or KDE4.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add dependence of konqueror-nsplugins on konqueror. (Closes: #446998)
  * Add debconf template translations into fi by Esko Arajärvi (Closes: #447055)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 14 Nov 2007 22:59:58 +0100

kdebase (4:3.5.8-1ubuntu3) hardy; urgency=low

  * remove kdebase dependency on pmount

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2007 09:23:39 +0000

kdebase (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Fix fail to build caused by debian/patches/kubuntu_9912_enable_crypto.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Nov 2007 18:08:36 +0000

kdebase (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes in debian/KUBUNTU-DEBIAN-CHANGES
  * Add kubuntu_9911_xdg_user_dirs_dirpath.diff from Mandriva, adds support for XDG Home Dirs
  * Add kubuntu_9912_enable_crypto.diff, adds support for LUKS encrypted disks using kryptomedia

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 11:43:38 +0000

kdebase (4:3.5.8.dfsg.1-1) unstable; urgency=low

  * New upstream version.

  +++ Changes by Sune Vuorela:

  * Adapt patch 38_furry_frosted_animals - stuff have been changed a bit.
  * Drop patches - applied or worked around upstream:
    -  24_knotify_arts.diff
    -  41_nspluginviewer_64bit_fix.diff
    -  50_several-CVE-konqueror.diff
    -  51_CVE-2007-4569-kdm-autologin.diff
    -  60_new-debshortcut.diff
  * Redo buildprep.
  * Bump build-dependencies and stuff to 3.5.8.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 09 Oct 2007 22:12:27 +0200

kdebase (4:3.5.7.dfsg.1-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Repackage to remove the Energy Star logo and icons. It is not clear if
    this use is permitted under EPA's trademark guidelines. See prune-nonfree
    for a list of the removed files.  (Closes: #441269)
  * Add set of icons to replace the removed *-app-energy_star.png ones. Icons
    made by Sune Vuorela.
  * Update deb shortcut. Thanks to Raúl Sánchez Siles. (Closes: #440571)
  * Re-add kcmopengl.png icon (free icon has been replaced by upstream)

  +++ Changes by Sune Vuorela:

  * Add smbclient to suggests of kdeprint to show that it is needed to make
    smb printers work. Also adapt the description. (Closes: #445182)
  * Lower gdb recommends to a suggests now that recommends get installed by
    default. (Closes: 442432)
  * Stop recommending hotplug and don't install hotplug configuration files.
    Hotplug has been removed from debian and adapt descriptions and
    documentation. (Closes: 436503)
  * Fix maxresults in khelpcenter search. Thanks to Yair K. (Closes: 436436)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 04 Oct 2007 11:41:14 +0200

kdebase (4:3.5.7-4) unstable; urgency=low

  * Add patch to fix unauthorized login problem in kdm.
    CVE-2007-4569.

 -- Sune Vuorela <debian@pusling.com>  Wed, 19 Sep 2007 20:30:01 +0200

kdebase (4:3.5.7-3) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update section in Debian menu files.
  * Add patch 50_several-CVE-konqueror.diff to make Konqueror address
    bar more robust against addressbar spoofing. (Closes: #433072)
    Related CVEs: CVE-2007-4224, CVE-2007-4225, CVE-2007-3820.

  +++ Changes by Fathi Boudra:

  * Add xserver-xorg Recommends to kdm. (Closes: #436573)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Jul 2007 16:29:18 +0200

kdebase (4:3.5.7-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:

  * Ignore gecko also in wm class list in klipper. Thanks Sean.
    (Closes: #428026)
  * Add support or back references in klipper. Thanks to Sean Finney.
    (Closes: #427843)
  * Updated nb debconf translation. (Closes: #417942)
  * Fix typo in startkde manpage. Thanks A. Costa. (Closes: #432062)
  * Fix typo in kdmrc. Thanks Greg. (Closes: #422142)
  * Updated vi debconf translation. Thanks Clytie Siddall (Closes: #426820)
  * Updated pt_BR debconf translation. Thanks Eder L. Marques.
    (Closes: #422285)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 07 Jul 2007 22:18:23 +0200

kdebase (4:3.5.8-0ubuntu2) gutsy; urgency=low

  * Added kubuntu_9910_fix_kdeeject.diff, fixes bug ejecting a USB key
    when 2 keys are pluged in, due to kio-umountwrapper we use to
    replace kde standard one

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 15 Oct 2007 12:11:23 +0200

kdebase (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 09 Oct 2007 10:00:33 +0100

kdebase (4:3.5.7-1ubuntu28) gutsy; urgency=low

  * Add kubuntu_9908_nodisplay_opengl.diff to hide the kinfocentre
    openGL module, it has a habit of freezing systems dead

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Oct 2007 22:09:31 +0100

kdebase (4:3.5.7-1ubuntu27) gutsy; urgency=low

  * Add kubuntu_9907_remove_ksplash_cache.diff, removes ksplash cache when
    out of date

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Oct 2007 15:40:39 +0100

kdebase (4:3.5.7-1ubuntu26) gutsy; urgency=low

  * SECURITY UPDATE: addressbar spoofing possible via trailing spaces or
    timer manipulation.
  * Add kubuntu_9906_addressbar_spoofing.diff: upstream fixes.
  * References
    CVE-2007-4224
    CVE-2007-4225
    CVE-2007-3820
    http://www.kde.org/info/security/advisory-20070914-1.txt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Oct 2007 22:49:20 +0100

kdebase (4:3.5.7-1ubuntu25) gutsy; urgency=low

  * Fixed debian/patches/kubuntu_33_kubuntuify_about.diff, fixes ftbfs

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 29 Sep 2007 15:41:26 +0200

kdebase (4:3.5.7-1ubuntu24) gutsy; urgency=low

  [ Richard A. Johnson ]
  * SECURITY UPDATE: KDM password-less login
  * KDM can be tricked into performing a password-less login even for accounts
    with a password set under certain circumstances, namely autologin to be
    configured and "shutdown with password" enabled.
  * Add kubuntu_sec_03_kdm_pwless_login.diff for session.c to fix KDM
    password-less and autologin configuration.
  * References:
    - http://www.kde.org/info/security/advisory-20070919-1.txt
    - CVE-2007-4569
  * Updated debian/kubuntu_33_kubuntuify_about.diff - changed link to Kubuntu
    Documentation so Konqueror startpage links work correctly

  [ Sarah Hobbs ]
  * Added kubuntu_17_check_for_prelinking.diff. (Closes LP: #107694)
  * Added konqueror dependancy for konqueror-nsplugins. (LP: #139893)
  * Added kubuntu_fix_kscreensaver_with_compiz_fixed_in_3.5.8.diff (LP:
    #141628)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 28 Sep 2007 18:56:10 +1000

kdebase (4:3.5.7-1ubuntu23) gutsy; urgency=low

  * Fixed kubuntu_52_gtk_qt_engine_config.diff and
    kubuntu_53_kwallet_config.diff as $kdehome=$HOME/.kde so we should use
    $kdehome instead of $HOME/$kdehome

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 19 Sep 2007 12:22:46 +0200

kdebase (4:3.5.7-1ubuntu22) gutsy; urgency=low

  * Fixed kubuntu_52_gtk_qt_engine_config.diff, path for testing is not
    good

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 17 Sep 2007 16:01:52 +0200

kdebase (4:3.5.7-1ubuntu21) gutsy; urgency=low

  * Add kubuntu_9905_fix_konsole_forking.diff to revert to old code, fixes
    https://bugs.launchpad.net/ubuntu/+source/python-kde3/+bug/117731
  * Fixed file name on kubuntu_9904_hide_kfind.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 15 Sep 2007 23:59:58 +0100

kdebase (4:3.5.7-1ubuntu20) gutsy; urgency=low

  * Changed (again) $KDEHOME to $kdehome in kubuntu_52_gtk_qt_engine_config.diff and
    kubuntu_53_kwallet_config.diff . (LP: #136560)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 15 Sep 2007 23:12:26 +0100

kdebase (4:3.5.7-1ubuntu19) gutsy; urgency=low

  * Re-apply changes from ubuntu17 which got lost in previous upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Sep 2007 16:43:45 +0100

kdebase (4:3.5.7-1ubuntu18) gutsy; urgency=low

  [ Sarah Hobbs ]
  * Corrected path to .Xmodmap.  (LP: #106718)

  [ Ryan Kavanagh ]
  * Dropping kubuntu_9902_nspluginviewer_hangs_cpu.diff and the libgtk
    build-dep as they are no longer needed
  * Changed $KDEHOME to $kdehome in kubuntu_52_gtk_qt_engine_config.diff and
    kubuntu_53_kwallet_config.diff . (LP: #136560)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 03 Sep 2007 10:26:36 -0400

kdebase (4:3.5.7-1ubuntu17) gutsy; urgency=low

  * Edit kubuntu_52_gtk_qt_engine_config.diff and
    kubuntu_53_kwallet_config.diff to use $KDEHOME instead of .kde
  * Remove kubuntu_77_kiosystem.diff, home:/ better than /home now
  * Edit kubuntu_27_aboutscreen_searchbar.diff to work with strigi
  * Add kubuntu_9903_api_docs_move.diff for new API website
  * Add kubuntu_9904_hide_kfind.desktop, now strigi is our default desktop
    search

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 Aug 2007 13:34:53 +0100

kdebase (4:3.5.7-1ubuntu16) gutsy; urgency=low

  * Added kubuntu_9902_nspluginviewer_hangs_cpu.diff. Fixes LP: #66573
  * Added libgtk2.0-dev build-dep according to the patch.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 28 Aug 2007 12:09:02 +0200

kdebase (4:3.5.7-1ubuntu15) gutsy; urgency=low

  * Fixed kubuntu_77_kiosystem.diff:
    - URL set to media:/ instead of /media

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 30 Jul 2007 16:30:55 +0200

kdebase (4:3.5.7-1ubuntu14) gutsy; urgency=low

  * Drop kubuntu_73_nomediaioslave_mounthelper.diff,
    kubuntu_76_kickermedia.diff and
    kubuntu_83_media_desktop.diff:
    -  as it's been decided to switch back to the standard media:/
       protocol, as /media create as many problems as it resolves...

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 27 Jul 2007 17:12:11 +0200

kdebase (4:3.5.7-1ubuntu13) gutsy; urgency=low

  * Removed non-standard konqueror.rc. Our default is stored in kubuntu-default-settings,
    and hopefully it won't use kdebase's konqueror.rc unless k-d-s is removed.

 -- Harald Sitter <sitter.harald@gmail.com>  Thu, 26 Jul 2007 15:46:40 +0100

kdebase (4:3.5.7-1ubuntu12) gutsy; urgency=low

  * Remove kubuntu_95_safely-remove_umount_dialog.diff as
    kio_umountwrapper is being promoted to main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jul 2007 11:41:02 +0100

kdebase (4:3.5.7-1ubuntu11) gutsy; urgency=low

  * Add kubuntu_9901_location_cursor_at_start.diff
    always display the beginning of the url rather than its end
    to prevent spoofing attempts.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jul 2007 12:04:25 +0100

kdebase (4:3.5.7-1ubuntu10) gutsy; urgency=low

  * Added kubuntu_99_kate_crashfix_from_svn.diff.  (LP: #122296)
  * Committed into Bzr.
  * Added gs-esp-x to kdeprint depends and konqueror depends. (LP: #83597)
  * Added konqueror Recommends: libxine1-ffmpeg, so that the thumbnail
    generation no longer fails on video files. (LP: #51024)
  * Added konqueror Recommends: libarts1-mpeglib, so that the thumbnail
    generation no longer fails on video files. (LP: #103972)

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu, 28 Jun 2007 15:37:31 +1000

kdebase (4:3.5.7-1ubuntu9) gutsy; urgency=low

  * Fixed kdebase-kio-plugins.install to remove the trash from the
    systemview kicker applet

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 30 Jun 2007 02:41:16 +0200

kdebase (4:3.5.7-1ubuntu8) gutsy; urgency=low

  * Fixed debian/kdm.init
    set kdm language to the system default.
  * Droped pmount dependancy for kdebase.

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 14 Jun 2007 17:15:21 +0200

kdebase (4:3.5.7-1ubuntu7) gutsy; urgency=low

  * Fixed debian/kdm.init
    Previous code was bash code while the init script is sh

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 14 Jun 2007 13:13:22 +0200

kdebase (4:3.5.7-1ubuntu6) gutsy; urgency=low

  * Don't install desktop icons (except in unused directory)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2007 17:43:35 +0100

kdebase (4:3.5.7-1ubuntu5) gutsy; urgency=low

  * Move kde-applications-merged/kde-essential.menu to
    applications-merged/, apparantly the prefix doesn't get used for merge
    directories

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Jun 2007 01:52:38 +0100

kdebase (4:3.5.7-1ubuntu4) gutsy; urgency=low

  * Removed kubuntu_55_kdm_usplash_down.diff, usplash is now launched
    via the kdm.init script, modified to launch usplash_down
    (Fixes LP: #83727  and LP: #34821)
  * Added kbuntu_97_khotkeys_alt_print_shortcut.diff, capture a window
    with khotkeys with alt+print
  * Fixed kubuntu_76_kickermedia.diff. Fix from Frode M. Døving <frode@ubuntu.com>
    (Fixes LP: #116021)
  * Added kubuntu_98_icon_alignement.diff
    (Fixes LP: #90801)

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 31 May 2007 13:00:24 +0200

kdebase (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * Add kubuntu_96_gdm_logout_moved.diff ; the GDM control socket moved in
    7.04 and we need to use the new path.  This fix makes the "Reboot" and
    "Shut down" buttons reappear for people using GDM with KDE.
    LP: #64695.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 May 2007 09:07:03 +0100

kdebase (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Update kubuntu_89_new_logout_ui.diff with changes from
    Stefan Skotte <sfs@enhance-it.dk> to fix shortcuts when
    using non-English languages
  * Update kubuntu_83_media_desktop.diff from
    Frode M. Doving <frode@kubuntu.org> to fix dialogue when ejecting audiocds

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 May 2007 14:01:21 +0100

kdebase (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream release, remaining changes in
    KUBUNTU-DEBIAN-CHANGES
  * Remove kubuntu_62_genkdmconf_fix.diff, applied upstream
  * Update kubuntu_68_xinerama.diff
  * Remove kubuntu_87_kicker_restore_description_parents.diff, obsoleted by upstream changes
  * Remove kubuntu_94_konqueror_nsplugins_amd64.diff, now part of Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 May 2007 18:16:15 +0100

kdebase (4:3.5.7-1) unstable; urgency=low

  * New upstream release:
    - Now checks lnusertmp return values. (Closes: #292078)
    - Uses correct encoding in error messages. (Closes: #362653)

  ++ Changes by Sune Vuorela:

  * Patches:
    - Redo patch 18 about fonts.
    - Remove patch 21 - applied upstream.
    - Adapt patch 27 - kfreebsd - minor changes.
    - Adapt patch 41 - amd64 and nspluginviewer -  small changes.
    - Remove patch 42 - kwin and 64 bit. applied upstream.
    - Remove patch 44 - opengl logo is fixed.
    - Remove patch 45 - keyboard handler - applied upstream.

  ++ Changes by Ana Beatriz Guerrero Lopez:

  * Update kdebase-data.install to remove "Serbia and Montenegro" (yu), and
    add "Serbia" (rs) and "Montenegro" (me).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 15 May 2007 17:03:48 +0100

kdebase (4:3.5.6-2ubuntu2) gutsy; urgency=low

  * Add kubuntu_96_gdm_logout_moved.diff from Tollef Fog Heen
    closes https://bugs.beta.launchpad.net/ubuntu/+source/kdebase/+bug/64695
    "If GDM is the default display manager KDE logout dialog is
     missing shutdown and restart options"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 12:17:55 +0100

kdebase (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Apr 2007 18:45:03 +0100

kdebase (4:3.5.6.dfsg.2-2) unstable; urgency=low

  * Add patch 45_plugin-keyboard-handler.diff to fix keyboard events handling.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 19 Apr 2007 18:43:34 +0200

kdebase (4:3.5.6.dfsg.2-1) unstable; urgency=low

  * Upload to unstable after Etch release. Some bugs fixed in this release:
    - A javascript related crash is fixed. (Closes: #416142)
    - Prevent ksplash from locking due to race conditions. (Closes: #413273)

  +++ Changes by Modestas Vainius:

  * Correct false assumptions about the size of long always being 32bit. This
    should fix nspluginviewer segfaults in some cases on 64bit arches
    (Closes: #410091). Thanks to Matthias Dellweg for the bug analysis and the
    patch. Patch No. 41.
  * Use NET::timestampCompare() for comparing timestamps. It takes into
    account that Higher 32bit of long get lost on 64bit archs due to
    Xlib 32bit-in-long wrapping (Closes: #416615). Patch No. 42.

  +++ Changes by Fathi Boudra:

  * add autologin overrides, useful for live debian environment. It introduces
    AUTOLOGINAGAIN, AUTOLOGINDELAY, AUTOLOGINLOCKED and AUTOLOGINUSER.

  +++ Changes by Sune Vuorela:

  * Support where the frosty furry animals wants their plugins. (Patch 38)
  * Better distinguish wether users has modified their kdm theme. (Patch 39)
  * Update kdm debconf template, thanks to Christian Perrier. (Closes: #415941)
    Also update kdm debconf translations:
      - Norwegian Bokmal
      - Swedish thanks to Daniel Nylander (Closes: #417875)
      - Arabic thanks to Ossama Khayat (Closes: #417886)
      - Japanese thanks to Kenshi Muto (Closes: #417891)
      - Portuguese (pt_PT) thanks to Eduardo Silva. (Closes: #418000)
      - Italian thanks to Danilo Piazzalunga. (Closes: #418151)
      - German thanks to Alwin Meschede. (Closes: #418160)
      - Galician thanks to Jacobo Tarrío. (Closes: #418186)
      - Danish is something I just did myself. No bugs filed.
      - French thanks to Christian Perrier. (Closes: #418518)
      - Dutch thanks to Bart Cornelis. (Closes: #418606)
      - Czech thanks to Miroslav Kure. (Closes: #418569)
      - Catalan thanks to Leopold Palomo-Avellaneda. (Closes: #412303)
      - Russian thanks to Yuri Kozlov. (Closes: #418739)
      - Brazilian Portuguese thanks to Christian Perrier.

    New translations:
      - Tamil thanks to Tirumurti Vasudevan. (Closes: #417943)
      - Slovak thanks to Peter Mann. (Closes: #417878)
      - Basque thanks to Piarres Beobide. (Closes: #417993)
      - Korean thanks to Sunjae Park. (Closes: #418211)
      - Simplified chinese thanks to Ming Hua. (Closes: #418486)
      - Malayam thanks to Praveen A. (Closes: #418495)
      - Greek (still has a couple of fuzzy strings).
  * Add a patch to put some quotes in kdeprintgfax to have spaces in
    names/numbers. Thanks to Robert Cheramy. (Closes: #247396)
  * Fix minor issues in manpage. Thanks JS Bygott. (Closes: #414270)
  * Enable kerberos in kio slaves. It seems do not break anything.
    Thanks to Raúl Sánchez Siles. (Closes: #376952)
  * Improve klipper description, thanks to J S Bygott. (Closes: #410202)

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Repackage to remove non-free OpenGL logo and update prune-nonfree
    script. Also, patch 44 to not install the logo. (Closes: #419962)
  * Update spanish kdm debconf template translation, thanks to Enrique Matías.
  * Fix changelog typos ;-)
  * And, as always, upload.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 19 Apr 2007 13:27:00 +0100

kdebase (4:3.5.6.dfsg.1-2) experimental; urgency=low

  +++ Changes by Sune Vuorela:

  * Don't install gvim desktop file in kappfinder. gvim does it by itself -
    and much better. (Closes: #408233)
  * Improve documentation about styling kdm (thanks to Jeremy Bygott).
    This is a note in kdm.init, in kdm.README.Debian and in the
    generated kdmrc.  (Closes: #408418, #403776, #403797, #406438)
  * Add portuguese debconf translation. Thanks to Carlos Lisboa.
    (Closes: #408021)

  +++ Changes by Modestas Vainius:

  * Add patch from upstream svn to fix "switching desktops with win+tab
    key broken" bug (patch no. 21) .(Closes: #406549)
  * Fix khelpcenter documentation indexing/searching. Thanks to Vedran Furač
    for the solution (patch 25) .(Closes: #386283)
  * Promote htdig from Suggests to Depends. Indexing and searching are
    important for most people. (Closes: #389844)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu,  8 Feb 2007 12:14:08 +0200

kdebase (4:3.5.6-0ubuntu20) feisty; urgency=low

  * Add kubuntu_95_safely-remove_umount_dialog.diff
    On 'Safely Remove' this will make a kprogressdialog-popup telling
    the user it's unmounting.
    The popup will not close until the umount is complete. (Closes: LP #61946)

 -- Frode M. Døving <frode@ubuntu.com>  Sun,  8 Apr 2007 01:10:14 +0200

kdebase (4:3.5.6-0ubuntu19) feisty; urgency=low

  * Fixes konsole.README.Debian according to debian changes.
    - Closes Malone #89858

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 03 Apr 2007 15:04:12 +0100

kdebase (4:3.5.6-0ubuntu18) feisty; urgency=low

  * Add kubuntu_94_konqueror_nsplugins_amd64.diff:
    - Enables nsplugins support for AMD64 (Closes Malone #98551)

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 29 Mar 2007 17:45:20 +0100

kdebase (4:3.5.6-0ubuntu17) feisty; urgency=low

  * Update kubuntu_52_gtk_qt_engine_config.diff:
    - copy the config file before ~/.kde/env/ scripts are
      executed so that gtk-qt-engines works at first login.

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Mar 2007 19:38:23 +0100

kdebase (4:3.5.6-0ubuntu16) feisty; urgency=low

  [ Richard Johnson ]
  * Update kubuntu_93_konq_doc_remove_go_window_menu.diff
    to fix compile error

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Mar 2007 13:48:08 +0000

kdebase (4:3.5.6-0ubuntu15) feisty; urgency=low

  [ Richard Johnson ]
  * Add kubuntu_93_konq_doc_remove_go_window_menu.diff
  fix documentation, closes http://launchpad.net/bugs/48462

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Mar 2007 17:08:48 +0000

kdebase (4:3.5.6-0ubuntu14) feisty; urgency=low

  * Update kubuntu_33_kubuntuify_about.diff for links to
    new Kubuntu Docs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Mar 2007 16:41:45 +0000

kdebase (4:3.5.6-0ubuntu13) feisty; urgency=low

  * Update of kubuntu_89_new_logout_ui.diff from
    Stefan Skotte <sfs@enhance-it.dk>
    Fixes using arrows on logout dialogues

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  5 Mar 2007 10:38:55 +0000

kdebase (4:3.5.6-0ubuntu12) feisty; urgency=low

  * Add kubuntu_92_krandrtray_config.diff, krandrtray now uses guidance
    display configuration module in the first place.
    Closes Malone #46877

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Feb 2007 15:16:32 +0100

kdebase (4:3.5.6-0ubuntu11) feisty; urgency=low

  * Fix kubuntu_52_gtk_qt_engine_config.diff to fit with new
    gtk-qt-engines package. Closes Malone #36256

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 23 Feb 2007 12:54:27 +0100

kdebase (4:3.5.6-0ubuntu10) feisty; urgency=low

  * Add kubuntu_91_ksplash_fork_too_early_cond.diff, closes
    Malone #46682. Patch from  Mark Jenkins
  * Removed kubuntu_05_kdm_theme_config.diff, kdm config will now be
    set via kubuntu-default-settings postinst script.
    Closes Malone #58639

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 22 Feb 2007 17:18:34 +0100

kdebase (4:3.5.6-0ubuntu9) feisty; urgency=low

  * Improved kubuntu_76_kickermedia.diff and
    kubuntu_83_media_desktop.diff by Simon Edwards
  * Improved kubuntu_89_new_logout_ui.diff by Stefan Skotte

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 19 Feb 2007 00:25:47 +0100

kdebase (4:3.5.6-0ubuntu8) feisty; urgency=low

  * Rebuilt against new kdelibs.

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 17 Feb 2007 11:44:23 +0100

kdebase (4:3.5.6-0ubuntu7) feisty; urgency=low

  * Add kubuntu_90_execute_feedback.diff, replaces the zooming
    rectangle that is drawn if you activate an icon in konqueror
    for execution feedback. Patch from Johannes Schriewer
  * Improved kubuntu_89_new_logout_ui.diff from Stefan Skotte
    <sfs@enhance-it.dk>
    - tabbing/cursor movement fixed
    - resizing issues depending on font sizes
    - dropdown box for selecting lilo/grub entries if enabled in
      system-settings/Login Manager (hold down Restart button to
      get options)
    - hibernate/suspend buttons works again
    - logout image changed from undo.png to back.png

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 13 Feb 2007 06:59:32 +0100

kdebase (4:3.5.6-0ubuntu6) feisty; urgency=low

  * Add kubuntu_89_new_logout_ui.diff from Stefan Skotte
    <sfs@enhance-it.dk>, based on the ubuntu/gnome one

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed,  7 Feb 2007 23:42:47 +0100

kdebase (4:3.5.6-0ubuntu5) feisty; urgency=low

  * Add kubuntu_88_logout_fade.diff from Stefan Skotte <sfs@enhance-it.dk>
    based on http://www.kde-look.org/content/show.php?content=20652

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  5 Feb 2007 12:29:23 +0000

kdebase (4:3.5.6-0ubuntu4) feisty; urgency=low

  * Fix syntax in kdebase-data.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Jan 2007 19:48:54 +0000

kdebase (4:3.5.6-0ubuntu3) feisty; urgency=low

  * Use correct directory for kde-essentials.menu

 -- Stefan Skotte <sfs@enhance-itNOSPAM.dk>  Mon, 29 Jan 2007 14:28:10 +0100

kdebase (4:3.5.6-0ubuntu2) feisty; urgency=low

  * Add kubuntu_87_kicker_restore_description_parents.diff
    Restores the parents in kmenu in name (description) mode
    Closes Malone #67113

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 26 Jan 2007 02:22:35 +0100

kdebase (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Remove patched applied upstream:
   - 02_hal_kwin_fixes_branch.diff
   - 29_halbackend_fstab_improvements.diff
   - 30_mediamanager_followsymlinks.diff
   - 32_camera_icon_from_mimetype.diff
   - kubuntu_85_dpms_fix.diff
   - kubuntu_86_slovenia_euro.diff
  * Update kubuntu_73_nomediaioslave_mounthelper.diff
  * Add kubuntu_86_konsole_pty.diff from Michael Vogt to support
    attaching new ptys to konsole, needed for kubuntu-update-tool

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:28 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu18) feisty; urgency=low

  * Update replaces on kdebase data to fix https://launchpad.net/bugs/78947

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 14 Jan 2007 12:54:34 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu17) feisty; urgency=low

  * Add kubuntu_85_language_selector.diff to complete
    kubuntu-feisty-language-selector integration

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Jan 2007 11:00:51 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu16) feisty; urgency=low

  * Make debian/80ubuntu-xmodmap resistant to xmodmap failure that could
    make this script fail and stop processing other Xsession scripts.
  * Added kubuntu_85_dpms_fix.diff to fix wrong reading of DPMS defaults
    on startup - all values are in seconds and need conversion to
    minutes before being used (LP: #65791).
  * Added kubuntu_86_slovenia_euro.diff to change currency for Slovenia
    from Slovenian Tolar (SIT) to Euro.

 -- Luka Renko <lure@ubuntu.com>  Sat,  6 Jan 2007 12:58:45 +0100

kdebase (4:3.5.5a.dfsg.1-1ubuntu15) feisty; urgency=low

  * Make sure patches are not applied before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  5 Jan 2007 21:00:36 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu14) feisty; urgency=low

  * Fix syntax error in kubuntu_72_kxkb_xmodmap.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  5 Jan 2007 12:38:25 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu13) feisty; urgency=low

  * Update kdm init script to stop usplash with "start"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  4 Jan 2007 23:05:08 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu12) feisty; urgency=low

  * Alter kubuntu_72_kxkb_xmodmap.diff and debian/80ubuntu-xmodmap to load
    ~/.Xmodmap for personalised keyboard mapping.  Based on patch from
    Thorsten Zachmann <zachmann@schlund.de>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 23 Dec 2006 11:42:26 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu11) feisty; urgency=low

  * Improve kubuntu_76_ksmserver_suspend.diff to respect power-managerrc
    options for disabling suspend/hibernate buttons and lock on resume
  * Add mapping for Calculator key to XF86Calculator and change Play/Pause
    key mapping to XF86AudioPause

 -- Luka Renko <lure@ubuntu.com>  Thu,  7 Dec 2006 00:57:59 +0100

kdebase (4:3.5.5a.dfsg.1-1ubuntu10) feisty; urgency=low

  * Install trash.desktop into unused directory, so it
    doesn't appear on the desktop.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Dec 2006 17:19:37 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu9) feisty; urgency=low

  * Add missing file debian/80ubuntu-xmodmap

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Nov 2006 09:26:02 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu8) feisty; urgency=low

  * Add ubuntu.xmodmap and install rule
  * Add klipper.rc edit rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Nov 2006 11:09:49 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu7) feisty; urgency=low

  * Removed debian/tmp/usr/share/services/kfile_trash.desktop
    from kdebase-kio-plugins.install

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 21 Nov 2006 00:01:43 +0200

kdebase (4:3.5.5a.dfsg.1-1ubuntu6) feisty; urgency=low

  * Compile with --with-sudo-kdesu-backend

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Nov 2006 10:18:52 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu5) feisty; urgency=low

  * Add missing debian/konqueror.rc file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Nov 2006 20:37:45 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu4) feisty; urgency=low

  * Use correct kubuntu_01_kdepot.diff patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 23:52:10 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu3) feisty; urgency=low

  * rebuild on latest kdelibs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 19:39:16 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu2) feisty; urgency=low

  * Add missing kubuntu_01_kdepot.diff patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Nov 2006 21:19:33 +0000

kdebase (4:3.5.5a.dfsg.1-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Remove kubuntu_18_default_fonts.diff keep 18_default_fonts.diff
  * Remove kubuntu_28_kdebase_rubberband.diff now in Debian as 28_kdebase_rubberband.diff
  * Remove 33_mounthelper_find_medium_by_url.diff, it clashes with our media ioslave patches
  * Build with --enable-gcc-hidden-visibility
  * Remove kubuntu_69_no_kcontrol_joystick.diff, it builds now

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Nov 2006 23:20:10 +0000

kdebase (4:3.5.6.dfsg.1-1) experimental; urgency=low

  * New upstream release:
    * Fixes "kdm does not obey pam_limits". (Closes: #242641)
    * Resolves ksysguard problem that it was not possible to sensor order.
      (Closes: #350561)
    * Fixes kdesktop_lock and pam_krb5. (Closes: #374394, #376803)

  +++ Changes by Modestas Vainius:

  * Update debian/*.install files.
  * Resync debian/patches:
    * Adapt to upstream changes - 18, 23.
    * Remove, applied upstream - 02, 29, 30, 32, 33, 35, 36.
    * Fix offsets - 14, 19, 20, 28.
  * Update Uploaders.

  +++ Changes by Sune Vuorela:

  * Add norwegian (nb) translation of debconf questions. Thanks to
    Bjorn Steensrud. (Closes: #405417)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 16 Jan 2007 18:13:20 +0100

kdebase (4:3.5.5a.dfsg.1-5) unstable; urgency=high

  +++ Changes by Sune Vuorela:
  * Add | kfreebsd-gnu | hurd as dependencies to help installability on
    non-linux archs (Closes: 399059)

  +++ Changes by Modestas Vainius:
  * Fix 36_kwin.diff patch. In some cases clients were not properly added to
    the group. (Closes: #404226)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 29 Dec 2006 19:15:23 +0200

kdebase (4:3.5.5a.dfsg.1-4) unstable; urgency=low

  +++ Changes by Sune Vuorela:
  * Add a section to man page about how to use sudo as kdesu backend
    (Closes: #399823, #384416)

  +++ Changes by Ana Guerrero:
  * Applied patch to avoid kwin crashes when switching desktop
    (Closes: #365829).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 13 Dec 2006 13:09:33 +0100

kdebase (4:3.5.5a.dfsg.1-3) unstable; urgency=high

  * Urgency high for etch's KDE artwork.

  +++ Changes by Fathi Boudra:
  * Remove debian kde background, it will be provided by desktop-base:
    * debian-kde_default.png.desktop
    * 21_default_background_image.diff.uu
    * 22_default_backgrounds.diff
  * Add kdm customization support and update kdm README.Debian. Main changes
    can be found in kdm init script:
    * use an alternative kdm master configuration file (/var/run/kdm/kdmrc)
      and background configuration file (/var/run/kdm/backgroundrc)
    * source override file in kdm override directory (/etc/default/kdm.d)
    (Closes: #385839)

  +++ Changes by Sune Vuorela:
  * Add kdelibs-dbg to kdebase-dbg dependencies.

  +++ Changes by Josh Metzler:
  * Restore kdm's default user face icon by adding a symlink to kdm.links.
    (Closes: #267722)

  +++ Changes by Modestas Vainius:
  * Add patch (number 35) from KDE bug #120619 comment #34, which fixes
    mounting and unmounting of floppy devices managed by HAL. (Closes: #350097)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 11 Dec 2006 17:26:16 +0100

kdebase (4:3.5.5a.dfsg.1-2) unstable; urgency=medium

  +++ Changes by Fathi Boudra:

  * Remove kde-applications-merged directory in kdebase-data.preinst as we must
    use applications-merged as the default merge directory.
  * Urgency medium, as along with kdelibs this upload fixes broken fresh
    installs.

  +++ Changes by Sune Vuorela:

  * Fix a typo in konsole manpage and extend the description about -e a bit.
    Inspired by xterm man page.

  +++ Changes by Christopher Martin:

  * Add a patch from the upstream bug report (http://bugs.kde.org/41744) that
    fixes the display of Japanese fullwidth characters in Konsole.
    (Closes: #395141)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 16 Nov 2006 17:08:46 -0500

kdebase (4:3.5.5a.dfsg.1-1) unstable; urgency=medium

  * Add 4 new patches. Thanks to Sune Vuorela for investigating and
    to Modestas Vainius for creating them:
    * 29_halbackend_fstab_improvements
      * fixes HALBackend::inInFstab() to correctly match the fstab device node
        that is a symlink.
      * Improve error messages for HAL/fstab unmount failures. Include a list
        of processes using the device in them (if there are any).
      * When handling fstab devices, make HALBackend::mount() and
        HALBackend::umount() calls block until the operation actually
        completes (the same behaviour as with HAL devices).
      * In mounthelper always unmount a device before ejecting it. However,
        if unmount fails, still try to eject the device. In case of failure,
        display the unmount error message which is more informative.
    * 30_mediamanager_followsymlinks
      * MediaManager::properties() follows symlinks on local paths.
    * 32_camera_icon_from_mimetype
      * Do not set icons for cameras explicitly, because they can be
        determined from the mimetype. In addition, always reset a medium icon
        when properties of the medium change. This fixes a problem when the
        camera_mounted icon is not reset once the camera storage has been
        unmounted.
    * 33_mounthelper_find_medium_by_url
      * Mounthelper should search for the medium by the whole url in addition
        to just the filename. This unbreaks krusader 1.70.x media:/
        unmount/eject commands.

  * Add psmisc to Depends of kdebase-kio-plugins since it provides 'fuser'
    utility, needed for listUsingProcesses() function added in
    29_halbackend_fstab_improvements patch. Thanks to Modestas Vainius.

  * Promote eject from Recommends to Depends for kdesktop, and make sure
    kdebase-kio-plugins Depends on kdesktop, so that kdeeject is always
    present.

  * Update 20_applications_menu_move patch to fix an incomptability with
    freedesktop.org menu specification: Note that a system that uses either
    gnome-applications.menu or kde-applications.menu depending on the desktop
    environment in use must still use applications-merged as the default merge
    directory in both cases. Thanks to Kevin Krammer. (Closes: #392807)

  * Version our build-conflict with nvidia-glx, since newer packages should
    work. (Closes: #393855)

  * Drop thunderbird and mozilla icons from the tarball, as they are non-free.
    (Closes: #394045)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu,  2 Nov 2006 17:59:48 -0500

kdebase (4:3.5.5a-2) unstable; urgency=low

  * Re-add pmount to kdebase's dependencies. It turns out that there remain
    strange cases where pmount is needed in conjunction with HAL to do the
    right thing.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 13 Oct 2006 17:05:08 -0400

kdebase (4:3.5.5a-1) unstable; urgency=high

  * New upstream tarball, with a number of fixes. Also include several
    important patches that didn't make the tarball.
    + Fixes 'konsole flashes and is unusable' with some focus policies.
      (Closes: #391357, #391361)
    + This upload, and the last one, must make Etch with their RC fixes,
      so urgency=high.

  * Drop the pmount Depends from the kdebase metapackage, since pmount isn't
    important with the latest HAL. (Closes: #391502)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 10 Oct 2006 17:12:10 -0400

kdebase (4:3.5.5-1) unstable; urgency=low

  [ Debian Qt/KDE Maintainers ]
  * New upstream release.
    + Reorders the paths which kxkb searches. This should prevent it from
      mistakenly thinking that it has found its data; this was breaking
      keyboard layouts for many users. (Closes: #382988)
    + Fixes kxkb with multiple users - create properly named files in /tmp.
      (Closes: #383893)
    + Fixes kdesktop crash when copying things to the kde clipboard under
      special configuration. (Closes: #386336)
    + Fixes kicker external taskbar sizing. (Closes: #373919)

  +++ Changes by Christopher Martin:

  * Join the club by adding full depends on hal and pmount to the kdebase
    metapackage. kdebase-kio-plugins will retain recommends for hal and
    pmount. This way, people who still really hate udev can simply ditch the
    kdebase metapackage, but most users will automatically get the full
    Utopia. This is good, since nobody reads recommends anyway, and volume
    handling is becoming standard and expected basic functionality. The
    kde-desktop task depends on kde-core, a metapackage that in turn
    depends on kdebase, so the kde-desktop task will now pull in hal/pmount
    as well. (Closes: #384663)

  * Fix typo in /etc/pam.d/kdm-np. (Closes: #381908)

  * Remove /usr/share/apps/kappfinder/apps/Office/lyx.desktop, as lyx-qt
    provides its own better .desktop file. (Closes: #383412)

  * Revamp patches/18_default_fonts.diff, not only to sync it with the latest
    changes in the KDE_3_5_BRANCH, but also to fix a number of recent problems
    with KDE's font handling. These include mismatches between defaults in
    different parts of KDE, which led to different apps using different
    settings, with respect to the enabling of anti-aliasing, subpixel
    rendering, and other settings. Also, set the default font hinting level
    to 'full', since anything other than that has the effect of actually
    disabling hinting with Debian's fontconfig. This probably led many users
    to wonder why their fonts suddenly became so ugly after they ran KControl
    and accepted the then-default 'medium' hinting level. (Closes: #381232)

  * Clarify in the kdebase and kdebase-kio-plugins README.Debian files that
    plugdev membership through /etc/security/group.conf doesn't cut it.

  * Add Romanian debconf translation, thanks to Stan Ioan-Eugen.
    (Closes: #387586)

  * New default background, thanks to Andre L.R. Ferreira. This background was
    chosen from a group of images proposed for a standard Debian background by
    the Debian Desktop project. This work doesn't look like it will make Etch,
    but the old background wasn't super, so we took the one we judged to be
    best.

  * Grab a few minipager fixes from the KDE_3_5_BRANCH.

  +++ Changes by Fathi Boudra:

  * Fix typos in libkonq4 description. (Closes: #385148)

  * Re-write kpersonalizer description. (Closes: #385309)

  * Fix typos in kdebase-kio-plugins description. (Closes: #385734)

  * Remove non-free firefox icon. [CM: Add a prune-nonfree script to the
    debian packaging that makes it easy to drop the icons from a source
    tree, since we must remove the icons from the tarball as well.]
    (Closes: #284699)

  +++ Changes by Pierre Habouzit:

  * Add kfreebsd-specific patches to the configure system, ensuring that
    all needed files are installed on all platforms, even though the build
    system erroneously leaves them out of non-Linux builds. (Closes: #339937)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  4 Oct 2006 18:43:28 -0400

kdebase (4:3.5.4-2) unstable; urgency=low

  * KDE_3_5_BRANCH update (up to r567687).

  +++ Changes by Christopher Martin:

  * Re-upload 3.5.4 with a new build hack that disables the use of
    --enable-final on slow architectures. This will hopefully allow kdebase
    (and other KDE modules) to build on arm and m68k more easily. This should
    in turn ease the movement of recent KDE modules into Testing. Thanks to
    Adeodato Simo for the fix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Jul 2006 15:41:35 -0400

kdebase (4:3.5.4-1) unstable; urgency=low

  * New upstream release:
    + fixes setting of the xrdb resource Xft.antialias to always match what's
      configured in the control center, not in ~/.qt/qtrc. (Closes: #377147)
    + fixes konqueror crahshes. (Closes: #367090)
    + fix a crash in kate at save time. (Closes: #368504)

  +++ Changes by Christopher Martin:

  * Add more manpages from Holger Hartmann. Thanks again!
    (Closes: #193527, #373759, #374087)

  * Add libjessie-java to konqueror's Java Suggests, since it is needed for
    JSSE in conjunction with GCJ.

  * Add a LSB header to the KDM init script, making KDM usable with a parallel
    bootscripts setup. Thanks to Carlos Villegas. (Closes: #376958)

  * 25_khelp_htdig.diff: With the htdig package, searchable indexes should
    be usable in the KDE Help Center. (Closes: #313375, #368208, #378408)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 28 Jul 2006 00:04:41 +0200

kdebase (4:3.5.5-0ubuntu4) edgy; urgency=low

  * Fix kubuntu_76_ksmserver_suspend.diff to not crash due to uninitialized
    HAL context pointer if shutdown options are disabled in logout dialog.
    Closes LP #67889

 -- Luka Renko <lure@ubuntu.com>  Tue, 24 Oct 2006 22:09:44 +0200

kdebase (4:3.5.5-0ubuntu4) feisty; urgency=low

  * Update kubuntu_73_nomediaioslave_mounthelper.diff,
    kubuntu_76_kickermedia.diff and kubuntu_83_media_desktop.diff
    patches by Simon Edwards
  * Add kubuntu_84_konqueror_stop_reload_button.diff to merge
    those 2 buttons.
  * Removed kubuntu_84_group_toolbar_viewmode_icons.diff
  * Removed kubuntu_69_no_kcontrol_joystick.diff
    fixes Malone #53732

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu,  19 Oct 2006 18:35:23 +0200

kdebase (4:3.5.5-0ubuntu3) edgy; urgency=low

  * Update kubuntu_73_nomediaioslave_mounthelper.diff to change
    media:/ to /media link in about:konqueror page

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 11 Oct 2006 13:27:23 +0200

kdebase (4:3.5.5-0ubuntu2) edgy; urgency=low

  * Build-dep on kdelibs 3.5.5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Oct 2006 10:18:56 +0100

kdebase (4:3.5.5-0ubuntu1) edgy; urgency=low

  * New upstream release
  * 18_default_fonts.diff now kubuntu_18_default_fonts.diff and first hunk
    removed to apply
  * 28_kdebase_rubberband.diff now kubuntu_28_kdebase_rubberband.diff and hunk
    removed to apply
  * kubuntu_14_hide_konquerorsu_menu_entry.diff updated
  * kubuntu_20_kdesu_sudo.diff updated, merged upstream
  * kubuntu_35_hide_klipper_menu_entry.diff updated
  * kubuntu_73_nomediaioslave_mounthelper.diff  updated
  * kubuntu_75_kicker_taskbar_resize.diff removed, fixed upstream
  * kubuntu_76_kickermedia.diff updated
  * kubuntu_83_media_desktop.diff updated
  * Use --with-sudo-kdesu-backend and build-dep on sudo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  3 Oct 2006 10:56:06 +0000

kdebase (4:3.5.4-0ubuntu28) edgy; urgency=low

  * Add kubuntu_84_group_toolbar_viewmode_icons.diff to get
    icons grouped in the viewmode actionlist.
  * Update kubuntu_73_nomediaioslave_mounthelper.diff to change
    media:/ to /media link in about:konqueror page

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  25 Sep 2006 21:46:23 +0200

kdebase (4:3.5.4-0ubuntu27) edgy; urgency=low

  * Update kubuntu_73_nomediaioslave_mounthelper.diff
    by Simon Edwards

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  25 Sep 2006 12:44:23 +0200

kdebase (4:3.5.4-0ubuntu26) edgy; urgency=low

  * Install kdm at init level 13

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Sep 2006 01:58:38 +0100

kdebase (4:3.5.4-0ubuntu25) edgy; urgency=low

  * Rebuild on latest cdbs to change .pot files to UTF8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Sep 2006 13:09:27 +0100

kdebase (4:3.5.4-0ubuntu24) edgy; urgency=low

  * Update kubuntu_73_nomediaioslave_mounthelper.diff
    by Simon Edwards

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue,  19 Sep 2006 23:55:23 +0200

kdebase (4:3.5.4-0ubuntu23) edgy; urgency=low

  * Update kubuntu_76_ksmserver_suspend.diff to use suspend/hibernate icons

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 19 Sep 2006 12:20:00 +0100

kdebase (4:3.5.4-0ubuntu22) edgy; urgency=low

  * Improved kubuntu_73_nomediaioslave_mounthelper.diff and
    kubuntu_76_kickermedia.diff by Simon Edwards
  * Added kubuntu_83_media_desktop to fix Desktop icons URLs
    for /media, by Simon Edwards

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  18 Sep 2006 21:08:23 +0200

kdebase (4:3.5.4-0ubuntu21) edgy; urgency=low

  * Add kubuntu_82_safari_useragent.diff to update user agent

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Sep 2006 16:32:41 +0100

kdebase (4:3.5.4-0ubuntu20) edgy; urgency=low

  * Improved kubuntu_73_nomediaioslave_mounthelper.diff
    by Simon Edwards
  * Improved kubuntu_76_ksmserver_suspend.diff by
    Luka Renko

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu,  14 Sep 2006 19:19:23 +0200

kdebase (4:3.5.4-0ubuntu19) edgy; urgency=low

  * Added kubuntu_80_kdm_grub.diff (closes #57066)
  * Added kubuntu_81_search_engines_config.diff (closes #60058)

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue,  12 Sep 2006 08:26:23 +0200

kdebase (4:3.5.4-0ubuntu18) edgy; urgency=low

  * Improved patch kubuntu_79_kdm_halt.diff since kcontrol connection
    manager module also hardcodes the setting, instead of reading kdm
    settings (evil)

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  11 Sep 2006 13:19:23 +0200

kdebase (4:3.5.4-0ubuntu17) edgy; urgency=low

  * Added patch kubuntu_79_kdm_halt.diff to change the shutdown command
    (closes #59134)

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  11 Sep 2006 11:50:23 +0200

kdebase (4:3.5.4-0ubuntu16) edgy; urgency=low

  * Added binary-install/klipper entry in debian rule to fix klipperrc
    file (closes #56377)

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat,  9 Sep 2006 00:00:23 +0200

kdebase (4:3.5.4-0ubuntu15) edgy; urgency=low

  * Improved kubuntu_05_kdm_theme_config.diff (closes #57428)

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri,  8 Sep 2006 15:06:20 +0200

kdebase (4:3.5.4-0ubuntu14) edgy; urgency=low

  * Added kubuntu_78_kcontrol_hide_component_chooser.diff (closes #59435)

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri,  8 Sep 2006 11:43:20 +0200

kdebase (4:3.5.4-0ubuntu13) edgy; urgency=low

  [ Jonathan Riddell ]
  * Update kubuntu_68_xinerama.diff with improved patch from Lubos Lunak

  [ Brandon Holtsclaw ]
  * Added kubuntu_76_kickermedia.diff - Patch for the "Storage Media" kicker applet
    to fit into simes other patches
  * Added kubuntu_77_kiosystem.diff - system:/. The contents of system:/ now go to
    normal directories instead of media:/ etc. This also fixes the "System Menu"
    kicker applet

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Fri,  1 Sep 2006 10:59:47 -0500

kdebase (4:3.5.4-0ubuntu12) edgy; urgency=low

  * debian/patches/kubuntu_76_ksmserver_suspend.diff: provides Suspend
    and Hibernate buttons on KDE logout dialog. Uses HAL/dbus to detect
    supported actions and to perform suspend/hibernate.

 -- Luka Renko <lure@ubuntu.com>  Fri, 01 Sep 2006 14:33:00 +0200

kdebase (4:3.5.4-0ubuntu11) edgy; urgency=low

  * Rebuild against dbus 0.90

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed, 30 Aug 2006 13:13:55 +0200

kdebase (4:3.5.4-0ubuntu10) edgy; urgency=low

  * Changed kdebase-kio-plugins.install to remove the trash icon klipper
    from system applet

 -- Anthony Mercatante <tonio@ubuntu.com>  Sun, 27 Aug 2006 21:36:20 +0200

kdebase (4:3.5.4-0ubuntu9) edgy; urgency=low

  [ Jonathan Riddell ]
  * Add kubuntu_74_sidebar_icons.diff from http://bugs.kde.org/101636
    "All icons in the services sidebar become folders when pressing plus sign"
  * Add kubuntu_75_kicker_taskbar_resize.diff from http://bugs.kde.org/128552
    " "Length" has no effect if External TaskBar is at the side of the screen"

  [ Brandon Holtsclaw ]
  * Modified kubuntu_73_nomediaioslave_mounthelper.diff from
    Simon Edwards, https://wiki.ubuntu.com/KubuntuKDEMedia with new updates

 -- Brandon Holtsclaw <imbrandon@kubuntu.org>  Tue, 22 Aug 2006 20:22:20 -0500

kdebase (4:3.5.4-0ubuntu8) edgy; urgency=low

  * Modified kubuntu_70_hide_printers_desktop.diff or printers to
    still appear in SystemSettings whenever hidden in K menu
  * Modified konqueror.install to remove konq sidebar system entry.
    Causes a crash because of the kicker system applet patch

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 18 Aug 2006 20:22:20 +0200

kdebase (4:3.5.4-0ubuntu7) edgy; urgency=low

  [ Jonathan Riddell ]
  * Add kubuntu_73_nomediaioslave_mounthelper.diff from
    Simon Edwards, http://www.kdedevelopers.org/node/2231

  [ Luka Renko ]
  * Moved Ubuntu keycode -> xkeysym mapping from kdeutils/kmilo
  * debian/ubuntu.xmodmap: Ubuntu laptop keycode -> xkeysym mapping
  * debian/80ubuntu-xmodmap: Xsession startup script for Ubuntu laptop xmodmap
  * debian/patches/kubuntu_72_kxkb_xmodmap.diff: reload Ubuntu laptop xmodmap on
    keyboard layout switch (after setxkbmap)

 -- Luka Renko <lure@ubuntu.com>  Sun, 20 Aug 2006 13:36:55 +0200

kdebase (4:3.5.4-0ubuntu6) edgy; urgency=low

  * Added kubuntu_70_hide_printers_desktop.diff to hide the printers
    configuration entry in kmenu.

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 18 Aug 2006 15:17:20 +0200

kdebase (4:3.5.4-0ubuntu5) edgy; urgency=low

  * Fix string in kubuntu_67_easy_zeroconf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  9 Aug 2006 11:25:20 +0000

kdebase (4:3.5.4-0ubuntu4) edgy; urgency=low

  * Add missing includes to kubuntu_67_easy_zeroconf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  7 Aug 2006 09:28:13 -0400

kdebase (4:3.5.4-0ubuntu3) edgy; urgency=low

  * Add warning message dialogue when enabling Zeroconf in
    in kubuntu_67_easy_zeroconf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  1 Aug 2006 17:26:01 +0000

kdebase (4:3.5.4-0ubuntu2) edgy; urgency=low

  * Add kdebase-data replaces kcontrol << 3.5.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  1 Aug 2006 15:10:17 +0000

kdebase (4:3.5.4-0ubuntu1) edgy; urgency=low

  * New upstream release
  * Add kubuntu_69_no_kcontrol_joystick.diff, compilation is
    broken with current linux headers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jul 2006 10:43:22 +0000

kdebase (4:3.5.3-2ubuntu8) edgy; urgency=low

  * Fix path to executables in kubuntu_67_easy_zeroconf.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jul 2006 14:49:07 +0100

kdebase (4:3.5.3-2ubuntu7) edgy; urgency=low

  * Add kubuntu_68_xinerama.diff from
    http://ktown.kde.org/~seli/xinerama/

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Jul 2006 18:41:03 +0100

kdebase (4:3.5.3-2ubuntu6) edgy; urgency=low

  * Remove bdftopcf from build-deps, not in xfont-utils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Jul 2006 14:57:22 +0100

kdebase (4:3.5.3-2ubuntu5) edgy; urgency=low

  * Update kubuntu_40_xmkmf.diff for new X packages and remove
    kubuntu_64_xbindir.diff
  * Add kubuntu_67_easy_zeroconf.diff for
    https://launchpad.net/distros/ubuntu/+spec/kubuntu-easy-zeroconf
  * Add kubuntu_00_autoconf2.60.diff for Autoconf 2.60 compatibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Jul 2006 23:02:19 +0100

kdebase (4:3.5.3-2ubuntu4) edgy; urgency=low

  * Install directory.trash into unused

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Jul 2006 21:45:33 +0000

kdebase (4:3.5.3-2ubuntu3) edgy; urgency=low

  * Add kubuntu_66_xscreensaver.diff from
    http://bugs.kde.org/128610

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  4 Jul 2006 14:44:38 +0000

kdebase (4:3.5.3-2ubuntu2) edgy; urgency=low

  * Build-dep on latest kdelibs, fixes Qt binary compatibility break

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 Jun 2006 16:18:05 +0000

kdebase (4:3.5.3-2ubuntu1) edgy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Jun 2006 09:13:53 +0000

kdebase (4:3.5.3-2) unstable; urgency=medium

  * KDE_3_5_BRANCH update (up to r549661).
    + Fixes kpager crash. (Closes: #370158)

  * Urgency medium for RC kpager crash fix.

  +++ Changes by Christopher Martin:

  * Add a small patch to make the Printer panel available from the KMenu
    again.

  * Add numerous manpages from Holger Hartmann. Thanks!
    (Closes: #370140, #370164, #370358)

  * Make kcontrol suggest ntpdate | ntp-simple, since the Date and Time panel
    can use NTP to set up the clock. (Closes: #369899)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri,  9 Jun 2006 09:51:32 -0400

kdebase (4:3.5.3-1) unstable; urgency=low

  * New upstream release.
    + fix kwin alt-tab problems. (Closes: #363357, #361421, #361127)
    + fix problems with systram. (Closes: #347320)

  +++ Changes by Christopher Martin:

  * Add konqueror Suggests for java, since java works (more or less)
    with the DFSG-free gij-4.1 and libgcj7-awt.

  * Lower konqueror's Recommends on ksvg to a Suggests.

  * Improve kpager's package description. Thanks to David Liontooth.
    (Closes: #366476)

  * Update the kate manpage. (Closes: #347883)

  * Manually add /usr/bin/X11 to the KDM's default session path, as otherwise
    systems still running X11R6.9 won't be able to find X binaries, which can
    cause the login process to fail under certain circumstances. This bit of
    cruft (for X11R7 users) should be harmless, and can be removed post-Etch.
    (Closes: #367072)

  +++ Changes by Pierre Habouzit:

  * Move arch indep files from kcontrol into kdebase-data. (Closes: #233379)
    (still *.desktop files remains in kcontrol to avoid beeing advertised from
    KDE menus with no corresponding binaries).

  * Add 'ru' debconf templates translation, thanks to Yuriy Talakan.
    (Closes: #367206)

  * Add konqueror.presubj (konqueror is responsible of 25% of the kdebase bug
    reports) to ask for more precise bug reports, because often they lack the
    fundamental information necessary to make them useful.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 29 May 2006 09:55:11 +0200

kdebase (4:3.5.2-2) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Now that menu-xdg+menu can provide xsession .desktop files for window
    managers, add /var/lib/menu-xdg/xsessions to kdmrc's default list of
    places to search. Window managers should continue to provide their
    own .desktop files, however, since they will be more customized and
    won't force users to install the menu package. This is merely a
    fallback. (Closes: #360919)

  * Make kdm look for /usr/bin/X by default, now that /usr/X11R6 is on its way
    out. Adjust other paths in kdmrc as well. kdm should now work better with
    X.Org 7. (Closes: #362924)

  * Patch kdm so that if it can't find the X executable in kdmrc (now
    /usr/bin/X by default), then try /usr/X11R6/bin/X, then finally
    /usr/bin/X. This should keep kdm working for users who have a partial or
    botched dist-upgrade, or neglected to permit the installation of an
    up-to-date kdmrc.

  * Revamp /etc/pam.d/kdm and the other pam files. They should now find the
    new /etc/default/locale language settings. (Closes: #361089, #361163)

  * Remove xlibs-static-pic build-dependency, and replace it with
    libfontenc-dev, for the more modular X.Org 7. Also add libxkbfile-dev to
    the build-depends. (Closes: #363438)

  * Improve konqueror's use of alternatives, by slaving the konqueror manpage
    to the x-www-browser manpage. Thanks to Magnus Holmgren. (Closes: #363076)

  * Fix klipper description typo. (Closes: #364171)

  +++ Changes by Pierre Habouzit.

  * Add gl.po to the debconf templates. (Closes: #361208)

  * Improve konsole's use of alternatives, by slaving the konsole manpage to
    the x-terminal-emulator manpage. Thanks to Magnus Holmgren.
    (Closes: #363280)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Apr 2006 20:00:39 -0400

kdebase (4:3.5.2-1) unstable; urgency=low

  * New upstream release.
    + Fixes the klipper + OpenOffice.org problems.
    (Closes: #350930)

  * KDE_3_5_BRANCH update (up to r523654).

  +++ Changes by Christopher Martin:

  * Add a kpersonalizer manpage from Joe Zonker Brockmeier. Thanks.
    (Closes: #327395)

  * Make the KDM option "Restart X Server" visible by default again.

  * Fix the logitechmouse udev rules. Thanks to Henrique de Moraes Holschuh
    for spotting the problems. (Closes: #359751, #359773)

  +++ Changes by Pierre Habouzit:

  * Add a recommends on ksvg for konqueror. (Closes: #200008)

  * Add a note on how to read Kdm help, since no "help" button exists for it.
    (Closes: #294126)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 28 Mar 2006 20:19:46 -0500

kdebase (4:3.5.1-1) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Enable zeroconf support in ksysguardd; add libavahi-compat-libdnssd-dev to
    the build-depends. (Closes: #348583)

  * Merge startkde manpage (and maintainer script patch to fully integrate it)
    from Philipp Grau. Thanks. (Closes: #348501)

  * Upload to unstable.

  +++ Changes by Luk Claes:

  * Add Italian debconf translation (thanks to Luca Monducci).
    (Closes: #349344)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 Jan 2006 19:18:45 -0500

kdebase (4:3.5.0-4) unstable; urgency=low

  +++ Changes by Isaac Clerencia

  * Add kdnssd kcontrol module files to kcontrol package

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 11 Jan 2006 23:05:12 +0100

kdebase (4:3.5.0-3) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * Install kdm's NEWS file in all kdebase packages. This ensures that
    apt-listchanges will display the news to all users. (Closes: #344947)

  +++ Changes by Adeodato Simó:

  * Upload to unstable.

  * KDE_3_5_BRANCH update (up to r494868).

  * Use the new --with-usbids configure option to use the usb.ids file
    provided by usbutils instead of the one included in the source. Make
    kcontrol depend on usbutils for this, and do not ship usb.ids anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat,  7 Jan 2006 19:11:37 +0100

kdebase (4:3.5.0-2) experimental; urgency=low

  * Upload to experimental.

  * KDE_3_5_BRANCH update (up to r488815).

  +++ Changes by Christopher Martin:

  * Add strict build-depends on dbus and hal, ensuring that we build against
    the latest packages. (Closes: #332647)

  * No longer build with gcc-3.4 on any architectures, since gcc-4.0 should
    be fixed. (Closes: #342980)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Dec 2005 19:25:37 -0500

kdebase (4:3.5.2-0ubuntu27) dapper-security; urgency=low

  * SECURITY UPDATE: KDM symlink attack vulnerability
  * Add kubuntu_65_kdm_symlink_vunerability.diff
  * KDM allows the user to select the session type for login. This
    setting is permanently stored in the user home directory. By
    using a symlink attack, KDM can be tricked into allowing the
    user to read file content that would otherwise be unreadable
    to this particular user.
  * References:
    CVE-2006-2449

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Jun 2006 16:01:48 +0000

kdebase (4:3.5.2-0ubuntu26) dapper; urgency=low

  * Add kubuntu_64_xbindir.diff to set XBINDIR to /usr/bin
    Fixed upgrades when xserver-xorg is not installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 May 2006 17:48:01 +0300

kdebase (4:3.5.2-0ubuntu25) dapper; urgency=low

  * Fix kubuntu_53_kwallet_config.diff to not install kwallet
    file in wrong directory, closes Malone #45999
  * Install filemanagement and webbrowsing konqueror profiles,
    closes Malone #45004

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 May 2006 17:09:21 +0300

kdebase (4:3.5.2-0ubuntu24) dapper; urgency=low

  * debian/cdbs/kde.mk:
    - added dh_iconcache.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 18 May 2006 21:03:58 +0200

kdebase (4:3.5.2-0ubuntu23) dapper; urgency=low

  * Don't install Konqueror default profiles

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 12 May 2006 02:00:44 +0200

kdebase (4:3.5.2-0ubuntu22) dapper; urgency=low

  * Update kubuntu_20_kdesu_sudo.diff to fix run as foo message in kdesu
    with -u switch (Closes: Malone #41184)

 -- Raphaël Pinson <raphink@ubuntu.com>  Thu, 11 May 2006 12:12:44 +0200

kdebase (4:3.5.2-0ubuntu21) dapper; urgency=low

  * Make sure all patches unapplied before uploading

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 May 2006 18:18:50 +0300

kdebase (4:3.5.2-0ubuntu20) dapper; urgency=low

  * Add kubuntu_63_pot_generation_path.diff to create
    some .pot files in the correct directory.
  * Edit kde.mk to be able to find extractattr for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  9 May 2006 18:08:02 +0300

kdebase (4:3.5.2-0ubuntu19) dapper; urgency=low

  * Add kubuntu_62_genkdmconf_fix.diff, closes Malone #39599

 -- Frode M. Doeving <frode@lnix.net>  Mon,  1 May 2006 15:25:48 +0100

kdebase (4:3.5.2-0ubuntu18) dapper; urgency=low

  * Fix wallpaper in kubuntu_05_kdm_theme_config.diff
  * Alter kubuntu_52_gtk_qt_engine_config.diff, don't make use of
    gtk_qt_engine if gnome or xfce are already installed (Malone #36256)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  1 May 2006 15:02:46 +0100

kdebase (4:3.5.2-0ubuntu17) dapper; urgency=low

  * Remove kubuntu_36_hide_kjobviewer_menu_entry.diff
    handy to be able to get at print job viewer
    Closes Malone #38573

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 29 Apr 2006 16:05:23 +0100

kdebase (4:3.5.2-0ubuntu16) dapper; urgency=low

  * Update kubuntu_05_kdm_theme_config.diff for dapper wallpaper

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Apr 2006 15:45:33 +0100

kdebase (4:3.5.2-0ubuntu15) dapper; urgency=low

  * Removed kubuntu_17_hide_desktop_trash.diff and
    kubuntu_46_no_desktop_files.diff and install desktop files in
    /usr/share/kdesktop/unused

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 26 Apr 2006 03:01:24 +0200

kdebase (4:3.5.2-0ubuntu14) dapper; urgency=low

  * Added previously removed kubuntu_54_system_protocol_home_dir.diff  make
    system:/ use /home/foo not system:/home/foo
  * Removed system tab from konqueror's sidebar
  * Alter kubuntu_52_gtk_qt_engine_config.diff, don't make use of
    gtk_qt_engine if gnome or xfce are already installed (Malone #36256)
  * Added kubuntu_61_kdeprint_admin.diff, makes kdeprint admin mode work
    (Malone #39867)

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 24 Apr 2006 21:16:19 +0200

kdebase (4:3.5.2-0ubuntu13) dapper; urgency=low

  * Add kubuntu_59_lisa_popup.diff to prevent displaying a popup error when
    the lisa package is not installed.

 -- Raphaël Pinson <raphink@ubuntu.com>  Sun, 23 Apr 2006 23:19:19 +0200

kdebase (4:3.5.2-0ubuntu12) dapper; urgency=low

  * Edit debian/cdbs/kde.mk to mark .po files as UTF-8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Apr 2006 19:14:28 +0100

kdebase (4:3.5.2-0ubuntu11) dapper; urgency=low

  * Fix serverguide URL in kubuntu_33_kubuntuify_about.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Apr 2006 16:12:54 +0100

kdebase (4:3.5.2-0ubuntu10) dapper; urgency=low

  * Add missing "|| true" in case the rmdir fails.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Apr 2006 11:09:44 +0100

kdebase (4:3.5.2-0ubuntu9) dapper; urgency=low

  * Drop hotplug script entirely and update udev rules to Ubuntu standards.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 20 Apr 2006 12:29:01 +0100

kdebase (4:3.5.2-0ubuntu8) dapper; urgency=low

  * Add kubuntu_58_kwin_branch.diff fixes crash on alt-tab and
    focus policies

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Apr 2006 15:35:56 +0000

kdebase (4:3.5.2-0ubuntu7) dapper; urgency=low

  * konqueror: Put the system tab back in sidebar now that we deal with the
    kio properly.

 -- Raphaël Pinson <raphink@ubuntu.com>  Fri, 14 Apr 2006 00:59:01 +0200

kdebase (4:3.5.2-0ubuntu6) dapper; urgency=low

  * Remove kubuntu_54_system_protocol_home_dir.diff, restricting
    protocols in .desktop files is better.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Apr 2006 14:45:35 +0100

kdebase (4:3.5.2-0ubuntu5) dapper; urgency=low

  * Fix compile error in kubuntu_33_kubuntuify_about.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  5 Apr 2006 16:10:20 +0100

kdebase (4:3.5.2-0ubuntu4) dapper; urgency=low

  * Remove obsolete Quick Guide from
    kubuntu_33_kubuntuify_about.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  4 Apr 2006 12:10:33 +0100

kdebase (4:3.5.2-0ubuntu3) dapper; urgency=low

  * konqueror: Remove system tab from sidebar (Close: Malone #33917)

 -- Raphaël Pinson <raphink@ubuntu.com>  Fri, 31 Mar 2006 14:08:35 +0200

kdebase (4:3.5.2-0ubuntu2) dapper; urgency=low

  * kdebase-kio-plugins: Remove trash from the system applet
    (Close: Malone #14393).
  * kdesktop: Remove unused invisible desktop files on the Desktop.

 -- Raphaël Pinson <raphink@ubuntu.com>  Wed, 29 Mar 2006 18:14:35 +0200

kdebase (4:3.5.2-0ubuntu1) dapper; urgency=low

  * New upstream release
  * Update 25_khelp_htdig.diff
  * Remove kubuntu_44_systray_show.diff
  * Remove kubuntu_45_kxkb_xx_XX_layouts.diff
  * Remove kubuntu_49_xkb_path.diff
  * Remove kubuntu_39_konqueror_focus_location_bar.diff
  * Remove kubuntu_47_autostart_kdeonly.diff
  * Add kubuntu_56_kmenuedit_doc.diff from Rocco Stanzione Malone No 36636
  * Add kubuntu_57_kxbd_patch.diff from Raphael Pinson, fixes xkbd path

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Mar 2006 11:22:14 +0000

kdebase (4:3.5.1-0ubuntu14) dapper; urgency=low

  * Add kubuntu_55_kdm_usplash_down.diff run usplash on exit from KDM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Mar 2006 12:26:58 +0000

kdebase (4:3.5.1-0ubuntu13) dapper; urgency=low

  * Update kdm background colour in kubuntu_05_kdm_theme_config.diff
    to match current artwork

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Mar 2006 21:17:36 +0000

kdebase (4:3.5.1-0ubuntu12) dapper; urgency=low

  [ Anthony Mercatante ]
  * Add kubuntu_53_kwallet_config.diff copy a default
    KWallet config for new users
  * Add kubuntu_54_system_protocol_home_dir.diff make
    system:/ use /home/foo not system:/home/foo keep
    Kaffeine etc happy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  6 Mar 2006 12:10:14 +0000

kdebase (4:3.5.1-0ubuntu11) dapper; urgency=low

  * Add kubuntu_52_gtk_qt_engine_config.diff install
    gtk-qt-engine config files if suitable
  * Patch by Anthony Mercatante <tonio@ubuntu.com>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Feb 2006 17:30:59 +0000

kdebase (4:3.5.1-0ubuntu10) dapper; urgency=low

  * Add kubuntu_50_kate_desktop.diff use existing Kate session
  * Add kubuntu_51_kdmrc_options.diff add back restart X option
  * Patches by Anthony Mercatante <tonio@ubuntu.com>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Feb 2006 15:18:06 +0000

kdebase (4:3.5.1-0ubuntu9) dapper; urgency=low

  * Fix URLs on kubuntu_33_kubuntuify_about.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Feb 2006 13:48:01 +0000

kdebase (4:3.5.1-0ubuntu8) dapper; urgency=low

  * Add new line in kubuntu_33_kubuntuify_about.diff to fix
    layout of about page

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Feb 2006 11:46:30 +0000

kdebase (4:3.5.1-0ubuntu7) dapper; urgency=low

  * Update kubuntu_33_kubuntuify_about.diff for dapper
  * Add kubuntu_48_xkb_path.diff to fix keyboard layout lists in kxkb config
    window (Closes: Malone #31165).
    Patch by Raphael Pinson <raphink@ubuntu.com>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Feb 2006 23:05:11 +0000

kdebase (4:3.5.1-0ubuntu6) dapper; urgency=low

  * Add kubuntu_48_hide_display.diff to hide display module
    from KControl, replaced by Guidance 0.6 displayconfig

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Feb 2006 15:26:25 +0000

kdebase (4:3.5.1-0ubuntu5) dapper; urgency=low

  * Fix install path for Home.desktop and System.desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  9 Feb 2006 16:22:53 +0000

kdebase (4:3.5.1-0ubuntu4) dapper; urgency=low

  * Do install System.desktop or Home.desktop kdesktop icons and add
    kubuntu_46_no_desktop_files.diff to hide them
    (makes it easier to turn them back on)
  * Add kubuntu_47_autostart_kdeonly.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  9 Feb 2006 13:26:36 +0000

kdebase (4:3.5.1-0ubuntu3) dapper; urgency=low

  * Add kubuntu_45_kxkb_xx_XX_layouts.diff fix support for
    xx_XX layouts in kxkb

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  3 Feb 2006 11:41:13 +0000

kdebase (4:3.5.1-0ubuntu2) dapper; urgency=low

  * Added a desktop file for kdcop and added a line to
    debian/kdebase-bin.install to install it in the system
    (Closes : Malone #30112)
  * Patch from Raphaël Pinson <raphink@raphink.net>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Jan 2006 02:14:55 +0100

kdebase (4:3.5.1-0ubuntu1) dapper; urgency=low

  * New upstream release
  * Add kubuntu_44_systray_show.diff, advised by upstream to
    ensure systray apps dock properly
  * Lower dbus build-dep for backporting

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jan 2006 14:26:06 +0000

kdebase (4:3.5.0-0ubuntu16) dapper; urgency=low

  * Add kubuntu_43_kdesu_terminal_output.diff to make kdesu
    have terminal output
  * Remove xlibs-static-pic from build-deps

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2006 15:13:49 +0000

kdebase (4:3.5.0-0ubuntu15) dapper; urgency=low

  * kcontrol replaces old kdebase-bin for kcm_kdnssd.desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jan 2006 15:20:42 +0000

kdebase (4:3.5.0-0ubuntu14) dapper; urgency=low

  * Remove /usr/share/apps/konsole/fonts/fonts.dir from konsole.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 20:28:48 +0000

kdebase (4:3.5.0-0ubuntu13) dapper; urgency=low

  * Tighten build-dep to kdelibs 4:3.5.0-0ubuntu9

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 18:22:00 +0000

kdebase (4:3.5.0-0ubuntu12) dapper; urgency=low

  * Tighten build-dep to kdelibs 4:3.5.0-0ubuntu8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jan 2006 15:34:03 +0000

kdebase (4:3.5.0-0ubuntu11) dapper; urgency=low

  * Add kubuntu_42_konsole_root_shell.diff for a working root shell via sudo
    (Closes: ubuntu bugzilla #12343)

 -- Stephan Hermann <sh@sourcecode.de>  Wed, 11 Jan 2006 18:42:39 +0100

kdebase (4:3.5.0-0ubuntu10) dapper; urgency=low

  * Remove kubuntu_41_kcmdnssd_friendly_name.diff, which shouldn't
    have been there

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Jan 2006 14:48:28 +0000

kdebase (4:3.5.0-0ubuntu9) dapper; urgency=low

  * Add kubuntu_40_xmkmf.diff for new imake/xmkmf path
  * Install kcm_kdnssd in kcontrol
  * Add kubuntu_41_kcmdnssd_name_icon.diff to make kcontrol module
    more recognisable

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jan 2006 23:51:15 +0000

kdebase (4:3.5.0-0ubuntu8) dapper; urgency=low

  * Change xmkmf build-dep to imake
  * Remove build-dep on xutils (was for imake)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jan 2006 22:16:38 +0000

kdebase (4:3.5.0-0ubuntu7) dapper; urgency=low

  * Update 10_kdmrc_defaults_kubuntu.diff changing Debian to Kubuntu
    and rename to kubuntu_10_kdmrc_defaults_kubuntu.diff
  * Remove kdm dependency on kubuntu-default-settings, setting KDM
    theme now scripted in kubuntu-default-settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Jan 2006 00:26:23 +0000

kdebase (4:3.5.0-0ubuntu6) dapper; urgency=low

  * Add kubuntu_39_konqueror_focus_location_bar.diff fix
    http://bugs.kde.org/117031

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  6 Jan 2006 00:49:25 +0000

kdebase (4:3.5.0-0ubuntu5) dapper; urgency=low

  * rebuild against latest dbus, updated dependencies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Dec 2005 22:05:42 +0100

kdebase (4:3.5.0-0ubuntu4) dapper; urgency=low

  * Remove printmgr.desktop from install target

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2005 22:29:48 +0000

kdebase (4:3.5.0-0ubuntu3) dapper; urgency=low

  * Add kubuntu_38_ksysguard_pot.diff fix ksysguard .pot generation
  * Edit kde.mk to allow for fail on gettext

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2005 18:21:40 +0000

kdebase (4:3.5.0-0ubuntu2) dapper; urgency=low

  * Do not install System.desktop or Home.desktop kdesktop icons
  * Add kubuntu_34_no_duplicate_desktop_file.diff for
    duplicate printer .desktop files
  * Add kubuntu_35_hide_klipper_menu_entry.diff autostarts by default
  * Add kubuntu_36_hide_kjobviewer_menu_entry.diff starts when printing
  * Add kubuntu_37_hide_kdeprintfax_menu_entry.diff kdeprintfax
    is available when printing with Print to Fax

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2005 21:51:29 +0000

kdebase (4:3.5.0-0ubuntu1) dapper; urgency=low

  * New upstream release
  * Remove GCC 3.4 on hppa

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  6 Dec 2005 12:27:26 +0000

kdebase (4:3.5-rc2-0ubuntu2) dapper; urgency=low

  * Tighten build-dep to pick up new kdelibs4-dev with libattr1-dev
    and libacl1-dev
  * Remove gettext-kde and kdesdk-scripts from build-dep, now in kdelibs4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 26 Nov 2005 00:22:58 +0000

kdebase (4:3.5-rc2-0ubuntu1) dapper; urgency=low

  * New upstream pre-release
  * Tighten kdelibs-dev build-dep for libstdc++ transition
  * kdm depends on xauth not xbase-clients
  * Update 18_default_fonts.diff
  * Generate .pot files
  * Remove kubuntu_26_startkde.diff, no need to start ivman in 3.5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Nov 2005 17:46:39 +0000

kdebase (4:3.5-rc1-1ubuntu1) dapper; urgency=low

  * New upstream pre-release
  * Sync with Debian
  * Update kubuntu_05_kdm_theme_config.diff
  * Update kubuntu_16_hide_kpager_menu_entry.diff
  * Update kubuntu_19_kdm_zsh_emulate.diff
  * Update kubuntu_25_kcontrol_only_in_kde.diff
  * Update kubuntu_30_startkde_background_colour.diff
  * Update kubuntu_32_usplash_console_font.diff
  * konqueror replaces old kcontrol

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Nov 2005 23:29:58 +0000

kdebase (4:3.5.0-1) alioth; urgency=low

  * New upstream release.

  * Fixed in this release:

    + A bug that caused switching to Administrator mode in KControl to
      fail on occasion is resolved. (Closes: #306951)

  +++ Changes by Christopher Martin:

  * In light of upstream changes, remove the xfonts-konsole package. Instead,
    ship bitmap fonts as part of konsole.

  * Improve kcontrol's Logitech mouse support in conjunction with udev.
    However, kcontrol + udev now requires kernel 2.6.14 or later. Older
    kernels are still supported with the hotplug package.

  * Bump DH_COMPAT to 5. No changes.

  * Add a kdebase-dbg package for helping to trace problems.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add manpage for Konsole.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Nov 2005 02:29:16 -0500

kdebase (4:3.4.3-3) unstable; urgency=low

  * Upload to unstable, rebuilding against kdelibs4c2a.

  * KDE_3_4_BRANCH update (up to r484262).

  +++ Changes by Christopher Martin:

  * Temporarily bump build-depends on dbus to >= 0.23.4-8, ensuring that
    we build against a package that doesn't link against the pre-transition
    kdelibs4c2.

  * Add "noextendedglob" to zsh's options when reading the X startup scripts
    for kdm. This works around some of its quirks. (Closes: #336305)

  * Backport a fix from KDE 3.5 for a bug that caused switching to
    Administrator mode in KControl to fail on occasion. (Closes: #306951)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 30 Nov 2005 01:14:06 +0100

kdebase (4:3.4.3-2) experimental; urgency=low

  +++ Changes by Christopher Martin:

  * Add "chmod +x" for usermap.pl in debian/rules, to ensure that the package
    builds...

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 18 Oct 2005 17:49:19 -0400

kdebase (4:3.4.3-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Christopher Martin:

  * Add a small addition to the "Improving KDE" patch selection used in
    Debian. The rounded icon text selection now applies on the desktop
    as well. (Closes: #329484)

  * Increase konsole's x-terminal-emulator priority from 20 to 35, placing it
    above xterm. (Closes: #332223)

  * Adapt kcontrol's hotplug support for special control of Logitech mice to
    work with udev as well.

  * Add the Swedish debconf translation by Daniel Nylander. (Closes: #333798)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 15 Oct 2005 14:00:13 -0400

kdebase (4:3.4.2-4) unstable; urgency=medium

  +++ Changes by Christopher Martin:

  * Fix kicker's dependency on kdebase-data so that a binNMU does not render
    kdebase uninstallable. This is currently a problem on ia64.
    (Closes: #335285)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 23 Oct 2005 08:25:27 -0400

kdebase (4:3.4.2-3) unstable; urgency=low

  * KDE_3_4_BRANCH update (up to r458655). This includes a fix for a local
    root exploit, CAN-2005-2494, in the kcheckpass binary (Closes: #327039)

  +++ Changes by Christopher Martin:

  * Add a NEWS entry that explains the KDM upgrade process for users moving
    from KDM 3.3.x, as well as KDM's new behaviour regarding login scripts.
    (Closes: #326542, #327191)

  * Add a patch from the "Improving KDE" set that eliminates a superfluous
    border around kicker's systray that appeared on mouseover.

  * Add another "Improving KDE" patch that allows the selection of a special
    tranparent selection rectangle (off by default) to be made from the
    Control Center's Style module. Temporarily bump our kdelibs build-depends,
    to ensure that we build against a similarly patched Qt and kdelibs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 16 Sep 2005 16:59:45 -0400

kdebase (4:3.4.2-2) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * For kdebase-data, add conflicts against old versions of kcontrol, kwin,
    and kicker. This should prevent users from unwittingly upgrading
    kdebase-data to 3.4.x, while the rest of KDE stays at the 3.3.x level.
    This had resulted in kcontrol breaking and other assorted issues.
    (Closes: #325592)

  +++ Changes by Adeodato Simó:

  * Build with g++-3.4 on arm, m68k and hppa; kdebase also makes gcc 4.0 ICE
    as described in #323133.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 02 Sep 2005 10:59:00 +0200

kdebase (4:3.4.2-1) unstable; urgency=low

  * New upstream release.

  * KDE_3_4_BRANCH update.

  * Bugs reported in the Debian BTS fixed by this release:

    - kdm uses /dev/urandom instead of /dev/random as the default source
      of entropy. This solves myriad issues on low-entropy systems.
      (Closes: #240027, #294267, #298254, #320838)

    - "-nolisten tcp" no longer prevents kdm from connecting to remote
      hosts. (Closes: #263449)

  +++ Changes by Pierre Habouzit:

  * [debian/po/vi.po] : add the Vietnamese debconf translation by Clytie
    Siddall. (Closes: #312156)

  +++ Changes by Christopher Martin:

  * Add build-dependencies on libxss-dev, libxxf86misc-dev, libxau-dev,
    libxdmcp-dev, libxcomposite-dev, libxdamage-dev, and prune the
    07_xlibs-static-pic.diff accordingly, for the X.Org transition. kompmgr
    is also now built and installed with kwin.

  * Tightened build dependency on dbus-qt-1-dev to force building against a
    C++ transitioned version. Can be removed once dbus (>= 0.23.4-5) is
    available on all arches.

  * Tighten all package relations between packages in kdebase, preventing many
    instances of potentially harmful partial upgrades. In particular, ensure
    that kdm is upgraded along with kdebase-bin. (Closes: #312358)

  * Fix typos in the kappfinder manpage. Thanks to A Costa. (Closes: #312767)

  * Add a patch that makes knotify aware that arts is available when arts is
    manually started. This (more or less) resolves the issue wherein knotify
    did not work with arts, had arts ever once been unavailable.
    (Closes: #312217)

  * No longer set a random ForgingSeed in the kdmrc conffile, for this caused
    each kdebase build to generate a different kdmrc, and therefore made
    updates a nuissance.

  * Make kdm Suggest kdepasswd, since the later contains icons that can be
    used to provide users with 'face' icons.

  * Fix formatting of the kdepasswd manpage. (Closes: #313472)

  * Add the Arabic debconf translation by Mohammed Adnene Trojette.
    (Closes: #320768)

  * Fix kdm session files that contain the incorrent binary names.
    (Closes: #320628)

  * Change kdm's debconf dependency into a dependency on debconf |
    debconf-2.0, as this allows the installation of cdebconf.

  * Move all of konsole's README documentation into /usr/share/doc/konsole.
    (Closes: #324003)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 25 Aug 2005 22:58:52 +0200

kdebase (4:3.4.1-1) experimental; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 31 May 2005 15:43:52 -0400

kdebase (4:3.4.3-0ubuntu6) breezy-updates; urgency=low

  * Add kubuntu_34_kdesu_sycoca_cache_path.diff fix administrator
    kcontrol module bug http://bugzilla.ubuntu.com/8681

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  2 Nov 2005 02:37:11 +0000

kdebase (4:3.4.3-0ubuntu5) breezy-updates; urgency=low

  * Fix kubuntu_23_hal_api.diff to include the proper configure
    checks for hal 0.5  http://bugzilla.ubuntu.com/17625

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Oct 2005 13:39:57 +0000

kdebase (4:3.4.3-0ubuntu4) breezy; urgency=low

  * Fix typo in kubuntu_18_default_fonts.diff to give anti-aliased
    fonts in kdm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Oct 2005 22:50:44 +0100

kdebase (4:3.4.3-0ubuntu3) breezy; urgency=low

  * Add kubuntu_33_kubuntuify_about.diff to make about page point to
    documentation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Oct 2005 16:02:47 +0100

kdebase (4:3.4.3-0ubuntu2) breezy; urgency=low

  * Add a build-dep on automake1.9 to clear up the failure to build.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 10 Oct 2005 14:03:47 +1000

kdebase (4:3.4.3-0ubuntu1) breezy; urgency=low

  * New upstream release
  * Move 18_default_fonts.diff to kubuntu_18_default_fonts.diff and use DejaVu
    fixes http://bugzilla.ubuntu.com/14690

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  7 Oct 2005 14:23:37 +0000

kdebase (4:3.4.2-0ubuntu5) breezy; urgency=low

  * Add kubuntu_32_usplash_console_font.diff
    make sure to set console fonts when usplash is runing
    before X is started (ubuntu No 15344 , No 15102)
  * Ensure kubuntu_27_aboutscreen_searchbar.diff is not
    applied before upload
  * Fix kdm.postinst to move kdm back to S21

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Sep 2005 12:50:34 +0100

kdebase (4:3.4.2-0ubuntu4) breezy; urgency=low

  * Add kubuntu_29_desktop_roundedge_icons.diff for rounded text
    on desktop icons
  * Compile with GCC 3.4 on hppa, m68k, arm to prevent
    internal compiler error
  * Add kubuntu_30_startkde_background_colour.diff to make default
    background colour match default wallpaperchange background colour
  * Do not install SVG icons to save space
  * Install simple konqueror.rc into /usr/share/apps/konqueror, workaround
    for sessions loading beastie http://bugs.kde.org/109493
  * Add kubuntu_31_kicker_crash.diff branch patch to prevent kicker crashes
  * Update kubuntu_27_aboutscreen_searchbar.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Sep 2005 12:40:50 +0100

kdebase (4:3.4.2-0ubuntu3) breezy; urgency=low

  * Do not install System.desktop or Home.desktop kdesktop icons
  * Add back missing kubuntu_23_hal_api.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Sep 2005 20:51:54 +0000

kdebase (4:3.4.2-0ubuntu2) breezy; urgency=low

  * SECURITY UPDATE: fix insecure lock file creation
  * If the directory /var/lock is writeable for a user that is allowed to
    invoke kcheckpass, a local user can escalate its privileges to the
    root user.
  * References:
    http://www.kde.org/info/security/advisory-20050905-1.txt
    CAN-2005-2494

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  6 Sep 2005 11:51:57 +0000

kdebase (4:3.4.2-0ubuntu1) breezy; urgency=low

  * New upstream release
  * Move 10_kdmrc_defaults.diff to kubuntu_10_kdmrc_defaults.diff
    and s/Debian/Kubuntu
  * Add kubuntu_27_aboutscreen_searchbar.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  1 Sep 2005 19:18:56 +0000

kdebase (4:3.4.1-0ubuntu6) breezy; urgency=low

  * Add xmkmf to build-depends, as configure appears to want it.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2005 21:41:55 +1000

kdebase (4:3.4.1-0ubuntu5) breezy; urgency=low

  * Rebuild to pick up new mesa shlibs and drop Xrender.la references.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2005 14:01:12 +1000

kdebase (4:3.4.1-0ubuntu4) breezy; urgency=low

  * New kubuntu_23_hal_api.diff to fix problems
    with HAL support

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 27 Jun 2005 16:08:59 +0000

kdebase (4:3.4.1-0ubuntu3) breezy; urgency=low

  * Add build-depend on x11proto-kb-dev where
    XKBstr.h has been moved to
  * Add build-depend on libxkbfile-dev where
    XKBrules.h has been moved to
  * Update kubuntu_23_hal_api.diff
  * Replace 19_kcontrol_only_in_kde.diff with kubuntu_25_kcontrol_only_in_kde.diff
    which stops KControl displaying (use System Settings instead)
  * Add kubuntu_26_startkde.diff to start ivman
  * Add 25_khelp_htdig.diff from Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 20 Jun 2005 09:15:07 +0000

kdebase (4:3.4.1-0ubuntu2) breezy; urgency=low

  * Rebuild to get proper libglu1c2 shlibs dependencies.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Jun 2005 07:34:22 +0000

kdebase (4:3.4.1-0ubuntu1) breezy; urgency=low

  * Update version number following KDE 3.4.1 release
  * Add kde-base conflict with kdm << 3.4.1
  * Add back ktip to meta package

 -- Jonathan Riddell <jr@jriddell.org>  Wed,  1 Jun 2005 00:15:47 +0000

kdebase (4:3.4.1-0ubuntu0pre3) breezy; urgency=low

  * Add build-depend son libxcomposite-dev and libxdamage-dev
  * Add kubuntu_24_deb_web_shortcut.diff redirecting deb: to package.ubuntu.com

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 26 May 2005 10:38:42 +0000

kdebase (4:3.4.1-0ubuntu0pre2) breezy; urgency=low

  * Add build-dep on libxau-dev, libxdmcp-dev to let KDM compile

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 24 May 2005 19:23:39 +0000

kdebase (4:3.4.1-0ubuntu0pre1) breezy; urgency=low

  * New upstream release.
  * Sync with Debian
  * Change /usr/bin/X11 to /usr/X11R6/bin in kdm.README.Debian and
    patches/11_genkdmconf.diff renamed to kubuntu_01_genkdmconf.diff
    and alter PATH in debian/rules

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 24 May 2005 11:34:02 +0000

kdebase (4:3.4.0-0pre4) alioth; urgency=low

  * New upstream release.

  * Bugs reported in the Debian BTS fixed by this release:

    - KDE can now use pmount if available. (Closes: #294258)

    - drag'n'dropping local files from Konqueror to Thunderbird works now
      (file:/// is used instead of file:/ for the url). (Closes: #296255)

    - konsole now uses a proper set of default fonts, resulting in less
      obvious corruption. (Closes: #289468)

  * Converted packaging to CDBS (initial version by Daniel Schepler, further
    changes by Christopher Martin and Adeodato Simó).

  +++ Changes by Christopher Martin:

  * Added a patch to set reasonable default fonts, using the fontconfig
    defaults, for kpersonalizer, kcontrol, kdm, and the Plastik theme. We
    also use the Debian Blue artwork to provide a standard desktop
    background.

  * KDM no longer shows the Custom session. When it works at all, it simply
    duplicates Default's behaviour anyway. (Closes: #251602)

  * New KDM patches source /etc/profile and the user's normal shell startup
    scripts. (Closes: #173802, #211953, #250645, #250765, #289143)

  * KDM once again looks for window manager session definitions in
    /usr/share/apps/kdm/sessions by default. (Closes: #293645, #310155)

  * USB usermap for Logitech mice is now installed, with device permissions
    set so that members of the plugdev group can make use of the Logitech
    KControl module (under Peripherals/Mouse).

  * Added README.Debian files for kcontrol and kdebase-kio-plugins, explaining
    how to setup Logitech mouse advanced configuration, and the media
    kioslave.

  * New kdebase-doc-html package, containing doc-base registered HTML versions
    of application handbooks, for users without Konqueror or KHelpCenter.

  * Fixed typos in the kate manpage. Thanks to A. Costa. (Closes: #302812)

  * KControl and KInfoCenter are now only visible in the KDE menu. Their
    presence elsewhere had caused user confusion. They are both still
    available through the Debian menu system. Trivial patch borrowed from
    Kubuntu. (Closes: #246280)

  * Make ksmserver Recommend kpersonalizer, since it is used when
    running KDE for the first time. Also patch startkde so it doesn't
    fail when kpersonalizer is not present. (Closes: #309803)

  * Add manpages for kdialog (thanks to Bastian Kleineidam for tracking it
    down) and my own manpage for kdesu/kdesud. (Closes: #239945)

  +++ Changes by Adeodato Simó:

  * After clearing up some issues with multiple de.po files being sent for
    inclusion, include an updated German po-debconf translation sent by
    Florian Ernst, and agreed upon several translators. (Closes: #291954)

  * Created XPM icons for packages having a menu file. Install them in
    /usr/share/pixmaps and update the menu entries to use them.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 14 May 2005 13:00:44 -0400

kdebase (4:3.3.2-1) unstable; urgency=low

  +++ Changes by Christopher Martin:

  * KDE_3_3_BRANCH update.

  * Fix typo in kdebase-bin description. (Closes: #286587)

  * Update kdeprint documentation to sync with kdelibs patches.

  * Add NEWS.Debian for kdm, explaining the "keyboard doesn't work"
    problem when upgrading to KDE 3.3, and how to deal with it.
    (Closes: #266106, #267622)

  * Fix update-alternatives prerm scripts: only --remove when
    the package is actually being removed, not upgraded. This
    should prevent the needless resetting of the sysadmin's
    preferences on package upgrade. (Closes: #247243)

  * Fix debian/copyright to refer to License rather than to Copyright
    when discussing KDE's licenses.

  +++ Changes by Adeodato Simó:

  * debian/control:
    - make kdebase-dev depend on kwin for the libkdecorations.so ->
      libkdecorations.so.1.0.0 symlink. (Closes: #289544)

  * Included Czech po-debconf translation by Miroslav Kure.
    (Closes: #289454)

  * Add manpages for keditbookmarks, konqueror, and kfmclient.
    (Closes: #286373)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 23 Jan 2005 16:11:07 +0100

kdebase (4:3.4.0-0ubuntu21) breezy; urgency=low

  * Remove visiblity=hidden from admin/acinclude.m4.in

 -- Jonathan Riddell <jr@jriddell.org>  Sat, 21 May 2005 14:54:28 +0000

kdebase (4:3.4.0-0ubuntu20) breezy; urgency=low

  * CXX transition: Tighten build-deps on kdelibs4-dev and libdbus-qt-1-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 May 2005 14:58:10 +0000

kdebase (4:3.4.0-0ubuntu19) breezy; urgency=low

  * Add kubuntu_23_hal_api.diff and change build-depends to compile
    against new dbus/hal.

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 12 May 2005 15:29:39 +0000

kdebase (4:3.4.0-0ubuntu18) hoary; urgency=low

  * Add kubuntu_21_konq_tab_colour.diff make loading tab text colour visible
  * Add kubuntu_22_kipper_menu.diff hide klipper from menu

 -- Jonathan Riddell <jr@jriddell.org>  Wed,  6 Apr 2005 02:46:32 +0100

kdebase (4:3.4.0-0ubuntu17) hoary; urgency=low

  * Changed kdm start from S13 to S21 (Ubuntu: 8029)
  * More Linitian cleanup

 -- Andreas Mueller <amu@ubuntu.com>  Tue,  5 Apr 2005 16:00:01 +0200

kdebase (4:3.4.0-0ubuntu16) hoary; urgency=low

  * Add kubuntu_20_kdesu_sudo.diff to fix string on kdesu for sudo.
    Fixes http://bugzilla.ubuntu.com/7327

 -- Jonathan Riddell <jr@jriddell.org>  Sat,  2 Apr 2005 17:01:37 +0100

kdebase (4:3.4.0-0ubuntu15) hoary; urgency=low

  * Remove link to pmount from hal/devices.d for kiomedia

 -- Jonathan Riddell <jr@jriddell.org>  Fri,  1 Apr 2005 00:02:31 +0100

kdebase (4:3.4.0-0ubuntu14) hoary; urgency=low

  * Change Hidden to OnlyShowIn=Old in kubuntu_10_hide_kmenuedit_menu_entry.diff
    Fixes https://bugzilla.ubuntu.com/8030

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 30 Mar 2005 19:24:00 +0100

kdebase (4:3.4.0-0ubuntu13) hoary; urgency=low

  * Fix kdm login when shell is zsh. Thanks Antti S. Lankila for the hint.
     19_kdm_zsh_emulate.diff (Hoary #7620)
  * Fix init script output (Hoary #7180)

 -- Chris Halls <chris.halls@credativ.co.uk>  Wed, 30 Mar 2005 01:01:26 +0100

kdebase (4:3.4.0-0ubuntu12) hoary; urgency=low

  * Fix install command for edit-as-root.desktop

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 29 Mar 2005 00:16:01 +0100

kdebase (4:3.4.0-0ubuntu11) hoary; urgency=low

  * Move pmount and hal from depends to recommends for kdebase-kio-plugins
  * Add edit-as-root.desktop Konqueror service menu

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 28 Mar 2005 20:45:01 +0100

kdebase (4:3.4.0-0ubuntu10) hoary; urgency=low

  * Add kubuntu_18_kate_initial_preference.diff to set make Kate
    default for text files, not OpenOffice.

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 28 Mar 2005 14:51:20 +0000

kdebase (4:3.4.0-0ubuntu9) hoary; urgency=low

  * Move pmount and hal from recommends to depends for kdebase-kio-plugins

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 24 Mar 2005 05:18:00 +0000

kdebase (4:3.4.0-0ubuntu8) hoary; urgency=low

  * Make default background colour of kdm match wallpaper
  * Add kubuntu_17_hide_desktop_trash.diff to hide desktop wastebin
  * Remove dependency on ktip from kdebase
  * Change Hidden to OnlyShowIn in knetattach.desktop so it isn't hidden from remote:/

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 24 Mar 2005 04:12:14 +0000

kdebase (4:3.4.0-0ubuntu7) hoary; urgency=low

  * Make kdm depend on kubuntu-default-settings

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 17 Mar 2005 07:11:28 +0000

kdebase (4:3.4.0-0ubuntu6) hoary; urgency=low

  * Ensure patches are not applied before uploading

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 17 Mar 2005 03:54:25 +0000

kdebase (4:3.4.0-0ubuntu5) hoary; urgency=low

  * Add further patches to hide menu entries

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 17 Mar 2005 02:34:41 +0000

kdebase (4:3.4.0-0ubuntu4) hoary; urgency=low

  * Add kubuntu_07_hide_knetattach_menu_entry.diff-foo to hide knetattach menu entry.

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 17 Mar 2005 00:21:28 +0000

kdebase (4:3.4.0-0ubuntu3) hoary; urgency=low

  * Fix kdm.postinst to correctly update existing S99kdm links to S13kdm

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 16 Mar 2005 23:43:54 +0000

kdebase (4:3.4.0-0ubuntu2) hoary; urgency=low

  * Fix kdm.postinst to update existing S99kdm links to S13kdm
  * Fix kubuntu_03_ksplash_settings.diff to change all references to icon
  * Remove depend on kde-style-lipstik while still in universe
  * Add kubuntu_05_kdm_theme_config.diff to make kdm use Kubuntu theme
  * Add kubuntu_06_hide_home_menu_entry.diff to hide Home from KMenu

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 16 Mar 2005 17:26:25 +0000

kdebase (4:3.4.0-0ubuntu1) hoary; urgency=low

  * Add kubuntu_03_ksplash_settings.diff to use correct icon on splash screen
  * Depend kdebase on kde-style-lipstik
  * Do not install System.desktop or Home.desktop kdesktop icons
  * Add kubuntu_04_hide_menu_entries.diff to hide kwrite menu entry
  * Add link to pmount from hal/devices.d for kiomedia

 -- Jonathan Riddell <jr@jriddell.org>  Wed, 16 Mar 2005 01:29:27 +0000

kdebase (4:3.4.0-0pre1ubuntu6) hoary; urgency=low

  * Make kdm start at at S13 rather than S99 (see Ubuntu Bugzilla No 3143
    for gdm).
  * Make kdebase-bin depend on gdb for drkonqi
  * Add patch kubuntu_02_kcontrol_only_kde_menu.diff making KControl only
    show in KDE's menu

 -- Jonathan Riddell <jr@jriddell.org>  Fri, 11 Mar 2005 21:47:56 +0000

kdebase (4:3.4.0-0pre1ubuntu5) hoary; urgency=low

  * Add kwin conflicts with old kdeartwork-theme-window

 -- Jonathan Riddell <jr@jriddell.org>  Tue,  8 Mar 2005 22:48:59 +0000

kdebase (4:3.4.0-0pre1ubuntu4) hoary; urgency=low

  * Regenerate Makefiles, this time with maintainer mode turned on

 -- Chris Halls <chris.halls@credativ.co.uk>  Mon,  7 Mar 2005 23:24:28 +0000

kdebase (4:3.4.0-0pre1ubuntu3) hoary; urgency=low

  * Revert last change and use debian/rules buildprep to update the build system

 -- Chris Halls <chris.halls@credativ.co.uk>  Mon,  7 Mar 2005 22:31:12 +0000

kdebase (4:3.4.0-0pre1ubuntu2) hoary; urgency=low

  * Sync 99_buildprep.diff from Debian to prevent aclocal invocation
    during build

 -- Chris Halls <chris.halls@credativ.co.uk>  Mon,  7 Mar 2005 21:34:35 +0000

kdebase (4:3.4.0-0pre1ubuntu1) hoary; urgency=low

  * Sync with Debian
  * Remove kubuntu_2_acimake_configure.diff, now included by Debian

 -- Jonathan Riddell <jr@jriddell.org>  Sun,  6 Mar 2005 01:52:35 +0000

kdebase (4:3.3.2-0pre1) experimental; urgency=low

  * New upstream release.
  * KDE_3_3_BRANCH update. Includes the kdebase part of the fix
    for CAN-2004-1158.
  * Lower kdeprint's dependency on gv to a Suggests. (Closes: #269590)
  * kwin is now registered as an x-window-manager. (Closes: #249162)
  * Added /usr/share/xsessions to KDM's default session path, so
    .desktop files installed there are found.
    (Closes: #243770, #247365, #247747, #250384)
  * kdm can now be installed while building kdebase, without affecting
    the generated kdmrc and other config files.
  * Adjust documentation to reflect the CUPS document path used by
    Debian.
  * Incorporate new manpages, for kdepasswd, kappfinder, kfind,
    kmenuedit, kate, kwrite, kpager, from Andre Ramos and
    Clement Stenac.
    (Closes: #189574, #207123, #207124, #207125, #207126, #207130)
  * Incorporate new package descriptions for konqueror, kcontrol,
    and kate, from Tomas Pospisek. (Closes: #280358, #280362, #280795)
  * Remove build-dependency on automake1.9.
  * Acknowledge old NMUs. (Closes: #178507, #261740, #244547, #247407)
    (Closes: #237062, #237065, #237067)
  * Take some action wrt #284844: [AS]
    - rename README.linux.console to README.Linux-font, more explicit
      and does not create confusion with the original file. Removed
      note about this file not being the original one.
    - when talking about dpkg-reconfigure fontconfig, be clear about
      which one the relevant question is and what the answer has to be.
    - added patches/14_konsole_README.Linux-font.diff to make the popup
      that konsole displays when it can find the font specify the full
      path to the README file. (Closes: #284844)

 -- Christopher Martin <chrsmrtn@freeshell.org>  Sat, 18 Dec 2004 14:54:58 -0500

kdebase (4:3.4.0~rc1-0ubuntu0.1) hoary; urgency=low

  * Add kubuntu_2_acimake_configure.diff to fix
    problem with acimake being called by rules.
  * Add kubuntu_1_applications_menu_move.diff to move applications.menu
    and prevent file clash with Gnome.
  * New upstream release.

 -- Jonathan Riddell <jr@jriddell.org>  Sun, 23 Jan 2005 04:37:53 +0100

kdebase (4:3.3.1-4) unstable; urgency=high

  +++ Changes by Adeodato Simó:

  * High urgency upload to fix security vulnerability in sarge.

  * Include patch to fix CAN-2004-1158, "Konqueror Window Injection
    Vulnerability". (Closes: #286516)

  * Include small patch from Christoffer Sawicki to ignore /sys and /.dev and
    not report them as hard disks in Konqueror. (Closes: #287424)

  * Included Dutch po-debconf translation by Luk Claes. (Closes: #283971)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  5 Jan 2005 17:11:03 +0100

kdebase (4:3.3.1-3) unstable; urgency=medium

  * Include patch to fix CAN-2004-1171 ("plain text password exposure").
    Closes half of #285126.

 -- Adeodato Simó <asp16@alu.ua.es>  Fri, 10 Dec 2004 22:28:25 +0100

kdebase (4:3.3.1-2) unstable; urgency=low

  * Forgot then in ksmserver.preinst.

 -- Christopher L Cheney <ccheney@debian.org>  Thu,  4 Nov 2004 18:00:00 -0600

kdebase (4:3.3.1-1) unstable; urgency=low

  * New upstream release.
  * KDE_3_3_BRANCH update.
  * ksmserver: only reset x-session-manager on install. (Closes: #247243)
  * kdm: remove log files on purge. (Closes: #273542)
  * Correct Danish po-debconf translations. (Closes: #273832)

 -- Christopher L Cheney <ccheney@debian.org>  Thu,  4 Nov 2004 04:00:00 -0600

kdebase (4:3.3.0a-1) unstable; urgency=low

  * Respin orig.tar.gz.
  * KDE_3_3_BRANCH update.
  * Add Turkish po-debconf translations. (Closes: #248326)
  * Add German po-deconf translations. (Closes: #264608)
  * Correct /etc/kde3/kdm/Xsession file. (Closes: #265795)
  * Correct usage of "its" in konsole description. (Closes: #268517)
  * Correct Danish po-debconf translations. (Closes: #269575)
  * Correct kdm name in /etc/init.d/kdm. (Closes: #272062)

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 25 Sep 2004 20:00:00 -0500

kdebase (4:3.3.0-1) unstable; urgency=high

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 13 Aug 2004 20:00:00 -0500

kdebase (4:3.2.3-1) unstable; urgency=high

  * New upstream release.
  * ksmserver Provides: x-session-manager. (Closes: #258677)
  * Remove Energy Star logo png files. (Closes: #259638)
  * Build-Depends: xlibs-static-pic. (Closes: #260959)

 -- Christopher L Cheney <ccheney@debian.org>  Tue,  3 Aug 2004 02:00:00 -0500

kdebase (4:3.2.2-1) unstable; urgency=low

  * New upstream release.
  * Added Build-Depends: libsensors-dev.
  * Corrected kdm postinst startup code. (Closes: #195052)
  * Removed Debian menu desktop files. (Closes: #198661)
  * Added a README.linux.console document. (Closes: #218035)
  * Remove kdm log files on purge. (Closes: #225157)
  * Corrected kate/konqueror mime nametemplate support. (Closes: #235216)
  * Removed "FIXME - observe" lines from kdm scripts. (Closes: #236422)
  * Added Danish po-debconf translations. (Closes: #236480)
  * Remove old x-session-manager alternatives. (Closes: #236515, #236795,
    #237081, #240773)
  * Removed kdebase and kicker menu-methods. (Closes: #236700)
  * Corrected kdm-np PAM service. (Closes: #236750, #238182, #242381)
  * Added kcontrol Depends: kdebase-data. (Closes: #239297)
  * Updated GDM session file. (Closes: #240980)
  * debian/*.menu: remove the obsolete kderemove tag.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 11 Apr 2004 04:00:00 -0500

kdebase (4:3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Added Catalan po-deconf translations. (Closes: #139733)
  * Added Polish po-deconf translations. (Closes: #142540)
  * Added Japanese po-deconf translations. (Closes: #137940, #210431)
  * Updated kate Recommends: kregexpeditor. (Closes: #227677)
  * Added konqueror Depends: kdebase-kio-plugins. (Closes: #230203)
  * Added kdm Provides: x-display-manager. (Closes: #231442)
  * Added kdebase-bin/kdm Depends libpam-runtime. (Closes: #233562, #236078)
  * Added kate/konqueror mime nametemplate support. (Closes: #235216)

 -- Christopher L Cheney <ccheney@debian.org>  Fri,  5 Mar 2004 04:00:00 -0600

kdebase (4:3.2.0-0pre1v1) experimental; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 17 Feb 2004 17:00:00 -0600

kdebase (4:3.1.95-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 23 Jan 2004 18:00:00 -0600

kdebase (4:3.1.5-2) unstable; urgency=low

  * Remove Build-Depends: libsensors-dev.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 29 Jan 2004 22:00:00 -0600

kdebase (4:3.1.5-1) unstable; urgency=low

  * New upstream release.
  * Added pt_BR debconf translation. (Closes: #107023)
  * Updated /etc/gdm/Sessions/KDE file. (Closes: #177144)

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 12 Jan 2004 19:00:00 -0600

kdebase (4:3.1.4-2) unstable; urgency=low

  * Added es debconf translation. (Closes: #128933)
  * Added fr debconf translation. (Closes: #132615, #225899)
  * Corrected konqueror gs mime tests. (Closes: #160428)
  * kdesktop Recommends eject. (Closes: #223642)
  * konqueror Provides info-browser. (Closes: #223913)
  * Added '|| true' to db_input lines in kdm debconf support. (Closes: #224548)
  * Corrected typo in kdm.config script. (Closes: #224578)

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  5 Jan 2004 23:00:00 -0600

kdebase (4:3.1.4-1) unstable; urgency=low

  * The "Why isn't KDE installable yet" release.
  * New upstream release.
  * Added patch to update autotools files.
  * Added patch to remove pedantic-errors from KDE_CHECK_FUNC_EXT since it
    causes configure checks to fail due to #line numbers being > 32767.
  * Demote kdeprint Depends 'efax | hylafax-client | mgetty-fax' to Suggests.
    (Closes: #142489)
  * Change kicker.menu-method to not display the empty_mime icon if a menu file
    doesn't provide an icon. (Closes: #154065)
  * Make konqueror depend on kdesktop. (Closes: #192550)
  * Update pam support to use new common module fragments. (Closes: #206958)
  * Update package descriptions. (Closes: #209532, #209856)
  * Strip SUID root from kcheckpass since its not needed. (Closes: #212212)
  * Update kdm debconf and use po-debconf. (Closes: #218731)
  * Make kicker depend on kdebase-data. (Closes: #223407)

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 18 Dec 2003 13:30:00 -0600

kdebase (4:3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 30 Jul 2003 15:00:00 -0500

kdebase (4:3.1.2-1.1) unstable; urgency=low

  * NMU (Maintainer is aware for a while but is dumb)
      - Summary: kdebase-dev depends on kdebase that is not installable
                 some package have build-depends on kdebase-dev so they are
                 buildable since at least 06 Jun 2003
  * Fix Depends: field (previous was libsensors1 and it was replaced by
    libsensors-1debian1) (Closes: #196370, #200224)
  * Fix FTBFS with gcc-3.3 (Closes: #200620)
      - Thanks Riku Voipio <riku.voipio@iki.fi>
      - use cvs files from KDE_3_1_BRANCH
      	+ recentapps.cpp version 1.3.6.2
      	+ recentapps.h version 1.3.8.2
      	+ service_mnu.cpp version 1.50.2.4
      	+ browser_mnu.cpp version 1.44.2.2

 -- Igor Genibel <igenibel@debian.org>  Fri, 18 Jul 2003 10:35:34 +0200

kdebase (4:3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove Build-Depends on libsasl-dev. (Closes: #189949, #193866)
  * Add libkregexpeditor to kate Recommends. (Closes: #183280)
  * Add efax | hylafax | mgetty-fax to kdeprint Depends. (Closes: #142489)
  * Add kfind to konqueror Depends. (Closes: #192859)
  * Fix KDE GDM Session file. (Closes: #144206, #154519, #188560, #189438,
    #193274)
  * Add log rotation for KDM logfile. (Closes: #145345, #153728)
  * Add screen number to KDM Xservers file. (Closes: #182708, #184737, #187257)
  * Moved xfonts-konsole fonts to /usr/X11R6/lib/X11/fonts/misc/
    (Closes: #184548)

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 21 May 2003 08:00:00 -0500

kdebase (4:3.1.1-1) unstable; urgency=low

  * New upstream release. (Closes: #180816, #181309)
  * Corrected kdm-update-menu.sh kdm.options path. (Closes: #180355)
  * Added xbase-clients depend to kdm. (Closes: #180536)
  * Added xutils depend to xfonts-konsole. (Closes: #180695)
  * Improved xfonts-konsole description. (Closes: #180696)
  * Remove upgrade from alternatives removal prerm script. (Closes: #180927)
  * Change Xservers to launch /usr/X11R6/bin/X. (Closes: #182037)
  * Add entries for kdm reserve xserver feature. (Closes: #182708)
  * Add kcontrol depends to konqueror (Closes: #182724)
  * Change konqueror menu entry to allow execution. (Closes: #183225)
  * Make konqueror provide www-browser. (Closes: #183391)

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 11 Mar 2003 22:00:00 -0600

kdebase (4:3.1.0-2) unstable; urgency=low

  * Add 'chmod +x configure' to rules.

 -- Christopher L Cheney <ccheney@debian.org>  Sat,  8 Feb 2003 02:00:00 -0600

kdebase (4:3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Redo debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 01 Feb 2003 23:00:00 -0600

kdebase (4:2.2.2-14.7) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Updated patch from KDE advisory 20030916

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Sep 2003 15:18:59 -0400

kdebase (4:2.2.2-14.6) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply updated patch from KDE advisory 20030915
    - Fixes CAN-2003-0690 (setcred())
    - Fixed CAN-2003-0692 (session cookie issue)

 -- Matt Zimmerman <mdz@debian.org>  Mon,  8 Sep 2003 19:56:40 -0400

kdebase (4:2.2.2-14.5) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply patch from KDE advisory 20030908 to fix local root vulnerability in
    PAM authentication in KDM

 -- Matt Zimmerman <mdz@debian.org>  Sun, 31 Aug 2003 04:39:47 -0400

kdebase (4:2.2.2-14.4) stable-security; urgency=medium

  * Non-maintainer upload by the Security Team
  * Applied upstream patch from Dirk Mueller (uninitialized variable use)
    to fix problems with klipper and pasted urls (klipper/urlgrabber.cpp,
    Bug#178407, thanks to Niccolo Rigacci)

 -- Martin Schulze <joey@infodrom.org>  Sat, 12 Apr 2003 09:48:40 +0200

kdebase (4:2.2.2-14.3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patch so ghostscript won't execute arbitrary commands
    hidden inside of postscript files.

 -- Martin Schulze <joey@infodrom.org>  Thu, 10 Apr 2003 11:44:04 +0200

kdebase (4:2.2.2-14.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Added special detection routine for big/little endianess on MIPS since
    the line "byteorder : {big|little} endian" from /proc/cpuinfo was
    removed as of Linux 2.4.20, resulting in the mipsel buildd being
    unable to build this package.

 -- Martin Schulze <joey@infodrom.org>  Thu,  9 Jan 2003 09:38:33 +0100

kdebase (4:2.2.2-14.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patches to fix several potential vulnerabilities.
    http://www.kde.org/info/security/advisory-20021220-1.txt

 -- Martin Schulze <joey@infodrom.org>  Sun,  5 Jan 2003 21:36:47 +0100

kdebase (4:2.2.2-14) unstable; urgency=high

  * New maintainer.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  3 Mar 2002 01:30:00 -0600

kdebase (4:2.2.2-13) unstable; urgency=low

  * Adopting orphaned package. Thanks Ivan for all your great work on KDE over
    the years; you'll be sorely missed. (closes: #127706)
  * Relink with libpng2. (closes: #128275)
  * debian/rules, debian/konsole.dirs:
    - Make symlinks in the X fonts directory to Konsole fonts in
      /usr/share/fonts in the install target. (closes: #127871)
  * debian/kdmrc:
    - Disallow remote users from shutting down the machine. (Yeah, yeah, I
      know - dodgy grammar). (closes: #127616)
  * debian/control:
    - Depend on kdebase | x-s-m | x-w-m, instead of just the latter two, so
      that KDE gets installed in preference to, say, GNOME. (closes: #128208)
    - Shuffle Build-Deps back to libpng2.
  * kpersonalizer/keyecandypage.cpp:
    - Stop anti-aliasing from being selected by default when the level of cool
      stuff selected is high enough.

 -- Daniel Stone <daniel@sfarc.net>  Fri,  4 Jan 2002 09:14:11 -0500

kdebase (4:2.2.2-12) unstable; urgency=low

  * Yet another overwrite. (Closes: #126699)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 28 Dec 2001 00:15:00 -0700

kdebase (4:2.2.2-11) unstable; urgency=low

  * Crap.  fix -audiolibs again.
  * Fix spelling error (Closes: #124779)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 17 Dec 2001 22:00:00 -0700

kdebase (4:2.2.2-10) unstable; urgency=low

  * Move the audio kcm modules over to kdebase-libs since they a) don't depend
    on audio libs and b) are required for sound to automatically start.
    (Closes: #124144)
  * More upstream konsole fixes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 Dec 2001 00:30:00 -0700

kdebase (4:2.2.2-9) unstable; urgency=low

  * Fix klipperrc (Closes: #123904)
  * Add lynx/opera/etc to klipperrc
  * Add libfam-dev to Build-Depends as well as other packages which we
    depend on but have relied on other depended upon packages to provide.
  * libkonq_sound.* needs to be in kdebase-audiolibs.  We don't need
    to require libarts to be installed in order to use konq.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 15 Dec 2001 00:02:00 -0700

kdebase (4:2.2.2-8) unstable; urgency=low

  * Sync with upstream
  * Fix Xsetup (Closes: #123115)
  * Fix file location (Closes: #122621)
  * Move keditbookmarks stuff into kdebase-libs
  * Let's attempt to import mozilla bookmarks along with netscape automatically

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 09 Dec 2001 14:07:00 -0700

